open import Lib.Equality as Eq using (_==_ ; auto)
open import Lib.Proposition
open import Lib.Maybe
open import Lib.Boolean
open import Lib.List
open import Lib.Word
open import Lib.Word-Lemmas
open import Lib.Word-Tactics

open Monoid-Equational
open Rewriting
open Associative
open InContext

open import Lib.MaybeEq
open import Lib.MaybeEq-Instances
open import Gate
open import CosetNF
open CosetNF.Legacy

open import Step3.Rel
open import Step3.PD3
open import Step3.PD4
open import Step3.PD5

module Step3.PD6 where

  K0QD-act : let X = Gate in let Γ = Rel in (g : X) -> (rep : Word X) ->  Maybe (∃ λ (rep' : Word X) -> ∃ λ (g' : Word X) -> Γ ⊢ gen g • rep === rep' • g')
  K0QD-act iI-gen ε = Just ( ε , iI , general-assoc auto )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 , iI , up-to-assoc auto (axiom ax-iI-S0-K0=S0-K0-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 , iI , up-to-assoc auto (axiom ax-iI-S0-K0-S0-CK10=S0-K0-S0-CK10-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-S0-CK10-CCK'=S0-K0-S0-CK10-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 , iI , up-to-assoc auto (axiom ax-iI-S0-K0-S0-CK20=S0-K0-S0-CK20-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , iI , up-to-assoc auto (axiom ax-iI-S0-K0-S0-CK20-S0-CK10=S0-K0-S0-CK20-S0-CK10-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , iI , up-to-assoc auto (axiom ax-iI-S0-K0-S0-CK20-CK10=S0-K0-S0-CK20-CK10-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-S0-CK20-CCK'=S0-K0-S0-CK20-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , iI , up-to-assoc auto (axiom ax-iI-S0-K0-CK10=S0-K0-CK10-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-CK10-CCK'=S0-K0-CK10-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-CK10-CCK'-CCK'=S0-K0-CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 , iI , up-to-assoc auto (axiom ax-iI-S0-K0-CK20=S0-K0-CK20-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , iI , up-to-assoc auto (axiom ax-iI-S0-K0-CK20-S0-CK10=S0-K0-CK20-S0-CK10-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-CK20-S0-CK10-CCK'=S0-K0-CK20-S0-CK10-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 , iI , up-to-assoc auto (axiom ax-iI-S0-K0-CK20-CK10=S0-K0-CK20-CK10-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-CK20-CK10-CCK'=S0-K0-CK20-CK10-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-CK20-CCK'=S0-K0-CK20-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-CK20-CCK'-CCK'=S0-K0-CK20-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-CCK'=S0-K0-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-K0-CCK'-CCK'=S0-K0-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen CK10-gen) = Just ( S0 • CK10 , iI , up-to-assoc auto (axiom ax-iI-S0-CK10=S0-CK10-iI) )
  K0QD-act iI-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-CK10-CCK'=S0-CK10-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-CK10-CCK'-CCK'=S0-CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • CK20 , iI , up-to-assoc auto (axiom ax-iI-S0-CK20=S0-CK20-iI) )
  K0QD-act iI-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 , iI , up-to-assoc auto (axiom ax-iI-S0-CK20-S0-CK10=S0-CK20-S0-CK10-iI) )
  K0QD-act iI-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-CK20-S0-CK10-CCK'=S0-CK20-S0-CK10-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-CK20-S0-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 , iI , up-to-assoc auto (axiom ax-iI-S0-CK20-CK10=S0-CK20-CK10-iI) )
  K0QD-act iI-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-CK20-CK10-CCK'=S0-CK20-CK10-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-CK20-CK10-CCK'-CCK'=S0-CK20-CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-CK20-CCK'=S0-CK20-CCK'-iI) )
  K0QD-act iI-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-S0-CK20-CCK'-CCK'=S0-CK20-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen) = Just ( K0 , iI , up-to-assoc auto (axiom ax-iI-K0=K0-iI) )
  K0QD-act iI-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , iI , up-to-assoc auto (axiom ax-iI-K0-S0-CK10=K0-S0-CK10-iI) )
  K0QD-act iI-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-S0-CK10-CCK'=K0-S0-CK10-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-S0-CK10-CCK'-CCK'=K0-S0-CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 , iI , up-to-assoc auto (axiom ax-iI-K0-S0-CK20=K0-S0-CK20-iI) )
  K0QD-act iI-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , iI , up-to-assoc auto (axiom ax-iI-K0-S0-CK20-S0-CK10=K0-S0-CK20-S0-CK10-iI) )
  K0QD-act iI-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-S0-CK10-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 , iI , up-to-assoc auto (axiom ax-iI-K0-S0-CK20-CK10=K0-S0-CK20-CK10-iI) )
  K0QD-act iI-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CK10-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-S0-CK20-CCK'=K0-S0-CK20-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-S0-CK20-CCK'-CCK'=K0-S0-CK20-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen • gen CK10-gen) = Just ( K0 • CK10 , iI , up-to-assoc auto (axiom ax-iI-K0-CK10=K0-CK10-iI) )
  K0QD-act iI-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-CK10-CCK'=K0-CK10-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-CK10-CCK'-CCK'=K0-CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen • gen CK20-gen) = Just ( K0 • CK20 , iI , up-to-assoc auto (axiom ax-iI-K0-CK20=K0-CK20-iI) )
  K0QD-act iI-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 , iI , up-to-assoc auto (axiom ax-iI-K0-CK20-S0-CK10=K0-CK20-S0-CK10-iI) )
  K0QD-act iI-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-CK20-S0-CK10-CCK'=K0-CK20-S0-CK10-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-CK20-S0-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 , iI , up-to-assoc auto (axiom ax-iI-K0-CK20-CK10=K0-CK20-CK10-iI) )
  K0QD-act iI-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-CK20-CK10-CCK'=K0-CK20-CK10-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-CK20-CK10-CCK'-CCK'=K0-CK20-CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-CK20-CCK'=K0-CK20-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-CK20-CCK'-CCK'=K0-CK20-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-CCK'=K0-CCK'-iI) )
  K0QD-act iI-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-K0-CCK'-CCK'=K0-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen CK10-gen) = Just ( CK10 , iI , up-to-assoc auto (axiom ax-iI-CK10=CK10-iI) )
  K0QD-act iI-gen (gen CK10-gen • gen CCK'-gen) = Just ( CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-CK10-CCK'=CK10-CCK'-iI) )
  K0QD-act iI-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-CK10-CCK'-CCK'=CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen CK20-gen) = Just ( CK20 , iI , up-to-assoc auto (axiom ax-iI-CK20=CK20-iI) )
  K0QD-act iI-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 , iI , up-to-assoc auto (axiom ax-iI-CK20-S0-CK10=CK20-S0-CK10-iI) )
  K0QD-act iI-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-CK20-S0-CK10-CCK'=CK20-S0-CK10-CCK'-iI) )
  K0QD-act iI-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-CK20-S0-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen CK20-gen • gen CK10-gen) = Just ( CK20 • CK10 , iI , up-to-assoc auto (axiom ax-iI-CK20-CK10=CK20-CK10-iI) )
  K0QD-act iI-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , iI , up-to-assoc auto (axiom ax-iI-CK20-CK10-CCK'=CK20-CK10-CCK'-iI) )
  K0QD-act iI-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-CK20-CK10-CCK'-CCK'=CK20-CK10-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen CK20-gen • gen CCK'-gen) = Just ( CK20 • CCK' , iI , up-to-assoc auto (axiom ax-iI-CK20-CCK'=CK20-CCK'-iI) )
  K0QD-act iI-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-CK20-CCK'-CCK'=CK20-CCK'-CCK'-iI) )
  K0QD-act iI-gen (gen CCK'-gen) = Just ( CCK' , iI , up-to-assoc auto (axiom ax-iI-CCK'=CCK'-iI) )
  K0QD-act iI-gen (gen CCK'-gen • gen CCK'-gen) = Just ( CCK' • CCK' , iI , up-to-assoc auto (axiom ax-iI-CCK'-CCK'=CCK'-CCK'-iI) )
  K0QD-act S0-gen ε = Just ( ε , S0 , general-assoc auto )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen) = Just ( K0 , X0 , up-to-assoc auto (axiom ax-S0-S0-K0=K0-X0) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , X0 • S0 • S0 • S1 • S1 • iI • iI • iI , up-to-assoc auto (axiom ax-S0-S0-K0-S0-CK10=K0-S0-CK10-X0-S0-S0-S1-S1-iI-iI-iI) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , X0 • S0 • S0 • S1 • S1 • CS12 • CS12 • CS12 • CCZ • iI • iI • iI , up-to-assoc auto (axiom ax-S0-S0-K0-S0-CK10-CCK'=K0-S0-CK10-CCK'-X0-S0-S0-S1-S1-CS12-CS12-CS12-CCZ-iI-iI-iI) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , X0 • CCX0 • S0 • S0 • S1 • S1 • CS12 • CS12 • CS12 • iI • iI • iI , up-to-assoc auto (axiom ax-S0-S0-K0-S0-CK10-CCK'-CCK'=K0-S0-CK10-CCK'-CCK'-X0-CCX0-S0-S0-S1-S1-CS12-CS12-CS12-iI-iI-iI) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 , X0 • S0 • S0 • S2 • S2 • iI • iI • iI , up-to-assoc auto (axiom ax-S0-S0-K0-S0-CK20=K0-S0-CK20-X0-S0-S0-S2-S2-iI-iI-iI) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , X0 • CX10 • S2 • S2 • CS01 • CS01 • iI • iI , up-to-assoc auto (axiom ax-S0-S0-K0-S0-CK20-S0-CK10=K0-S0-CK20-S0-CK10-X0-CX10-S2-S2-CS01-CS01-iI-iI) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , X0 • CX10 • CCX0 • S2 • S2 • CS01 • CS01 • CS12 • iI • iI , up-to-assoc auto (axiom ax-S0-S0-K0-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-S0-CK10-CCK'-X0-CX10-CCX0-S2-S2-CS01-CS01-CS12-iI-iI) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , X0 • CX10 • CCX0 • S2 • S2 • CS01 • CS01 • CCZ • iI • iI , up-to-assoc auto (axiom ax-S0-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-X0-CX10-CCX0-S2-S2-CS01-CS01-CCZ-iI-iI) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 , X0 • S0 • S0 • S1 • S1 • S2 • S2 • iI • iI • iI , up-to-assoc auto (axiom ax-S0-S0-K0-S0-CK20-CK10=K0-S0-CK20-CK10-X0-S0-S0-S1-S1-S2-S2-iI-iI-iI) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , X0 • S0 • S0 • S1 • S1 • S2 • S2 • CS12 • CS12 • CS12 • CCZ • iI • iI • iI , up-to-assoc auto (axiom ax-S0-S0-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CK10-CCK'-X0-S0-S0-S1-S1-S2-S2-CS12-CS12-CS12-CCZ-iI-iI-iI) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , X0 • CCX0 • S0 • S0 • S1 • S1 • S2 • S2 • CS12 • CS12 • CS12 • iI • iI • iI , up-to-assoc auto (axiom ax-S0-S0-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-CK10-CCK'-CCK'-X0-CCX0-S0-S0-S1-S1-S2-S2-CS12-CS12-CS12-iI-iI-iI) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , X0 • S0 • S0 • S2 • S2 • CS12 • CS12 • CS12 • CCZ • iI • iI • iI , up-to-assoc auto (axiom ax-S0-S0-K0-S0-CK20-CCK'=K0-S0-CK20-CCK'-X0-S0-S0-S2-S2-CS12-CS12-CS12-CCZ-iI-iI-iI) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , X0 • CCX0 • S0 • S0 • S2 • S2 • CS12 • CS12 • CS12 • iI • iI • iI , up-to-assoc auto (axiom ax-S0-S0-K0-S0-CK20-CCK'-CCK'=K0-S0-CK20-CCK'-CCK'-X0-CCX0-S0-S0-S2-S2-CS12-CS12-CS12-iI-iI-iI) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( K0 • CK10 , X0 • CX10 • CS01 • CS01 , up-to-assoc auto (axiom ax-S0-S0-K0-CK10=K0-CK10-X0-CX10-CS01-CS01) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , X0 • CX10 • CCX0 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-S0-S0-K0-CK10-CCK'=K0-CK10-CCK'-X0-CX10-CCX0-CS01-CS01-CS12) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , X0 • CX10 • CCX0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-S0-S0-K0-CK10-CCK'-CCK'=K0-CK10-CCK'-CCK'-X0-CX10-CCX0-CS01-CS01-CCZ) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( K0 • CK20 , X0 • CX20 • CS02 • CS02 , up-to-assoc auto (axiom ax-S0-S0-K0-CK20=K0-CK20-X0-CX20-CS02-CS02) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 , X0 • CX20 • CCX0 • S0 • S0 • S1 • S1 • S2 • CS12 • CS12 • CCZ • iI • iI • iI , up-to-assoc auto (axiom ax-S0-S0-K0-CK20-S0-CK10=K0-CK20-S0-CK10-X0-CX20-CCX0-S0-S0-S1-S1-S2-CS12-CS12-CCZ-iI-iI-iI) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , X0 • CX20 • S0 • S0 • S1 • S1 • S2 • CS12 • CS12 • iI • iI • iI , up-to-assoc auto (axiom ax-S0-S0-K0-CK20-S0-CK10-CCK'=K0-CK20-S0-CK10-CCK'-X0-CX20-S0-S0-S1-S1-S2-CS12-CS12-iI-iI-iI) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , X0 • CX20 • CCX0 • S0 • S0 • S1 • S1 • S2 • CS12 • CS12 • CS12 • iI • iI • iI , up-to-assoc auto (axiom ax-S0-S0-K0-CK20-S0-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CCK'-X0-CX20-CCX0-S0-S0-S1-S1-S2-CS12-CS12-CS12-iI-iI-iI) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 , X0 • CX10 • CX20 • CS01 • CS01 • CS02 • CS02 , up-to-assoc auto (axiom ax-S0-S0-K0-CK20-CK10=K0-CK20-CK10-X0-CX10-CX20-CS01-CS01-CS02-CS02) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , X0 • CX10 • CX20 • CCX0 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-S0-S0-K0-CK20-CK10-CCK'=K0-CK20-CK10-CCK'-X0-CX10-CX20-CCX0-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , X0 • CX10 • CX20 • CS01 • CS01 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-S0-S0-K0-CK20-CK10-CCK'-CCK'=K0-CK20-CK10-CCK'-CCK'-X0-CX10-CX20-CS01-CS01-CS02-CS02-CS12-CCZ) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , X0 • CX20 • CCX0 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-S0-S0-K0-CK20-CCK'=K0-CK20-CCK'-X0-CX20-CCX0-CS02-CS02-CS12) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , X0 • CX20 • CCX0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-S0-S0-K0-CK20-CCK'-CCK'=K0-CK20-CCK'-CCK'-X0-CX20-CCX0-CS02-CS02-CCZ) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( K0 • CCK' , X0 • CCX0 • CCZ , up-to-assoc auto (axiom ax-S0-S0-K0-CCK'=K0-CCK'-X0-CCX0-CCZ) )
  K0QD-act S0-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , X0 • CS12 • CCZ , up-to-assoc auto (axiom ax-S0-S0-K0-CCK'-CCK'=K0-CCK'-CCK'-X0-CS12-CCZ) )
  K0QD-act S0-gen (gen S0-gen • gen CK10-gen) = Just ( CK10 , CX10 • S0 • S0 • CS01 • CS01 , up-to-assoc auto (axiom ax-S0-S0-CK10=CK10-CX10-S0-S0-CS01-CS01) )
  K0QD-act S0-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK10 • CCK' , CX10 • CCX0 • S0 • S0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-S0-S0-CK10-CCK'=CK10-CCK'-CX10-CCX0-S0-S0-CS01-CS01-CCZ) )
  K0QD-act S0-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , CX10 • S0 • S0 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-S0-S0-CK10-CCK'-CCK'=CK10-CCK'-CCK'-CX10-S0-S0-CS01-CS01-CS12-CCZ) )
  K0QD-act S0-gen (gen S0-gen • gen CK20-gen) = Just ( CK20 , CX20 • S0 • S0 • CS02 • CS02 , up-to-assoc auto (axiom ax-S0-S0-CK20=CK20-CX20-S0-S0-CS02-CS02) )
  K0QD-act S0-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 , CX10 • CX20 • CCX0 • S0 • S0 • S2 • S2 • S2 • CS01 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-S0-S0-CK20-S0-CK10=CK20-S0-CK10-CX10-CX20-CCX0-S0-S0-S2-S2-S2-CS01-CS01-CS12-CS12-CCZ) )
  K0QD-act S0-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , CX10 • CX20 • CCX0 • S0 • S0 • S2 • S2 • S2 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-S0-S0-CK20-S0-CK10-CCK'=CK20-S0-CK10-CCK'-CX10-CX20-CCX0-S0-S0-S2-S2-S2-CS01-CS01-CS12) )
  K0QD-act S0-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , CX10 • CX20 • S0 • S0 • S2 • S2 • S2 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-S0-S0-CK20-S0-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CCK'-CX10-CX20-S0-S0-S2-S2-S2-CS01-CS01-CS12-CCZ) )
  K0QD-act S0-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( CK20 • CK10 , CX10 • CX20 • S0 • S0 • CS01 • CS01 • CS02 • CS02 , up-to-assoc auto (axiom ax-S0-S0-CK20-CK10=CK20-CK10-CX10-CX20-S0-S0-CS01-CS01-CS02-CS02) )
  K0QD-act S0-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , CX10 • CX20 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-S0-S0-CK20-CK10-CCK'=CK20-CK10-CCK'-CX10-CX20-CCX0-S0-S0-CS01-CS01-CS02-CS02-CS12) )
  K0QD-act S0-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , CX10 • CX20 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-S0-S0-CK20-CK10-CCK'-CCK'=CK20-CK10-CCK'-CCK'-CX10-CX20-CCX0-S0-S0-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act S0-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( CK20 • CCK' , CX20 • CCX0 • S0 • S0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-S0-S0-CK20-CCK'=CK20-CCK'-CX20-CCX0-S0-S0-CS02-CS02-CCZ) )
  K0QD-act S0-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , CX20 • S0 • S0 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-S0-S0-CK20-CCK'-CCK'=CK20-CCK'-CCK'-CX20-S0-S0-CS02-CS02-CS12-CCZ) )
  K0QD-act S0-gen (gen K0-gen) = Just ( S0 • K0 , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen CK10-gen) = Just ( S0 • CK10 , ε , general-assoc auto )
  K0QD-act S0-gen (gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen CK20-gen) = Just ( S0 • CK20 , ε , general-assoc auto )
  K0QD-act S0-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 , ε , general-assoc auto )
  K0QD-act S0-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 , ε , general-assoc auto )
  K0QD-act S0-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act S0-gen (gen CCK'-gen) = Just ( CCK' • CCK' , S0 • CS12 • CCZ , up-to-assoc auto (axiom ax-S0-CCK'=CCK'-CCK'-S0-CS12-CCZ) )
  K0QD-act S0-gen (gen CCK'-gen • gen CCK'-gen) = Just ( CCK' , CCX0 • S0 • CCZ , up-to-assoc auto (axiom ax-S0-CCK'-CCK'=CCK'-CCX0-S0-CCZ) )
  K0QD-act S1-gen ε = Just ( ε , S1 , general-assoc auto )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 , S1 , up-to-assoc auto (axiom ax-S1-S0-K0=S0-K0-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-S0-CK10=S0-K0-S0-CK10-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-S0-CK10-CCK'=S0-K0-S0-CK10-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-S0-CK20=S0-K0-S0-CK20-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-S0-CK20-S0-CK10=S0-K0-S0-CK20-S0-CK10-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-S0-CK20-CK10=S0-K0-S0-CK20-CK10-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-S0-CK20-CCK'=S0-K0-S0-CK20-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-CK10=S0-K0-CK10-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-CK10-CCK'=S0-K0-CK10-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-CK10-CCK'-CCK'=S0-K0-CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-CK20=S0-K0-CK20-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-CK20-S0-CK10=S0-K0-CK20-S0-CK10-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-CK20-S0-CK10-CCK'=S0-K0-CK20-S0-CK10-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-CK20-CK10=S0-K0-CK20-CK10-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-CK20-CK10-CCK'=S0-K0-CK20-CK10-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-CK20-CCK'=S0-K0-CK20-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-CK20-CCK'-CCK'=S0-K0-CK20-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-CCK'=S0-K0-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-K0-CCK'-CCK'=S0-K0-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen CK10-gen) = Just ( S0 • CK10 , S1 , up-to-assoc auto (axiom ax-S1-S0-CK10=S0-CK10-S1) )
  K0QD-act S1-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-CK10-CCK'=S0-CK10-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-CK10-CCK'-CCK'=S0-CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • CK20 , S1 , up-to-assoc auto (axiom ax-S1-S0-CK20=S0-CK20-S1) )
  K0QD-act S1-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 , S1 , up-to-assoc auto (axiom ax-S1-S0-CK20-S0-CK10=S0-CK20-S0-CK10-S1) )
  K0QD-act S1-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-CK20-S0-CK10-CCK'=S0-CK20-S0-CK10-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-CK20-S0-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 , S1 , up-to-assoc auto (axiom ax-S1-S0-CK20-CK10=S0-CK20-CK10-S1) )
  K0QD-act S1-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-CK20-CK10-CCK'=S0-CK20-CK10-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-CK20-CK10-CCK'-CCK'=S0-CK20-CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-CK20-CCK'=S0-CK20-CCK'-S1) )
  K0QD-act S1-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-S0-CK20-CCK'-CCK'=S0-CK20-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen) = Just ( K0 , S1 , up-to-assoc auto (axiom ax-S1-K0=K0-S1) )
  K0QD-act S1-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , S1 , up-to-assoc auto (axiom ax-S1-K0-S0-CK10=K0-S0-CK10-S1) )
  K0QD-act S1-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-S0-CK10-CCK'=K0-S0-CK10-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-S0-CK10-CCK'-CCK'=K0-S0-CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 , S1 , up-to-assoc auto (axiom ax-S1-K0-S0-CK20=K0-S0-CK20-S1) )
  K0QD-act S1-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , S1 , up-to-assoc auto (axiom ax-S1-K0-S0-CK20-S0-CK10=K0-S0-CK20-S0-CK10-S1) )
  K0QD-act S1-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-S0-CK10-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 , S1 , up-to-assoc auto (axiom ax-S1-K0-S0-CK20-CK10=K0-S0-CK20-CK10-S1) )
  K0QD-act S1-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CK10-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-S0-CK20-CCK'=K0-S0-CK20-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-S0-CK20-CCK'-CCK'=K0-S0-CK20-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen • gen CK10-gen) = Just ( K0 • CK10 , S1 , up-to-assoc auto (axiom ax-S1-K0-CK10=K0-CK10-S1) )
  K0QD-act S1-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-CK10-CCK'=K0-CK10-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-CK10-CCK'-CCK'=K0-CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen • gen CK20-gen) = Just ( K0 • CK20 , S1 , up-to-assoc auto (axiom ax-S1-K0-CK20=K0-CK20-S1) )
  K0QD-act S1-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 , S1 , up-to-assoc auto (axiom ax-S1-K0-CK20-S0-CK10=K0-CK20-S0-CK10-S1) )
  K0QD-act S1-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-CK20-S0-CK10-CCK'=K0-CK20-S0-CK10-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-CK20-S0-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 , S1 , up-to-assoc auto (axiom ax-S1-K0-CK20-CK10=K0-CK20-CK10-S1) )
  K0QD-act S1-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-CK20-CK10-CCK'=K0-CK20-CK10-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-CK20-CK10-CCK'-CCK'=K0-CK20-CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-CK20-CCK'=K0-CK20-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-CK20-CCK'-CCK'=K0-CK20-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-CCK'=K0-CCK'-S1) )
  K0QD-act S1-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-K0-CCK'-CCK'=K0-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen CK10-gen) = Just ( CK10 , S1 , up-to-assoc auto (axiom ax-S1-CK10=CK10-S1) )
  K0QD-act S1-gen (gen CK10-gen • gen CCK'-gen) = Just ( CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-CK10-CCK'=CK10-CCK'-S1) )
  K0QD-act S1-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-CK10-CCK'-CCK'=CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen CK20-gen) = Just ( CK20 , S1 , up-to-assoc auto (axiom ax-S1-CK20=CK20-S1) )
  K0QD-act S1-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 , S1 , up-to-assoc auto (axiom ax-S1-CK20-S0-CK10=CK20-S0-CK10-S1) )
  K0QD-act S1-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-CK20-S0-CK10-CCK'=CK20-S0-CK10-CCK'-S1) )
  K0QD-act S1-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-CK20-S0-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen CK20-gen • gen CK10-gen) = Just ( CK20 • CK10 , S1 , up-to-assoc auto (axiom ax-S1-CK20-CK10=CK20-CK10-S1) )
  K0QD-act S1-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-CK20-CK10-CCK'=CK20-CK10-CCK'-S1) )
  K0QD-act S1-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-CK20-CK10-CCK'-CCK'=CK20-CK10-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen CK20-gen • gen CCK'-gen) = Just ( CK20 • CCK' , S1 , up-to-assoc auto (axiom ax-S1-CK20-CCK'=CK20-CCK'-S1) )
  K0QD-act S1-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-CK20-CCK'-CCK'=CK20-CCK'-CCK'-S1) )
  K0QD-act S1-gen (gen CCK'-gen) = Just ( CCK' , S1 , up-to-assoc auto (axiom ax-S1-CCK'=CCK'-S1) )
  K0QD-act S1-gen (gen CCK'-gen • gen CCK'-gen) = Just ( CCK' • CCK' , S1 , up-to-assoc auto (axiom ax-S1-CCK'-CCK'=CCK'-CCK'-S1) )
  K0QD-act S2-gen ε = Just ( ε , S2 , general-assoc auto )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 , S2 , up-to-assoc auto (axiom ax-S2-S0-K0=S0-K0-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-S0-CK10=S0-K0-S0-CK10-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-S0-CK10-CCK'=S0-K0-S0-CK10-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-S0-CK20=S0-K0-S0-CK20-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-S0-CK20-S0-CK10=S0-K0-S0-CK20-S0-CK10-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-S0-CK20-CK10=S0-K0-S0-CK20-CK10-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-S0-CK20-CCK'=S0-K0-S0-CK20-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-CK10=S0-K0-CK10-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-CK10-CCK'=S0-K0-CK10-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-CK10-CCK'-CCK'=S0-K0-CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-CK20=S0-K0-CK20-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-CK20-S0-CK10=S0-K0-CK20-S0-CK10-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-CK20-S0-CK10-CCK'=S0-K0-CK20-S0-CK10-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-CK20-CK10=S0-K0-CK20-CK10-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-CK20-CK10-CCK'=S0-K0-CK20-CK10-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-CK20-CCK'=S0-K0-CK20-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-CK20-CCK'-CCK'=S0-K0-CK20-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-CCK'=S0-K0-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-K0-CCK'-CCK'=S0-K0-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen CK10-gen) = Just ( S0 • CK10 , S2 , up-to-assoc auto (axiom ax-S2-S0-CK10=S0-CK10-S2) )
  K0QD-act S2-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-CK10-CCK'=S0-CK10-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-CK10-CCK'-CCK'=S0-CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • CK20 , S2 , up-to-assoc auto (axiom ax-S2-S0-CK20=S0-CK20-S2) )
  K0QD-act S2-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 , S2 , up-to-assoc auto (axiom ax-S2-S0-CK20-S0-CK10=S0-CK20-S0-CK10-S2) )
  K0QD-act S2-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-CK20-S0-CK10-CCK'=S0-CK20-S0-CK10-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-CK20-S0-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 , S2 , up-to-assoc auto (axiom ax-S2-S0-CK20-CK10=S0-CK20-CK10-S2) )
  K0QD-act S2-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-CK20-CK10-CCK'=S0-CK20-CK10-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-CK20-CK10-CCK'-CCK'=S0-CK20-CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-CK20-CCK'=S0-CK20-CCK'-S2) )
  K0QD-act S2-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-S0-CK20-CCK'-CCK'=S0-CK20-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen) = Just ( K0 , S2 , up-to-assoc auto (axiom ax-S2-K0=K0-S2) )
  K0QD-act S2-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , S2 , up-to-assoc auto (axiom ax-S2-K0-S0-CK10=K0-S0-CK10-S2) )
  K0QD-act S2-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-S0-CK10-CCK'=K0-S0-CK10-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-S0-CK10-CCK'-CCK'=K0-S0-CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 , S2 , up-to-assoc auto (axiom ax-S2-K0-S0-CK20=K0-S0-CK20-S2) )
  K0QD-act S2-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , S2 , up-to-assoc auto (axiom ax-S2-K0-S0-CK20-S0-CK10=K0-S0-CK20-S0-CK10-S2) )
  K0QD-act S2-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-S0-CK10-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 , S2 , up-to-assoc auto (axiom ax-S2-K0-S0-CK20-CK10=K0-S0-CK20-CK10-S2) )
  K0QD-act S2-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CK10-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-S0-CK20-CCK'=K0-S0-CK20-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-S0-CK20-CCK'-CCK'=K0-S0-CK20-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen • gen CK10-gen) = Just ( K0 • CK10 , S2 , up-to-assoc auto (axiom ax-S2-K0-CK10=K0-CK10-S2) )
  K0QD-act S2-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-CK10-CCK'=K0-CK10-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-CK10-CCK'-CCK'=K0-CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen • gen CK20-gen) = Just ( K0 • CK20 , S2 , up-to-assoc auto (axiom ax-S2-K0-CK20=K0-CK20-S2) )
  K0QD-act S2-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 , S2 , up-to-assoc auto (axiom ax-S2-K0-CK20-S0-CK10=K0-CK20-S0-CK10-S2) )
  K0QD-act S2-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-CK20-S0-CK10-CCK'=K0-CK20-S0-CK10-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-CK20-S0-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 , S2 , up-to-assoc auto (axiom ax-S2-K0-CK20-CK10=K0-CK20-CK10-S2) )
  K0QD-act S2-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-CK20-CK10-CCK'=K0-CK20-CK10-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-CK20-CK10-CCK'-CCK'=K0-CK20-CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-CK20-CCK'=K0-CK20-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-CK20-CCK'-CCK'=K0-CK20-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-CCK'=K0-CCK'-S2) )
  K0QD-act S2-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-K0-CCK'-CCK'=K0-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen CK10-gen) = Just ( CK10 , S2 , up-to-assoc auto (axiom ax-S2-CK10=CK10-S2) )
  K0QD-act S2-gen (gen CK10-gen • gen CCK'-gen) = Just ( CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-CK10-CCK'=CK10-CCK'-S2) )
  K0QD-act S2-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-CK10-CCK'-CCK'=CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen CK20-gen) = Just ( CK20 , S2 , up-to-assoc auto (axiom ax-S2-CK20=CK20-S2) )
  K0QD-act S2-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 , S2 , up-to-assoc auto (axiom ax-S2-CK20-S0-CK10=CK20-S0-CK10-S2) )
  K0QD-act S2-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-CK20-S0-CK10-CCK'=CK20-S0-CK10-CCK'-S2) )
  K0QD-act S2-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-CK20-S0-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen CK20-gen • gen CK10-gen) = Just ( CK20 • CK10 , S2 , up-to-assoc auto (axiom ax-S2-CK20-CK10=CK20-CK10-S2) )
  K0QD-act S2-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-CK20-CK10-CCK'=CK20-CK10-CCK'-S2) )
  K0QD-act S2-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-CK20-CK10-CCK'-CCK'=CK20-CK10-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen CK20-gen • gen CCK'-gen) = Just ( CK20 • CCK' , S2 , up-to-assoc auto (axiom ax-S2-CK20-CCK'=CK20-CCK'-S2) )
  K0QD-act S2-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-CK20-CCK'-CCK'=CK20-CCK'-CCK'-S2) )
  K0QD-act S2-gen (gen CCK'-gen) = Just ( CCK' , S2 , up-to-assoc auto (axiom ax-S2-CCK'=CCK'-S2) )
  K0QD-act S2-gen (gen CCK'-gen • gen CCK'-gen) = Just ( CCK' • CCK' , S2 , up-to-assoc auto (axiom ax-S2-CCK'-CCK'=CCK'-CCK'-S2) )
  K0QD-act CS01-gen ε = Just ( ε , CS01 , general-assoc auto )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 • S0 • CK10 , CX10 • S0 • S0 • S0 • S1 , up-to-assoc auto (axiom ax-CS01-S0-K0=S0-K0-S0-CK10-CX10-S0-S0-S0-S1) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 , S0 • CS01 • CS01 , up-to-assoc auto (axiom ax-CS01-S0-K0-S0-CK10=S0-K0-S0-CS01-CS01) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , CCX0 • S0 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CS01-S0-K0-S0-CK10-CCK'=S0-K0-CCK'-CCK'-CCX0-S0-CS01-CS01-CS12) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , S0 • CS01 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-CCK'-S0-CS01-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , CX10 • CCX0 • S1 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-K0-S0-CK20=S0-K0-S0-CK20-CK10-CX10-CCX0-S1-CCZ) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , S1 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-K0-S0-CK20-S0-CK10=S0-K0-S0-CK20-S0-CK10-S1-CS01-CS01-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , S1 • CS01 • CS01 • CS01 , up-to-assoc auto (axiom ax-CS01-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-S1-CS01-CS01-CS01) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , CCX0 • S1 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CS01-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCX0-S1-CS01-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 , CCX0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-K0-S0-CK20-CK10=S0-K0-S0-CK20-CCX0-CS01-CS01-CCZ) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , CS01 • CS01 , up-to-assoc auto (axiom ax-CS01-S0-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK20-CCK'-CS01-CS01) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , CCX0 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CS01-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CCK'-CCX0-CS01-CS01-CS12) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , CX10 • S1 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-K0-S0-CK20-CCK'=S0-K0-S0-CK20-CK10-CCK'-CX10-S1-CS12-CCZ) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , CX10 • S1 , up-to-assoc auto (axiom ax-CS01-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCK'-CX10-S1) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , CS01 , up-to-assoc auto (axiom ax-CS01-S0-K0-CK10=S0-K0-CK10-CS01) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-K0-CK10-CCK'=S0-K0-CK10-CCK'-CCK'-CS01-CS12-CCZ) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , CCX0 • CS01 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-K0-CK10-CCK'-CCK'=S0-K0-CK10-CCK'-CCX0-CS01-CCZ) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , CX10 • CCX0 • S0 • S0 • S0 • S1 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-K0-CK20=S0-K0-CK20-S0-CK10-CCK'-CX10-CCX0-S0-S0-S0-S1-CCZ) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CCK' , CCX0 • S0 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CS01-S0-K0-CK20-S0-CK10=S0-K0-CK20-CCK'-CCX0-S0-CS01-CS01-CS12) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 , S0 • CS01 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-K0-CK20-S0-CK10-CCK'=S0-K0-CK20-S0-CS01-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , S0 • CS01 • CS01 , up-to-assoc auto (axiom ax-CS01-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-CCK'-CCK'-S0-CS01-CS01) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , CCX0 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-K0-CK20-CK10=S0-K0-CK20-CK10-CCK'-CCK'-CCX0-CS01-CS12-CS12-CCZ) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , CS01 , up-to-assoc auto (axiom ax-CS01-S0-K0-CK20-CK10-CCK'=S0-K0-CK20-CK10-CCK'-CS01) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 , CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , CX10 • CCX0 • S0 • S0 • S0 • S1 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CS01-S0-K0-CK20-CCK'=S0-K0-CK20-S0-CK10-CX10-CCX0-S0-S0-S0-S1-CS12-CS12-CS12) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , CX10 • S0 • S0 • S0 • S1 , up-to-assoc auto (axiom ax-CS01-S0-K0-CK20-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCK'-CX10-S0-S0-S0-S1) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , CX10 • CCX0 • S0 • S0 • S0 • S1 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-K0-CCK'=S0-K0-S0-CK10-CCK'-CCK'-CX10-CCX0-S0-S0-S0-S1-CCZ) )
  K0QD-act CS01-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , CX10 • CCX0 • S0 • S0 • S0 • S1 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CS01-S0-K0-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CX10-CCX0-S0-S0-S0-S1-CS12-CS12-CS12) )
  K0QD-act CS01-gen (gen S0-gen • gen CK10-gen) = Just ( CK10 , CX10 • S0 • CS01 • CS01 • CS01 , up-to-assoc auto (axiom ax-CS01-S0-CK10=CK10-CX10-S0-CS01-CS01-CS01) )
  K0QD-act CS01-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK10 • CCK' , CX10 • CCX0 • S0 • CS01 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-CK10-CCK'=CK10-CCK'-CX10-CCX0-S0-CS01-CS01-CS01-CCZ) )
  K0QD-act CS01-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , CX10 • S0 • CS01 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-CK10-CCK'-CCK'=CK10-CCK'-CCK'-CX10-S0-CS01-CS01-CS01-CS12-CCZ) )
  K0QD-act CS01-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • CK20 • CCK' • CCK' , CCX0 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-CK20=S0-CK20-CCK'-CCK'-CCX0-CS01-CS12-CS12-CCZ) )
  K0QD-act CS01-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 • CCK' , CX10 • CCX0 • S0 • CS01 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CS01-S0-CK20-S0-CK10=S0-CK20-CK10-CCK'-CX10-CCX0-S0-CS01-CS01-CS01-CS12) )
  K0QD-act CS01-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , CX10 • CCX0 • S0 • CS01 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CS01-S0-CK20-S0-CK10-CCK'=S0-CK20-CK10-CCK'-CCK'-CX10-CCX0-S0-CS01-CS01-CS01-CS12) )
  K0QD-act CS01-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 , CX10 • CCX0 • S0 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CS01-S0-CK20-S0-CK10-CCK'-CCK'=S0-CK20-CK10-CX10-CCX0-S0-CS01-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CS01-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , S0 • S0 • S0 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-CK20-CK10=S0-CK20-S0-CK10-CCK'-CCK'-S0-S0-S0-CS01-CS12-CCZ) )
  K0QD-act CS01-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 , CCX0 • S0 • S0 • S0 • CS01 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-CK20-CK10-CCK'=S0-CK20-S0-CK10-CCX0-S0-S0-S0-CS01-CCZ) )
  K0QD-act CS01-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , CCX0 • S0 • S0 • S0 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CS01-S0-CK20-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CCX0-S0-S0-S0-CS01-CS12-CS12-CS12) )
  K0QD-act CS01-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , CS01 , up-to-assoc auto (axiom ax-CS01-S0-CK20-CCK'=S0-CK20-CCK'-CS01) )
  K0QD-act CS01-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 , CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-S0-CK20-CCK'-CCK'=S0-CK20-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CS01-gen (gen K0-gen) = Just ( K0 • S0 • CK10 , CX10 • S0 • S0 • S0 • S1 , up-to-assoc auto (axiom ax-CS01-K0=K0-S0-CK10-CX10-S0-S0-S0-S1) )
  K0QD-act CS01-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 , S0 • CS01 • CS01 , up-to-assoc auto (axiom ax-CS01-K0-S0-CK10=K0-S0-CS01-CS01) )
  K0QD-act CS01-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , CCX0 • S0 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CS01-K0-S0-CK10-CCK'=K0-CCK'-CCK'-CCX0-S0-CS01-CS01-CS12) )
  K0QD-act CS01-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CCK' , S0 • CS01 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-K0-S0-CK10-CCK'-CCK'=K0-CCK'-S0-CS01-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CS01-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 • CK10 , CX10 • CCX0 • S1 • CCZ , up-to-assoc auto (axiom ax-CS01-K0-S0-CK20=K0-S0-CK20-CK10-CX10-CCX0-S1-CCZ) )
  K0QD-act CS01-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , S1 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-K0-S0-CK20-S0-CK10=K0-S0-CK20-S0-CK10-S1-CS01-CS01-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CS01-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , S1 • CS01 • CS01 • CS01 , up-to-assoc auto (axiom ax-CS01-K0-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-S1-CS01-CS01-CS01) )
  K0QD-act CS01-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , CCX0 • S1 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CS01-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCX0-S1-CS01-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CS01-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 , CCX0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CS01-K0-S0-CK20-CK10=K0-S0-CK20-CCX0-CS01-CS01-CCZ) )
  K0QD-act CS01-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , CS01 • CS01 , up-to-assoc auto (axiom ax-CS01-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CCK'-CS01-CS01) )
  K0QD-act CS01-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , CCX0 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CS01-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-CCK'-CCK'-CCX0-CS01-CS01-CS12) )
  K0QD-act CS01-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , CX10 • S1 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-K0-S0-CK20-CCK'=K0-S0-CK20-CK10-CCK'-CX10-S1-CS12-CCZ) )
  K0QD-act CS01-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , CX10 • S1 , up-to-assoc auto (axiom ax-CS01-K0-S0-CK20-CCK'-CCK'=K0-S0-CK20-CK10-CCK'-CCK'-CX10-S1) )
  K0QD-act CS01-gen (gen K0-gen • gen CK10-gen) = Just ( K0 • CK10 , CS01 , up-to-assoc auto (axiom ax-CS01-K0-CK10=K0-CK10-CS01) )
  K0QD-act CS01-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-K0-CK10-CCK'=K0-CK10-CCK'-CCK'-CS01-CS12-CCZ) )
  K0QD-act CS01-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , CCX0 • CS01 • CCZ , up-to-assoc auto (axiom ax-CS01-K0-CK10-CCK'-CCK'=K0-CK10-CCK'-CCX0-CS01-CCZ) )
  K0QD-act CS01-gen (gen K0-gen • gen CK20-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , CX10 • CCX0 • S0 • S0 • S0 • S1 • CCZ , up-to-assoc auto (axiom ax-CS01-K0-CK20=K0-CK20-S0-CK10-CCK'-CX10-CCX0-S0-S0-S0-S1-CCZ) )
  K0QD-act CS01-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • CCK' , CCX0 • S0 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CS01-K0-CK20-S0-CK10=K0-CK20-CCK'-CCX0-S0-CS01-CS01-CS12) )
  K0QD-act CS01-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 , S0 • CS01 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-K0-CK20-S0-CK10-CCK'=K0-CK20-S0-CS01-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CS01-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , S0 • CS01 • CS01 , up-to-assoc auto (axiom ax-CS01-K0-CK20-S0-CK10-CCK'-CCK'=K0-CK20-CCK'-CCK'-S0-CS01-CS01) )
  K0QD-act CS01-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , CCX0 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-K0-CK20-CK10=K0-CK20-CK10-CCK'-CCK'-CCX0-CS01-CS12-CS12-CCZ) )
  K0QD-act CS01-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , CS01 , up-to-assoc auto (axiom ax-CS01-K0-CK20-CK10-CCK'=K0-CK20-CK10-CCK'-CS01) )
  K0QD-act CS01-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 , CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-K0-CK20-CK10-CCK'-CCK'=K0-CK20-CK10-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CS01-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 , CX10 • CCX0 • S0 • S0 • S0 • S1 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CS01-K0-CK20-CCK'=K0-CK20-S0-CK10-CX10-CCX0-S0-S0-S0-S1-CS12-CS12-CS12) )
  K0QD-act CS01-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , CX10 • S0 • S0 • S0 • S1 , up-to-assoc auto (axiom ax-CS01-K0-CK20-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CCK'-CX10-S0-S0-S0-S1) )
  K0QD-act CS01-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , CX10 • CCX0 • S0 • S0 • S0 • S1 • CCZ , up-to-assoc auto (axiom ax-CS01-K0-CCK'=K0-S0-CK10-CCK'-CCK'-CX10-CCX0-S0-S0-S0-S1-CCZ) )
  K0QD-act CS01-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , CX10 • CCX0 • S0 • S0 • S0 • S1 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CS01-K0-CCK'-CCK'=K0-S0-CK10-CCK'-CX10-CCX0-S0-S0-S0-S1-CS12-CS12-CS12) )
  K0QD-act CS01-gen (gen CK10-gen) = Just ( S0 • CK10 , S0 • S0 • S0 • CS01 , up-to-assoc auto (axiom ax-CS01-CK10=S0-CK10-S0-S0-S0-CS01) )
  K0QD-act CS01-gen (gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , S0 • S0 • S0 • CS01 , up-to-assoc auto (axiom ax-CS01-CK10-CCK'=S0-CK10-CCK'-S0-S0-S0-CS01) )
  K0QD-act CS01-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , S0 • S0 • S0 • CS01 , up-to-assoc auto (axiom ax-CS01-CK10-CCK'-CCK'=S0-CK10-CCK'-CCK'-S0-S0-S0-CS01) )
  K0QD-act CS01-gen (gen CK20-gen) = Just ( CK20 • CCK' • CCK' , CCX0 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-CK20=CK20-CCK'-CCK'-CCX0-CS01-CS12-CS12-CCZ) )
  K0QD-act CS01-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • CK10 • CCK' , CX10 • CCX0 • S0 • CS01 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CS01-CK20-S0-CK10=CK20-CK10-CCK'-CX10-CCX0-S0-CS01-CS01-CS01-CS12) )
  K0QD-act CS01-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , CX10 • CCX0 • S0 • CS01 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CS01-CK20-S0-CK10-CCK'=CK20-CK10-CCK'-CCK'-CX10-CCX0-S0-CS01-CS01-CS01-CS12) )
  K0QD-act CS01-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 , CX10 • CCX0 • S0 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CS01-CK20-S0-CK10-CCK'-CCK'=CK20-CK10-CX10-CCX0-S0-CS01-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CS01-gen (gen CK20-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , S0 • S0 • S0 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-CK20-CK10=CK20-S0-CK10-CCK'-CCK'-S0-S0-S0-CS01-CS12-CCZ) )
  K0QD-act CS01-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 , CCX0 • S0 • S0 • S0 • CS01 • CCZ , up-to-assoc auto (axiom ax-CS01-CK20-CK10-CCK'=CK20-S0-CK10-CCX0-S0-S0-S0-CS01-CCZ) )
  K0QD-act CS01-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , CCX0 • S0 • S0 • S0 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CS01-CK20-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CCX0-S0-S0-S0-CS01-CS12-CS12-CS12) )
  K0QD-act CS01-gen (gen CK20-gen • gen CCK'-gen) = Just ( CK20 • CCK' , CS01 , up-to-assoc auto (axiom ax-CS01-CK20-CCK'=CK20-CCK'-CS01) )
  K0QD-act CS01-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 , CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-CK20-CCK'-CCK'=CK20-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CS01-gen (gen CCK'-gen) = Just ( CCK' • CCK' , CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS01-CCK'=CCK'-CCK'-CS01-CS12-CCZ) )
  K0QD-act CS01-gen (gen CCK'-gen • gen CCK'-gen) = Just ( CCK' , CCX0 • CS01 • CCZ , up-to-assoc auto (axiom ax-CS01-CCK'-CCK'=CCK'-CCX0-CS01-CCZ) )
  K0QD-act CS02-gen ε = Just ( ε , CS02 , general-assoc auto )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 • S0 • CK20 , CX20 • S0 • S0 • S0 • S2 , up-to-assoc auto (axiom ax-CS02-S0-K0=S0-K0-S0-CK20-CX20-S0-S0-S0-S2) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , CX20 • CCX0 • S2 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-K0-S0-CK10=S0-K0-S0-CK20-CK10-CX20-CCX0-S2-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , CX20 • S2 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-K0-S0-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-CX20-S2-CS12-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , CX20 • S2 , up-to-assoc auto (axiom ax-CS02-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCK'-CX20-S2) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 , S0 • CS02 • CS02 , up-to-assoc auto (axiom ax-CS02-S0-K0-S0-CK20=S0-K0-S0-CS02-CS02) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , CX10 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-K0-S0-CK20-S0-CK10=S0-K0-CK10-CX10-CCX0-S0-S0-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , CX10 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-CK10-CCK'-CX10-CCX0-S0-S0-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , CX10 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK10-CCK'-CCK'-CX10-CCX0-S0-S0-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 , CCX0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-K0-S0-CK20-CK10=S0-K0-S0-CK10-CCX0-CS02-CS02-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , CS02 • CS02 , up-to-assoc auto (axiom ax-CS02-S0-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK10-CCK'-CS02-CS02) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , CCX0 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CS02-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CCK'-CCX0-CS02-CS02-CS12) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , CCX0 • S0 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CS02-S0-K0-S0-CK20-CCK'=S0-K0-CCK'-CCK'-CCX0-S0-CS02-CS02-CS12) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , S0 • CS02 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-CCK'-S0-CS02-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , CX10 • CX20 • S0 • S0 • CS01 • CS01 • CS02 • CS02 , up-to-assoc auto (axiom ax-CS02-S0-K0-CK10=S0-K0-S0-CK20-S0-CK10-CX10-CX20-S0-S0-CS01-CS01-CS02-CS02) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , CX10 • CX20 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CS02-S0-K0-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CX10-CX20-CCX0-S0-S0-CS01-CS01-CS02-CS02-CS12) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX10 • CX20 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-K0-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-CX10-CX20-CCX0-S0-S0-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 , CS02 , up-to-assoc auto (axiom ax-CS02-S0-K0-CK20=S0-K0-CK20-CS02) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , CCX0 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-K0-CK20-S0-CK10=S0-K0-CK20-S0-CK10-CCK'-CCK'-CCX0-CS02-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , CS02 , up-to-assoc auto (axiom ax-CS02-S0-K0-CK20-S0-CK10-CCK'=S0-K0-CK20-S0-CK10-CCK'-CS02) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , CCX0 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-K0-CK20-CK10=S0-K0-CK20-CK10-CCK'-CCK'-CCX0-CS02-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , CS02 , up-to-assoc auto (axiom ax-CS02-S0-K0-CK20-CK10-CCK'=S0-K0-CK20-CK10-CCK'-CS02) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 , CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-K0-CK20-CCK'=S0-K0-CK20-CCK'-CCK'-CS02-CS12-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , CCX0 • CS02 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-K0-CK20-CCK'-CCK'=S0-K0-CK20-CCK'-CCX0-CS02-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , CX20 • CCX0 • S0 • S0 • S0 • S2 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-K0-CCK'=S0-K0-S0-CK20-CCK'-CCK'-CX20-CCX0-S0-S0-S0-S2-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , CX20 • CCX0 • S0 • S0 • S0 • S2 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CS02-S0-K0-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CX20-CCX0-S0-S0-S0-S2-CS12-CS12-CS12) )
  K0QD-act CS02-gen (gen S0-gen • gen CK10-gen) = Just ( S0 • CK10 • CCK' • CCK' , CCX0 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-CK10=S0-CK10-CCK'-CCK'-CCX0-CS02-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , CS02 , up-to-assoc auto (axiom ax-CS02-S0-CK10-CCK'=S0-CK10-CCK'-CS02) )
  K0QD-act CS02-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 , CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-CK10-CCK'-CCK'=S0-CK10-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen CK20-gen) = Just ( CK20 , CX20 • S0 • CS02 • CS02 • CS02 , up-to-assoc auto (axiom ax-CS02-S0-CK20=CK20-CX20-S0-CS02-CS02-CS02) )
  K0QD-act CS02-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • CK10 • CCK' • CCK' , CX10 • CX20 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CS02-S0-CK20-S0-CK10=CK20-CK10-CCK'-CCK'-CX10-CX20-S0-S0-CS01-CS01-CS02-CS02-CS02-CS12-CS12) )
  K0QD-act CS02-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , CX10 • CX20 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CS02-S0-CK20-S0-CK10-CCK'=CK20-CK10-CCK'-CX10-CX20-CCX0-S0-S0-CS01-CS01-CS02-CS02-CS02-CS12) )
  K0QD-act CS02-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 , CX10 • CX20 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-CK20-S0-CK10-CCK'-CCK'=CK20-CK10-CX10-CX20-S0-S0-CS01-CS01-CS02-CS02-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , CX20 • CCX0 • S2 • S2 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-CK20-CK10=CK20-S0-CK10-CCK'-CCK'-CX20-CCX0-S2-S2-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , CX20 • S2 • S2 • S2 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-CK20-CK10-CCK'=CK20-S0-CK10-CCK'-CX20-S2-S2-S2-CS02-CS12-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 , CX20 • CCX0 • S2 • S2 • S2 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CS02-S0-CK20-CK10-CCK'-CCK'=CK20-S0-CK10-CX20-CCX0-S2-S2-S2-CS02-CS12-CS12-CS12) )
  K0QD-act CS02-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( CK20 • CCK' , CX20 • CCX0 • S0 • CS02 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-CK20-CCK'=CK20-CCK'-CX20-CCX0-S0-CS02-CS02-CS02-CCZ) )
  K0QD-act CS02-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , CX20 • S0 • CS02 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-S0-CK20-CCK'-CCK'=CK20-CCK'-CCK'-CX20-S0-CS02-CS02-CS02-CS12-CCZ) )
  K0QD-act CS02-gen (gen K0-gen) = Just ( K0 • S0 • CK20 , CX20 • S0 • S0 • S0 • S2 , up-to-assoc auto (axiom ax-CS02-K0=K0-S0-CK20-CX20-S0-S0-S0-S2) )
  K0QD-act CS02-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 , CX20 • CCX0 • S2 • CCZ , up-to-assoc auto (axiom ax-CS02-K0-S0-CK10=K0-S0-CK20-CK10-CX20-CCX0-S2-CCZ) )
  K0QD-act CS02-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , CX20 • S2 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-K0-S0-CK10-CCK'=K0-S0-CK20-CK10-CCK'-CX20-S2-CS12-CCZ) )
  K0QD-act CS02-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , CX20 • S2 , up-to-assoc auto (axiom ax-CS02-K0-S0-CK10-CCK'-CCK'=K0-S0-CK20-CK10-CCK'-CCK'-CX20-S2) )
  K0QD-act CS02-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 , S0 • CS02 • CS02 , up-to-assoc auto (axiom ax-CS02-K0-S0-CK20=K0-S0-CS02-CS02) )
  K0QD-act CS02-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK10 , CX10 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CS02-K0-S0-CK20-S0-CK10=K0-CK10-CX10-CCX0-S0-S0-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act CS02-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , CX10 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CS02-K0-S0-CK20-S0-CK10-CCK'=K0-CK10-CCK'-CX10-CCX0-S0-S0-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act CS02-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , CX10 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CS02-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-CK10-CCK'-CCK'-CX10-CCX0-S0-S0-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act CS02-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , CCX0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CS02-K0-S0-CK20-CK10=K0-S0-CK10-CCX0-CS02-CS02-CCZ) )
  K0QD-act CS02-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , CS02 • CS02 , up-to-assoc auto (axiom ax-CS02-K0-S0-CK20-CK10-CCK'=K0-S0-CK10-CCK'-CS02-CS02) )
  K0QD-act CS02-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , CCX0 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CS02-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK10-CCK'-CCK'-CCX0-CS02-CS02-CS12) )
  K0QD-act CS02-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , CCX0 • S0 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CS02-K0-S0-CK20-CCK'=K0-CCK'-CCK'-CCX0-S0-CS02-CS02-CS12) )
  K0QD-act CS02-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CCK' , S0 • CS02 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-K0-S0-CK20-CCK'-CCK'=K0-CCK'-S0-CS02-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen K0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , CX10 • CX20 • S0 • S0 • CS01 • CS01 • CS02 • CS02 , up-to-assoc auto (axiom ax-CS02-K0-CK10=K0-S0-CK20-S0-CK10-CX10-CX20-S0-S0-CS01-CS01-CS02-CS02) )
  K0QD-act CS02-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , CX10 • CX20 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CS02-K0-CK10-CCK'=K0-S0-CK20-S0-CK10-CCK'-CX10-CX20-CCX0-S0-S0-CS01-CS01-CS02-CS02-CS12) )
  K0QD-act CS02-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX10 • CX20 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CS02-K0-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-CX10-CX20-CCX0-S0-S0-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act CS02-gen (gen K0-gen • gen CK20-gen) = Just ( K0 • CK20 , CS02 , up-to-assoc auto (axiom ax-CS02-K0-CK20=K0-CK20-CS02) )
  K0QD-act CS02-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , CCX0 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-K0-CK20-S0-CK10=K0-CK20-S0-CK10-CCK'-CCK'-CCX0-CS02-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , CS02 , up-to-assoc auto (axiom ax-CS02-K0-CK20-S0-CK10-CCK'=K0-CK20-S0-CK10-CCK'-CS02) )
  K0QD-act CS02-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 , CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-K0-CK20-S0-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , CCX0 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-K0-CK20-CK10=K0-CK20-CK10-CCK'-CCK'-CCX0-CS02-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , CS02 , up-to-assoc auto (axiom ax-CS02-K0-CK20-CK10-CCK'=K0-CK20-CK10-CCK'-CS02) )
  K0QD-act CS02-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 , CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-K0-CK20-CK10-CCK'-CCK'=K0-CK20-CK10-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-K0-CK20-CCK'=K0-CK20-CCK'-CCK'-CS02-CS12-CCZ) )
  K0QD-act CS02-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , CCX0 • CS02 • CCZ , up-to-assoc auto (axiom ax-CS02-K0-CK20-CCK'-CCK'=K0-CK20-CCK'-CCX0-CS02-CCZ) )
  K0QD-act CS02-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , CX20 • CCX0 • S0 • S0 • S0 • S2 • CCZ , up-to-assoc auto (axiom ax-CS02-K0-CCK'=K0-S0-CK20-CCK'-CCK'-CX20-CCX0-S0-S0-S0-S2-CCZ) )
  K0QD-act CS02-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , CX20 • CCX0 • S0 • S0 • S0 • S2 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CS02-K0-CCK'-CCK'=K0-S0-CK20-CCK'-CX20-CCX0-S0-S0-S0-S2-CS12-CS12-CS12) )
  K0QD-act CS02-gen (gen CK10-gen) = Just ( CK10 • CCK' • CCK' , CCX0 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-CK10=CK10-CCK'-CCK'-CCX0-CS02-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen CK10-gen • gen CCK'-gen) = Just ( CK10 • CCK' , CS02 , up-to-assoc auto (axiom ax-CS02-CK10-CCK'=CK10-CCK'-CS02) )
  K0QD-act CS02-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 , CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-CK10-CCK'-CCK'=CK10-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen CK20-gen) = Just ( S0 • CK20 , S0 • S0 • S0 • CS02 , up-to-assoc auto (axiom ax-CS02-CK20=S0-CK20-S0-S0-S0-CS02) )
  K0QD-act CS02-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , CCX0 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-CK20-S0-CK10=S0-CK20-CK10-CCK'-CCK'-CCX0-CS02-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , CS02 , up-to-assoc auto (axiom ax-CS02-CK20-S0-CK10-CCK'=S0-CK20-CK10-CCK'-CS02) )
  K0QD-act CS02-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 , CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-CK20-S0-CK10-CCK'-CCK'=S0-CK20-CK10-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX10 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS12 , up-to-assoc auto (axiom ax-CS02-CK20-CK10=S0-CK20-S0-CK10-CCK'-CCK'-CX10-CCX0-S0-S0-CS01-CS01-CS02-CS12) )
  K0QD-act CS02-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , CX10 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CCZ , up-to-assoc auto (axiom ax-CS02-CK20-CK10-CCK'=S0-CK20-S0-CK10-CCK'-CX10-CCX0-S0-S0-CS01-CS01-CS02-CCZ) )
  K0QD-act CS02-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 , CX10 • S0 • S0 • CS01 • CS01 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-CK20-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CX10-S0-S0-CS01-CS01-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CS02-gen (gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , S0 • S0 • S0 • CS02 , up-to-assoc auto (axiom ax-CS02-CK20-CCK'=S0-CK20-CCK'-S0-S0-S0-CS02) )
  K0QD-act CS02-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , S0 • S0 • S0 • CS02 , up-to-assoc auto (axiom ax-CS02-CK20-CCK'-CCK'=S0-CK20-CCK'-CCK'-S0-S0-S0-CS02) )
  K0QD-act CS02-gen (gen CCK'-gen) = Just ( CCK' • CCK' , CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CS02-CCK'=CCK'-CCK'-CS02-CS12-CCZ) )
  K0QD-act CS02-gen (gen CCK'-gen • gen CCK'-gen) = Just ( CCK' , CCX0 • CS02 • CCZ , up-to-assoc auto (axiom ax-CS02-CCK'-CCK'=CCK'-CCX0-CS02-CCZ) )
  K0QD-act CS12-gen ε = Just ( ε , CS12 , general-assoc auto )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0=S0-K0-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-S0-CK10=S0-K0-S0-CK10-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-S0-CK10-CCK'=S0-K0-S0-CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-S0-CK20=S0-K0-S0-CK20-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-S0-CK20-S0-CK10=S0-K0-S0-CK20-S0-CK10-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-S0-CK20-CK10=S0-K0-S0-CK20-CK10-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-S0-CK20-CCK'=S0-K0-S0-CK20-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-CK10=S0-K0-CK10-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-CK10-CCK'=S0-K0-CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-CK10-CCK'-CCK'=S0-K0-CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-CK20=S0-K0-CK20-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-CK20-S0-CK10=S0-K0-CK20-S0-CK10-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-CK20-S0-CK10-CCK'=S0-K0-CK20-S0-CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-CK20-CK10=S0-K0-CK20-CK10-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-CK20-CK10-CCK'=S0-K0-CK20-CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-CK20-CCK'=S0-K0-CK20-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-CK20-CCK'-CCK'=S0-K0-CK20-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-CCK'=S0-K0-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-K0-CCK'-CCK'=S0-K0-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen CK10-gen) = Just ( S0 • CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-S0-CK10=S0-CK10-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-CK10-CCK'=S0-CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-CK10-CCK'-CCK'=S0-CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • CK20 , CS12 , up-to-assoc auto (axiom ax-CS12-S0-CK20=S0-CK20-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-S0-CK20-S0-CK10=S0-CK20-S0-CK10-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-CK20-S0-CK10-CCK'=S0-CK20-S0-CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-CK20-S0-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-S0-CK20-CK10=S0-CK20-CK10-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-CK20-CK10-CCK'=S0-CK20-CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-CK20-CK10-CCK'-CCK'=S0-CK20-CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-CK20-CCK'=S0-CK20-CCK'-CS12) )
  K0QD-act CS12-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-S0-CK20-CCK'-CCK'=S0-CK20-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen) = Just ( K0 , CS12 , up-to-assoc auto (axiom ax-CS12-K0=K0-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-K0-S0-CK10=K0-S0-CK10-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-S0-CK10-CCK'=K0-S0-CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-S0-CK10-CCK'-CCK'=K0-S0-CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 , CS12 , up-to-assoc auto (axiom ax-CS12-K0-S0-CK20=K0-S0-CK20-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-K0-S0-CK20-S0-CK10=K0-S0-CK20-S0-CK10-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-S0-CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-K0-S0-CK20-CK10=K0-S0-CK20-CK10-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-S0-CK20-CCK'=K0-S0-CK20-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-S0-CK20-CCK'-CCK'=K0-S0-CK20-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen CK10-gen) = Just ( K0 • CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-K0-CK10=K0-CK10-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-CK10-CCK'=K0-CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-CK10-CCK'-CCK'=K0-CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen CK20-gen) = Just ( K0 • CK20 , CS12 , up-to-assoc auto (axiom ax-CS12-K0-CK20=K0-CK20-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-K0-CK20-S0-CK10=K0-CK20-S0-CK10-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-CK20-S0-CK10-CCK'=K0-CK20-S0-CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-CK20-S0-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-K0-CK20-CK10=K0-CK20-CK10-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-CK20-CK10-CCK'=K0-CK20-CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-CK20-CK10-CCK'-CCK'=K0-CK20-CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-CK20-CCK'=K0-CK20-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-CK20-CCK'-CCK'=K0-CK20-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-CCK'=K0-CCK'-CS12) )
  K0QD-act CS12-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-K0-CCK'-CCK'=K0-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen CK10-gen) = Just ( CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-CK10=CK10-CS12) )
  K0QD-act CS12-gen (gen CK10-gen • gen CCK'-gen) = Just ( CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-CK10-CCK'=CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-CK10-CCK'-CCK'=CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen CK20-gen) = Just ( CK20 , CS12 , up-to-assoc auto (axiom ax-CS12-CK20=CK20-CS12) )
  K0QD-act CS12-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-CK20-S0-CK10=CK20-S0-CK10-CS12) )
  K0QD-act CS12-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-CK20-S0-CK10-CCK'=CK20-S0-CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-CK20-S0-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen CK20-gen • gen CK10-gen) = Just ( CK20 • CK10 , CS12 , up-to-assoc auto (axiom ax-CS12-CK20-CK10=CK20-CK10-CS12) )
  K0QD-act CS12-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-CK20-CK10-CCK'=CK20-CK10-CCK'-CS12) )
  K0QD-act CS12-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-CK20-CK10-CCK'-CCK'=CK20-CK10-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen CK20-gen • gen CCK'-gen) = Just ( CK20 • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-CK20-CCK'=CK20-CCK'-CS12) )
  K0QD-act CS12-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-CK20-CCK'-CCK'=CK20-CCK'-CCK'-CS12) )
  K0QD-act CS12-gen (gen CCK'-gen) = Just ( CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-CCK'=CCK'-CS12) )
  K0QD-act CS12-gen (gen CCK'-gen • gen CCK'-gen) = Just ( CCK' • CCK' , CS12 , up-to-assoc auto (axiom ax-CS12-CCK'-CCK'=CCK'-CCK'-CS12) )
  K0QD-act CCZ-gen ε = Just ( ε , CCZ , general-assoc auto )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 , CCX0 , up-to-assoc auto (axiom ax-CCZ-S0-K0=S0-K0-CCX0) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-S0-CK10=S0-K0-S0-CK10-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCZ-S0-K0-S0-CK10-CCK'=S0-K0-S0-CK10-CCK'-CCX0) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CCK'-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-S0-CK20=S0-K0-S0-CK20-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-S0-CK20-S0-CK10=S0-K0-S0-CK20-S0-CK10-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCZ-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-CCX0) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , CCX0 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-S0-CK20-CK10=S0-K0-S0-CK20-CK10-CCX0-CS12-CS12-CS12-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , CCX0 • CS12 • CS12 , up-to-assoc auto (axiom ax-CCZ-S0-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCX0-CS12-CS12) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCK'-CS12-CS12-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCZ-S0-K0-S0-CK20-CCK'=S0-K0-S0-CK20-CCK'-CCX0) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CCK'-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-CK10=S0-K0-CK10-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-CK10-CCK'=S0-K0-CK10-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCZ-S0-K0-CK10-CCK'-CCK'=S0-K0-CK10-CCK'-CCK'-CCX0) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 , CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-CK20=S0-K0-CK20-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , CCX0 , up-to-assoc auto (axiom ax-CCZ-S0-K0-CK20-S0-CK10=S0-K0-CK20-S0-CK10-CCX0) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-CK20-S0-CK10-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 , CCX0 , up-to-assoc auto (axiom ax-CCZ-S0-K0-CK20-CK10=S0-K0-CK20-CK10-CCX0) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-CK20-CK10-CCK'=S0-K0-CK20-CK10-CCK'-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-CK20-CCK'=S0-K0-CK20-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCZ-S0-K0-CK20-CCK'-CCK'=S0-K0-CK20-CCK'-CCK'-CCX0) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-CCK'=S0-K0-CCK'-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-S0-K0-CCK'-CCK'=S0-K0-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen CK10-gen) = Just ( S0 • CK10 , CCX0 , up-to-assoc auto (axiom ax-CCZ-S0-CK10=S0-CK10-CCX0) )
  K0QD-act CCZ-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCZ-S0-CK10-CCK'=S0-CK10-CCK'-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-S0-CK10-CCK'-CCK'=S0-CK10-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • CK20 , CCX0 , up-to-assoc auto (axiom ax-CCZ-S0-CK20=S0-CK20-CCX0) )
  K0QD-act CCZ-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-S0-CK20-S0-CK10=S0-CK20-S0-CK10-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCZ-S0-CK20-S0-CK10-CCK'=S0-CK20-S0-CK10-CCK'-CCX0) )
  K0QD-act CCZ-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , CCZ , up-to-assoc auto (axiom ax-CCZ-S0-CK20-S0-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CCK'-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 , CCZ , up-to-assoc auto (axiom ax-CCZ-S0-CK20-CK10=S0-CK20-CK10-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-S0-CK20-CK10-CCK'=S0-CK20-CK10-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCZ-S0-CK20-CK10-CCK'-CCK'=S0-CK20-CK10-CCK'-CCK'-CCX0) )
  K0QD-act CCZ-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCZ-S0-CK20-CCK'=S0-CK20-CCK'-CCZ) )
  K0QD-act CCZ-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-S0-CK20-CCK'-CCK'=S0-CK20-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen) = Just ( K0 , CCX0 , up-to-assoc auto (axiom ax-CCZ-K0=K0-CCX0) )
  K0QD-act CCZ-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-K0-S0-CK10=K0-S0-CK10-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCZ-K0-S0-CK10-CCK'=K0-S0-CK10-CCK'-CCX0) )
  K0QD-act CCZ-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , CCZ , up-to-assoc auto (axiom ax-CCZ-K0-S0-CK10-CCK'-CCK'=K0-S0-CK10-CCK'-CCK'-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-K0-S0-CK20=K0-S0-CK20-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , CCZ , up-to-assoc auto (axiom ax-CCZ-K0-S0-CK20-S0-CK10=K0-S0-CK20-S0-CK10-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-K0-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCZ-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-CCX0) )
  K0QD-act CCZ-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 , CCX0 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-K0-S0-CK20-CK10=K0-S0-CK20-CK10-CCX0-CS12-CS12-CS12-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , CCX0 • CS12 • CS12 , up-to-assoc auto (axiom ax-CCZ-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CK10-CCK'-CCX0-CS12-CS12) )
  K0QD-act CCZ-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-CK10-CCK'-CCK'-CS12-CS12-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCZ-K0-S0-CK20-CCK'=K0-S0-CK20-CCK'-CCX0) )
  K0QD-act CCZ-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , CCZ , up-to-assoc auto (axiom ax-CCZ-K0-S0-CK20-CCK'-CCK'=K0-S0-CK20-CCK'-CCK'-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen • gen CK10-gen) = Just ( K0 • CK10 , CCZ , up-to-assoc auto (axiom ax-CCZ-K0-CK10=K0-CK10-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-K0-CK10-CCK'=K0-CK10-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCZ-K0-CK10-CCK'-CCK'=K0-CK10-CCK'-CCK'-CCX0) )
  K0QD-act CCZ-gen (gen K0-gen • gen CK20-gen) = Just ( K0 • CK20 , CCZ , up-to-assoc auto (axiom ax-CCZ-K0-CK20=K0-CK20-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 , CCX0 , up-to-assoc auto (axiom ax-CCZ-K0-CK20-S0-CK10=K0-CK20-S0-CK10-CCX0) )
  K0QD-act CCZ-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCZ-K0-CK20-S0-CK10-CCK'=K0-CK20-S0-CK10-CCK'-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-K0-CK20-S0-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 , CCX0 , up-to-assoc auto (axiom ax-CCZ-K0-CK20-CK10=K0-CK20-CK10-CCX0) )
  K0QD-act CCZ-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCZ-K0-CK20-CK10-CCK'=K0-CK20-CK10-CCK'-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-K0-CK20-CK10-CCK'-CCK'=K0-CK20-CK10-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-K0-CK20-CCK'=K0-CK20-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCZ-K0-CK20-CCK'-CCK'=K0-CK20-CCK'-CCK'-CCX0) )
  K0QD-act CCZ-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCZ-K0-CCK'=K0-CCK'-CCZ) )
  K0QD-act CCZ-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-K0-CCK'-CCK'=K0-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen CK10-gen) = Just ( CK10 , CCX0 , up-to-assoc auto (axiom ax-CCZ-CK10=CK10-CCX0) )
  K0QD-act CCZ-gen (gen CK10-gen • gen CCK'-gen) = Just ( CK10 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCZ-CK10-CCK'=CK10-CCK'-CCZ) )
  K0QD-act CCZ-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-CK10-CCK'-CCK'=CK10-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen CK20-gen) = Just ( CK20 , CCX0 , up-to-assoc auto (axiom ax-CCZ-CK20=CK20-CCX0) )
  K0QD-act CCZ-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-CK20-S0-CK10=CK20-S0-CK10-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCZ-CK20-S0-CK10-CCK'=CK20-S0-CK10-CCK'-CCX0) )
  K0QD-act CCZ-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , CCZ , up-to-assoc auto (axiom ax-CCZ-CK20-S0-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CCK'-CCZ) )
  K0QD-act CCZ-gen (gen CK20-gen • gen CK10-gen) = Just ( CK20 • CK10 , CCZ , up-to-assoc auto (axiom ax-CCZ-CK20-CK10=CK20-CK10-CCZ) )
  K0QD-act CCZ-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-CK20-CK10-CCK'=CK20-CK10-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCZ-CK20-CK10-CCK'-CCK'=CK20-CK10-CCK'-CCK'-CCX0) )
  K0QD-act CCZ-gen (gen CK20-gen • gen CCK'-gen) = Just ( CK20 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCZ-CK20-CCK'=CK20-CCK'-CCZ) )
  K0QD-act CCZ-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-CK20-CCK'-CCK'=CK20-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen CCK'-gen) = Just ( CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCZ-CCK'=CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCZ-gen (gen CCK'-gen • gen CCK'-gen) = Just ( CCK' • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCZ-CCK'-CCK'=CCK'-CCK'-CCX0) )
  K0QD-act K0-gen ε = Just ( K0 , ε , general-assoc auto )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 , X0 • S0 • S0 • S0 , up-to-assoc auto (axiom ax-K0-S0-K0=S0-K0-X0-S0-S0-S0) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , X0 • CX10 • CS01 • CS01 , up-to-assoc auto (axiom ax-K0-S0-K0-S0-CK10=S0-K0-CK10-X0-CX10-CS01-CS01) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , X0 • CX10 • CCX0 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-K0-S0-K0-S0-CK10-CCK'=S0-K0-CK10-CCK'-X0-CX10-CCX0-CS01-CS01-CS12) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , X0 • CX10 • CCX0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-K0-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-CK10-CCK'-CCK'-X0-CX10-CCX0-CS01-CS01-CCZ) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 , X0 • CX20 • CS02 • CS02 , up-to-assoc auto (axiom ax-K0-S0-K0-S0-CK20=S0-K0-CK20-X0-CX20-CS02-CS02) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , X0 • CX20 • CCX0 • S0 • S0 • S1 • S1 • S2 • CS12 • CS12 • CCZ • iI • iI • iI , up-to-assoc auto (axiom ax-K0-S0-K0-S0-CK20-S0-CK10=S0-K0-CK20-S0-CK10-X0-CX20-CCX0-S0-S0-S1-S1-S2-CS12-CS12-CCZ-iI-iI-iI) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , X0 • CX20 • S0 • S0 • S1 • S1 • S2 • CS12 • CS12 • iI • iI • iI , up-to-assoc auto (axiom ax-K0-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-CK20-S0-CK10-CCK'-X0-CX20-S0-S0-S1-S1-S2-CS12-CS12-iI-iI-iI) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , X0 • CX20 • CCX0 • S0 • S0 • S1 • S1 • S2 • CS12 • CS12 • CS12 • iI • iI • iI , up-to-assoc auto (axiom ax-K0-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCK'-X0-CX20-CCX0-S0-S0-S1-S1-S2-CS12-CS12-CS12-iI-iI-iI) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 , X0 • CX10 • CX20 • CS01 • CS01 • CS02 • CS02 , up-to-assoc auto (axiom ax-K0-S0-K0-S0-CK20-CK10=S0-K0-CK20-CK10-X0-CX10-CX20-CS01-CS01-CS02-CS02) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , X0 • CX10 • CX20 • CCX0 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-K0-S0-K0-S0-CK20-CK10-CCK'=S0-K0-CK20-CK10-CCK'-X0-CX10-CX20-CCX0-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , X0 • CX10 • CX20 • CS01 • CS01 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-K0-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CCK'-CCK'-X0-CX10-CX20-CS01-CS01-CS02-CS02-CS12-CCZ) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , X0 • CX20 • CCX0 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-K0-S0-K0-S0-CK20-CCK'=S0-K0-CK20-CCK'-X0-CX20-CCX0-CS02-CS02-CS12) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , X0 • CX20 • CCX0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-K0-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-CK20-CCK'-CCK'-X0-CX20-CCX0-CS02-CS02-CCZ) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 , X0 • CX10 • CS01 • CS01 • iI • iI • iI , up-to-assoc auto (axiom ax-K0-S0-K0-CK10=S0-K0-S0-CK10-X0-CX10-CS01-CS01-iI-iI-iI) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , X0 • CX10 • CCX0 • CS01 • CS01 • CS12 • iI • iI • iI , up-to-assoc auto (axiom ax-K0-S0-K0-CK10-CCK'=S0-K0-S0-CK10-CCK'-X0-CX10-CCX0-CS01-CS01-CS12-iI-iI-iI) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , X0 • CX10 • CCX0 • CS01 • CS01 • CCZ • iI • iI • iI , up-to-assoc auto (axiom ax-K0-S0-K0-CK10-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CCK'-X0-CX10-CCX0-CS01-CS01-CCZ-iI-iI-iI) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 , X0 • CX20 • CS02 • CS02 • iI • iI • iI , up-to-assoc auto (axiom ax-K0-S0-K0-CK20=S0-K0-S0-CK20-X0-CX20-CS02-CS02-iI-iI-iI) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , X0 • CX20 • CCX0 • S0 • S0 • S1 • S1 • S2 • CS12 • CS12 • CCZ • iI • iI , up-to-assoc auto (axiom ax-K0-S0-K0-CK20-S0-CK10=S0-K0-S0-CK20-S0-CK10-X0-CX20-CCX0-S0-S0-S1-S1-S2-CS12-CS12-CCZ-iI-iI) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , X0 • CX20 • S0 • S0 • S1 • S1 • S2 • CS12 • CS12 • iI • iI , up-to-assoc auto (axiom ax-K0-S0-K0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-X0-CX20-S0-S0-S1-S1-S2-CS12-CS12-iI-iI) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , X0 • CX20 • CCX0 • S0 • S0 • S1 • S1 • S2 • CS12 • CS12 • CS12 • iI • iI , up-to-assoc auto (axiom ax-K0-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-X0-CX20-CCX0-S0-S0-S1-S1-S2-CS12-CS12-CS12-iI-iI) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , X0 • CX10 • CX20 • CS01 • CS01 • CS02 • CS02 • iI • iI • iI , up-to-assoc auto (axiom ax-K0-S0-K0-CK20-CK10=S0-K0-S0-CK20-CK10-X0-CX10-CX20-CS01-CS01-CS02-CS02-iI-iI-iI) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , X0 • CX10 • CX20 • CCX0 • CS01 • CS01 • CS02 • CS02 • CCZ • iI • iI • iI , up-to-assoc auto (axiom ax-K0-S0-K0-CK20-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-X0-CX10-CX20-CCX0-CS01-CS01-CS02-CS02-CCZ-iI-iI-iI) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , X0 • CX10 • CX20 • CS01 • CS01 • CS02 • CS02 • CS12 • CCZ • iI • iI • iI , up-to-assoc auto (axiom ax-K0-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCK'-X0-CX10-CX20-CS01-CS01-CS02-CS02-CS12-CCZ-iI-iI-iI) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , X0 • CX20 • CCX0 • CS02 • CS02 • CS12 • iI • iI • iI , up-to-assoc auto (axiom ax-K0-S0-K0-CK20-CCK'=S0-K0-S0-CK20-CCK'-X0-CX20-CCX0-CS02-CS02-CS12-iI-iI-iI) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , X0 • CX20 • CCX0 • CS02 • CS02 • CCZ • iI • iI • iI , up-to-assoc auto (axiom ax-K0-S0-K0-CK20-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CCK'-X0-CX20-CCX0-CS02-CS02-CCZ-iI-iI-iI) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , X0 • CCX0 • S0 • S0 • S0 • CCZ , up-to-assoc auto (axiom ax-K0-S0-K0-CCK'=S0-K0-CCK'-CCK'-X0-CCX0-S0-S0-S0-CCZ) )
  K0QD-act K0-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , X0 • CCX0 • S0 • S0 • S0 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-K0-S0-K0-CCK'-CCK'=S0-K0-CCK'-X0-CCX0-S0-S0-S0-CS12-CS12-CS12) )
  K0QD-act K0-gen (gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , ε , general-assoc auto )
  K0QD-act K0-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , ε , general-assoc auto )
  K0QD-act K0-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act K0-gen (gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 , ε , general-assoc auto )
  K0QD-act K0-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , ε , general-assoc auto )
  K0QD-act K0-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , ε , general-assoc auto )
  K0QD-act K0-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act K0-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 , ε , general-assoc auto )
  K0QD-act K0-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , ε , general-assoc auto )
  K0QD-act K0-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act K0-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , ε , general-assoc auto )
  K0QD-act K0-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act K0-gen (gen K0-gen) = Just ( ε , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0=iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK10 , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-S0-CK10=S0-CK10-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-S0-CK10-CCK'=S0-CK10-CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-S0-CK10-CCK'-CCK'=S0-CK10-CCK'-CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • CK20 , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-S0-CK20=S0-CK20-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-S0-CK20-S0-CK10=S0-CK20-S0-CK10-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-S0-CK20-S0-CK10-CCK'=S0-CK20-S0-CK10-CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-S0-CK20-CK10=S0-CK20-CK10-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-S0-CK20-CK10-CCK'=S0-CK20-CK10-CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-S0-CK20-CK10-CCK'-CCK'=S0-CK20-CK10-CCK'-CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-S0-CK20-CCK'=S0-CK20-CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-S0-CK20-CCK'-CCK'=S0-CK20-CCK'-CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen CK10-gen) = Just ( CK10 , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-CK10=CK10-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK10 • CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-CK10-CCK'=CK10-CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-CK10-CCK'-CCK'=CK10-CCK'-CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen CK20-gen) = Just ( CK20 , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-CK20=CK20-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-CK20-S0-CK10=CK20-S0-CK10-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-CK20-S0-CK10-CCK'=CK20-S0-CK10-CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-CK20-S0-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( CK20 • CK10 , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-CK20-CK10=CK20-CK10-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-CK20-CK10-CCK'=CK20-CK10-CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-CK20-CK10-CCK'-CCK'=CK20-CK10-CCK'-CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( CK20 • CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-CK20-CCK'=CK20-CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-CK20-CCK'-CCK'=CK20-CCK'-CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen CCK'-gen) = Just ( CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-CCK'=CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CCK' • CCK' , iI • iI • iI , up-to-assoc auto (axiom ax-K0-K0-CCK'-CCK'=CCK'-CCK'-iI-iI-iI) )
  K0QD-act K0-gen (gen CK10-gen) = Just ( K0 • CK10 , ε , general-assoc auto )
  K0QD-act K0-gen (gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , ε , general-assoc auto )
  K0QD-act K0-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act K0-gen (gen CK20-gen) = Just ( K0 • CK20 , ε , general-assoc auto )
  K0QD-act K0-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 , ε , general-assoc auto )
  K0QD-act K0-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , ε , general-assoc auto )
  K0QD-act K0-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act K0-gen (gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 , ε , general-assoc auto )
  K0QD-act K0-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , ε , general-assoc auto )
  K0QD-act K0-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act K0-gen (gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , ε , general-assoc auto )
  K0QD-act K0-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act K0-gen (gen CCK'-gen) = Just ( K0 • CCK' , ε , general-assoc auto )
  K0QD-act K0-gen (gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act X0-gen ε = Just ( ε , X0 , general-assoc auto )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 , X0 • S0 • S0 • iI , up-to-assoc auto (axiom ax-X0-S0-K0=S0-K0-X0-S0-S0-iI) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 , X0 • CX10 • CS01 • CS01 , up-to-assoc auto (axiom ax-X0-S0-K0-S0-CK10=S0-K0-S0-CK10-X0-CX10-CS01-CS01) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , X0 • CX10 • CCX0 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-X0-S0-K0-S0-CK10-CCK'=S0-K0-S0-CK10-CCK'-X0-CX10-CCX0-CS01-CS01-CS12) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , X0 • CX10 • CCX0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-X0-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CCK'-X0-CX10-CCX0-CS01-CS01-CCZ) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 , X0 • CX20 • CS02 • CS02 , up-to-assoc auto (axiom ax-X0-S0-K0-S0-CK20=S0-K0-S0-CK20-X0-CX20-CS02-CS02) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , X0 • CX20 • CCX0 • S0 • S0 • S1 • S1 • S2 • CS12 • CS12 • CCZ • iI • iI • iI , up-to-assoc auto (axiom ax-X0-S0-K0-S0-CK20-S0-CK10=S0-K0-S0-CK20-S0-CK10-X0-CX20-CCX0-S0-S0-S1-S1-S2-CS12-CS12-CCZ-iI-iI-iI) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , X0 • CX20 • S0 • S0 • S1 • S1 • S2 • CS12 • CS12 • iI • iI • iI , up-to-assoc auto (axiom ax-X0-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-X0-CX20-S0-S0-S1-S1-S2-CS12-CS12-iI-iI-iI) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , X0 • CX20 • CCX0 • S0 • S0 • S1 • S1 • S2 • CS12 • CS12 • CS12 • iI • iI • iI , up-to-assoc auto (axiom ax-X0-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-X0-CX20-CCX0-S0-S0-S1-S1-S2-CS12-CS12-CS12-iI-iI-iI) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , X0 • CX10 • CX20 • CS01 • CS01 • CS02 • CS02 , up-to-assoc auto (axiom ax-X0-S0-K0-S0-CK20-CK10=S0-K0-S0-CK20-CK10-X0-CX10-CX20-CS01-CS01-CS02-CS02) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , X0 • CX10 • CX20 • CCX0 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-X0-S0-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-X0-CX10-CX20-CCX0-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , X0 • CX10 • CX20 • CS01 • CS01 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-X0-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCK'-X0-CX10-CX20-CS01-CS01-CS02-CS02-CS12-CCZ) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , X0 • CX20 • CCX0 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-X0-S0-K0-S0-CK20-CCK'=S0-K0-S0-CK20-CCK'-X0-CX20-CCX0-CS02-CS02-CS12) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , X0 • CX20 • CCX0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-X0-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CCK'-X0-CX20-CCX0-CS02-CS02-CCZ) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , X0 • S0 • S0 • S1 • S1 • iI , up-to-assoc auto (axiom ax-X0-S0-K0-CK10=S0-K0-CK10-X0-S0-S0-S1-S1-iI) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , X0 • S0 • S0 • S1 • S1 • CS12 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X0-S0-K0-CK10-CCK'=S0-K0-CK10-CCK'-X0-S0-S0-S1-S1-CS12-CS12-CS12-CCZ-iI) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , X0 • CCX0 • S0 • S0 • S1 • S1 • CS12 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X0-S0-K0-CK10-CCK'-CCK'=S0-K0-CK10-CCK'-CCK'-X0-CCX0-S0-S0-S1-S1-CS12-CS12-CS12-iI) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 , X0 • S0 • S0 • S2 • S2 • iI , up-to-assoc auto (axiom ax-X0-S0-K0-CK20=S0-K0-CK20-X0-S0-S0-S2-S2-iI) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , X0 • CX10 • S2 • S2 • CS01 • CS01 , up-to-assoc auto (axiom ax-X0-S0-K0-CK20-S0-CK10=S0-K0-CK20-S0-CK10-X0-CX10-S2-S2-CS01-CS01) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , X0 • CX10 • CCX0 • S2 • S2 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-X0-S0-K0-CK20-S0-CK10-CCK'=S0-K0-CK20-S0-CK10-CCK'-X0-CX10-CCX0-S2-S2-CS01-CS01-CS12) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , X0 • CX10 • CCX0 • S2 • S2 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-X0-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCK'-X0-CX10-CCX0-S2-S2-CS01-CS01-CCZ) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 , X0 • S0 • S0 • S1 • S1 • S2 • S2 • iI , up-to-assoc auto (axiom ax-X0-S0-K0-CK20-CK10=S0-K0-CK20-CK10-X0-S0-S0-S1-S1-S2-S2-iI) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , X0 • S0 • S0 • S1 • S1 • S2 • S2 • CS12 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X0-S0-K0-CK20-CK10-CCK'=S0-K0-CK20-CK10-CCK'-X0-S0-S0-S1-S1-S2-S2-CS12-CS12-CS12-CCZ-iI) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , X0 • CCX0 • S0 • S0 • S1 • S1 • S2 • S2 • CS12 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X0-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CCK'-CCK'-X0-CCX0-S0-S0-S1-S1-S2-S2-CS12-CS12-CS12-iI) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , X0 • S0 • S0 • S2 • S2 • CS12 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X0-S0-K0-CK20-CCK'=S0-K0-CK20-CCK'-X0-S0-S0-S2-S2-CS12-CS12-CS12-CCZ-iI) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , X0 • CCX0 • S0 • S0 • S2 • S2 • CS12 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X0-S0-K0-CK20-CCK'-CCK'=S0-K0-CK20-CCK'-CCK'-X0-CCX0-S0-S0-S2-S2-CS12-CS12-CS12-iI) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , X0 • S0 • S0 • CS12 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X0-S0-K0-CCK'=S0-K0-CCK'-X0-S0-S0-CS12-CS12-CS12-CCZ-iI) )
  K0QD-act X0-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , X0 • CCX0 • S0 • S0 • CS12 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X0-S0-K0-CCK'-CCK'=S0-K0-CCK'-CCK'-X0-CCX0-S0-S0-CS12-CS12-CS12-iI) )
  K0QD-act X0-gen (gen S0-gen • gen CK10-gen) = Just ( S0 • CK10 , X0 • S0 • S0 • S1 • S1 • iI • iI • iI , up-to-assoc auto (axiom ax-X0-S0-CK10=S0-CK10-X0-S0-S0-S1-S1-iI-iI-iI) )
  K0QD-act X0-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , X0 • S0 • S0 • S1 • S1 • CS12 • CS12 • CS12 • CCZ • iI • iI • iI , up-to-assoc auto (axiom ax-X0-S0-CK10-CCK'=S0-CK10-CCK'-X0-S0-S0-S1-S1-CS12-CS12-CS12-CCZ-iI-iI-iI) )
  K0QD-act X0-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , X0 • CCX0 • S0 • S0 • S1 • S1 • CS12 • CS12 • CS12 • iI • iI • iI , up-to-assoc auto (axiom ax-X0-S0-CK10-CCK'-CCK'=S0-CK10-CCK'-CCK'-X0-CCX0-S0-S0-S1-S1-CS12-CS12-CS12-iI-iI-iI) )
  K0QD-act X0-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • CK20 , X0 • S0 • S0 • S2 • S2 • iI • iI • iI , up-to-assoc auto (axiom ax-X0-S0-CK20=S0-CK20-X0-S0-S0-S2-S2-iI-iI-iI) )
  K0QD-act X0-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 , X0 • CX10 • S2 • S2 • CS01 • CS01 • iI • iI , up-to-assoc auto (axiom ax-X0-S0-CK20-S0-CK10=S0-CK20-S0-CK10-X0-CX10-S2-S2-CS01-CS01-iI-iI) )
  K0QD-act X0-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , X0 • CX10 • CCX0 • S2 • S2 • CS01 • CS01 • CS12 • iI • iI , up-to-assoc auto (axiom ax-X0-S0-CK20-S0-CK10-CCK'=S0-CK20-S0-CK10-CCK'-X0-CX10-CCX0-S2-S2-CS01-CS01-CS12-iI-iI) )
  K0QD-act X0-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , X0 • CX10 • CCX0 • S2 • S2 • CS01 • CS01 • CCZ • iI • iI , up-to-assoc auto (axiom ax-X0-S0-CK20-S0-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CCK'-X0-CX10-CCX0-S2-S2-CS01-CS01-CCZ-iI-iI) )
  K0QD-act X0-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 , X0 • S0 • S0 • S1 • S1 • S2 • S2 • iI • iI • iI , up-to-assoc auto (axiom ax-X0-S0-CK20-CK10=S0-CK20-CK10-X0-S0-S0-S1-S1-S2-S2-iI-iI-iI) )
  K0QD-act X0-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , X0 • S0 • S0 • S1 • S1 • S2 • S2 • CS12 • CS12 • CS12 • CCZ • iI • iI • iI , up-to-assoc auto (axiom ax-X0-S0-CK20-CK10-CCK'=S0-CK20-CK10-CCK'-X0-S0-S0-S1-S1-S2-S2-CS12-CS12-CS12-CCZ-iI-iI-iI) )
  K0QD-act X0-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , X0 • CCX0 • S0 • S0 • S1 • S1 • S2 • S2 • CS12 • CS12 • CS12 • iI • iI • iI , up-to-assoc auto (axiom ax-X0-S0-CK20-CK10-CCK'-CCK'=S0-CK20-CK10-CCK'-CCK'-X0-CCX0-S0-S0-S1-S1-S2-S2-CS12-CS12-CS12-iI-iI-iI) )
  K0QD-act X0-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , X0 • S0 • S0 • S2 • S2 • CS12 • CS12 • CS12 • CCZ • iI • iI • iI , up-to-assoc auto (axiom ax-X0-S0-CK20-CCK'=S0-CK20-CCK'-X0-S0-S0-S2-S2-CS12-CS12-CS12-CCZ-iI-iI-iI) )
  K0QD-act X0-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , X0 • CCX0 • S0 • S0 • S2 • S2 • CS12 • CS12 • CS12 • iI • iI • iI , up-to-assoc auto (axiom ax-X0-S0-CK20-CCK'-CCK'=S0-CK20-CCK'-CCK'-X0-CCX0-S0-S0-S2-S2-CS12-CS12-CS12-iI-iI-iI) )
  K0QD-act X0-gen (gen K0-gen) = Just ( K0 , S0 • S0 , up-to-assoc auto (axiom ax-X0-K0=K0-S0-S0) )
  K0QD-act X0-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , CX10 • S0 • S0 • CS01 • CS01 , up-to-assoc auto (axiom ax-X0-K0-S0-CK10=K0-S0-CK10-CX10-S0-S0-CS01-CS01) )
  K0QD-act X0-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , CX10 • CCX0 • S0 • S0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-X0-K0-S0-CK10-CCK'=K0-S0-CK10-CCK'-CX10-CCX0-S0-S0-CS01-CS01-CCZ) )
  K0QD-act X0-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , CX10 • S0 • S0 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-X0-K0-S0-CK10-CCK'-CCK'=K0-S0-CK10-CCK'-CCK'-CX10-S0-S0-CS01-CS01-CS12-CCZ) )
  K0QD-act X0-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 , CX20 • S0 • S0 • CS02 • CS02 , up-to-assoc auto (axiom ax-X0-K0-S0-CK20=K0-S0-CK20-CX20-S0-S0-CS02-CS02) )
  K0QD-act X0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , CX10 • CX20 • CCX0 • S0 • S0 • S2 • S2 • S2 • CS01 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X0-K0-S0-CK20-S0-CK10=K0-S0-CK20-S0-CK10-CX10-CX20-CCX0-S0-S0-S2-S2-S2-CS01-CS01-CS12-CS12-CCZ) )
  K0QD-act X0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , CX10 • CX20 • CCX0 • S0 • S0 • S2 • S2 • S2 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-X0-K0-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-S0-CK10-CCK'-CX10-CX20-CCX0-S0-S0-S2-S2-S2-CS01-CS01-CS12) )
  K0QD-act X0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX10 • CX20 • S0 • S0 • S2 • S2 • S2 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-X0-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-CX10-CX20-S0-S0-S2-S2-S2-CS01-CS01-CS12-CCZ) )
  K0QD-act X0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 , CX10 • CX20 • S0 • S0 • CS01 • CS01 • CS02 • CS02 , up-to-assoc auto (axiom ax-X0-K0-S0-CK20-CK10=K0-S0-CK20-CK10-CX10-CX20-S0-S0-CS01-CS01-CS02-CS02) )
  K0QD-act X0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , CX10 • CX20 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-X0-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CK10-CCK'-CX10-CX20-CCX0-S0-S0-CS01-CS01-CS02-CS02-CS12) )
  K0QD-act X0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , CX10 • CX20 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-X0-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-CK10-CCK'-CCK'-CX10-CX20-CCX0-S0-S0-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act X0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , CX20 • CCX0 • S0 • S0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-X0-K0-S0-CK20-CCK'=K0-S0-CK20-CCK'-CX20-CCX0-S0-S0-CS02-CS02-CCZ) )
  K0QD-act X0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , CX20 • S0 • S0 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-X0-K0-S0-CK20-CCK'-CCK'=K0-S0-CK20-CCK'-CCK'-CX20-S0-S0-CS02-CS02-CS12-CCZ) )
  K0QD-act X0-gen (gen K0-gen • gen CK10-gen) = Just ( K0 • CK10 , CX10 • S0 • S0 • CS01 • CS01 , up-to-assoc auto (axiom ax-X0-K0-CK10=K0-CK10-CX10-S0-S0-CS01-CS01) )
  K0QD-act X0-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , CX10 • CCX0 • S0 • S0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-X0-K0-CK10-CCK'=K0-CK10-CCK'-CX10-CCX0-S0-S0-CS01-CS01-CCZ) )
  K0QD-act X0-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , CX10 • S0 • S0 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-X0-K0-CK10-CCK'-CCK'=K0-CK10-CCK'-CCK'-CX10-S0-S0-CS01-CS01-CS12-CCZ) )
  K0QD-act X0-gen (gen K0-gen • gen CK20-gen) = Just ( K0 • CK20 , CX20 • S0 • S0 • CS02 • CS02 , up-to-assoc auto (axiom ax-X0-K0-CK20=K0-CK20-CX20-S0-S0-CS02-CS02) )
  K0QD-act X0-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 , CX10 • CX20 • CCX0 • S0 • S0 • S2 • S2 • S2 • CS01 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X0-K0-CK20-S0-CK10=K0-CK20-S0-CK10-CX10-CX20-CCX0-S0-S0-S2-S2-S2-CS01-CS01-CS12-CS12-CCZ) )
  K0QD-act X0-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , CX10 • CX20 • CCX0 • S0 • S0 • S2 • S2 • S2 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-X0-K0-CK20-S0-CK10-CCK'=K0-CK20-S0-CK10-CCK'-CX10-CX20-CCX0-S0-S0-S2-S2-S2-CS01-CS01-CS12) )
  K0QD-act X0-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , CX10 • CX20 • S0 • S0 • S2 • S2 • S2 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-X0-K0-CK20-S0-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CCK'-CX10-CX20-S0-S0-S2-S2-S2-CS01-CS01-CS12-CCZ) )
  K0QD-act X0-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 , CX10 • CX20 • S0 • S0 • CS01 • CS01 • CS02 • CS02 , up-to-assoc auto (axiom ax-X0-K0-CK20-CK10=K0-CK20-CK10-CX10-CX20-S0-S0-CS01-CS01-CS02-CS02) )
  K0QD-act X0-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , CX10 • CX20 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-X0-K0-CK20-CK10-CCK'=K0-CK20-CK10-CCK'-CX10-CX20-CCX0-S0-S0-CS01-CS01-CS02-CS02-CS12) )
  K0QD-act X0-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , CX10 • CX20 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-X0-K0-CK20-CK10-CCK'-CCK'=K0-CK20-CK10-CCK'-CCK'-CX10-CX20-CCX0-S0-S0-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act X0-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , CX20 • CCX0 • S0 • S0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-X0-K0-CK20-CCK'=K0-CK20-CCK'-CX20-CCX0-S0-S0-CS02-CS02-CCZ) )
  K0QD-act X0-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , CX20 • S0 • S0 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-X0-K0-CK20-CCK'-CCK'=K0-CK20-CCK'-CCK'-CX20-S0-S0-CS02-CS02-CS12-CCZ) )
  K0QD-act X0-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • CCK' , CCX0 • S0 • S0 • CS12 , up-to-assoc auto (axiom ax-X0-K0-CCK'=K0-CCK'-CCX0-S0-S0-CS12) )
  K0QD-act X0-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , CCX0 • S0 • S0 • CCZ , up-to-assoc auto (axiom ax-X0-K0-CCK'-CCK'=K0-CCK'-CCK'-CCX0-S0-S0-CCZ) )
  K0QD-act X0-gen (gen CK10-gen) = Just ( CK10 , X0 • CX10 • CS01 • CS01 , up-to-assoc auto (axiom ax-X0-CK10=CK10-X0-CX10-CS01-CS01) )
  K0QD-act X0-gen (gen CK10-gen • gen CCK'-gen) = Just ( CK10 • CCK' , X0 • CX10 • CCX0 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-X0-CK10-CCK'=CK10-CCK'-X0-CX10-CCX0-CS01-CS01-CS12) )
  K0QD-act X0-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , X0 • CX10 • CCX0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-X0-CK10-CCK'-CCK'=CK10-CCK'-CCK'-X0-CX10-CCX0-CS01-CS01-CCZ) )
  K0QD-act X0-gen (gen CK20-gen) = Just ( CK20 , X0 • CX20 • CS02 • CS02 , up-to-assoc auto (axiom ax-X0-CK20=CK20-X0-CX20-CS02-CS02) )
  K0QD-act X0-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 , X0 • CX20 • CCX0 • S0 • S0 • S1 • S1 • S2 • CS12 • CS12 • CCZ • iI • iI • iI , up-to-assoc auto (axiom ax-X0-CK20-S0-CK10=CK20-S0-CK10-X0-CX20-CCX0-S0-S0-S1-S1-S2-CS12-CS12-CCZ-iI-iI-iI) )
  K0QD-act X0-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , X0 • CX20 • S0 • S0 • S1 • S1 • S2 • CS12 • CS12 • iI • iI • iI , up-to-assoc auto (axiom ax-X0-CK20-S0-CK10-CCK'=CK20-S0-CK10-CCK'-X0-CX20-S0-S0-S1-S1-S2-CS12-CS12-iI-iI-iI) )
  K0QD-act X0-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , X0 • CX20 • CCX0 • S0 • S0 • S1 • S1 • S2 • CS12 • CS12 • CS12 • iI • iI • iI , up-to-assoc auto (axiom ax-X0-CK20-S0-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CCK'-X0-CX20-CCX0-S0-S0-S1-S1-S2-CS12-CS12-CS12-iI-iI-iI) )
  K0QD-act X0-gen (gen CK20-gen • gen CK10-gen) = Just ( CK20 • CK10 , X0 • CX10 • CX20 • CS01 • CS01 • CS02 • CS02 , up-to-assoc auto (axiom ax-X0-CK20-CK10=CK20-CK10-X0-CX10-CX20-CS01-CS01-CS02-CS02) )
  K0QD-act X0-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , X0 • CX10 • CX20 • CCX0 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-X0-CK20-CK10-CCK'=CK20-CK10-CCK'-X0-CX10-CX20-CCX0-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act X0-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , X0 • CX10 • CX20 • CS01 • CS01 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-X0-CK20-CK10-CCK'-CCK'=CK20-CK10-CCK'-CCK'-X0-CX10-CX20-CS01-CS01-CS02-CS02-CS12-CCZ) )
  K0QD-act X0-gen (gen CK20-gen • gen CCK'-gen) = Just ( CK20 • CCK' , X0 • CX20 • CCX0 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-X0-CK20-CCK'=CK20-CCK'-X0-CX20-CCX0-CS02-CS02-CS12) )
  K0QD-act X0-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , X0 • CX20 • CCX0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-X0-CK20-CCK'-CCK'=CK20-CCK'-CCK'-X0-CX20-CCX0-CS02-CS02-CCZ) )
  K0QD-act X0-gen (gen CCK'-gen) = Just ( CCK' , X0 • CCX0 • CCZ , up-to-assoc auto (axiom ax-X0-CCK'=CCK'-X0-CCX0-CCZ) )
  K0QD-act X0-gen (gen CCK'-gen • gen CCK'-gen) = Just ( CCK' • CCK' , X0 • CS12 • CCZ , up-to-assoc auto (axiom ax-X0-CCK'-CCK'=CCK'-CCK'-X0-CS12-CCZ) )
  K0QD-act X1-gen ε = Just ( ε , X1 , general-assoc auto )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 , X1 , up-to-assoc auto (axiom ax-X1-S0-K0=S0-K0-X1) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , X1 • X0 • CX10 • S1 • S1 • S1 • CS01 • CS01 • iI , up-to-assoc auto (axiom ax-X1-S0-K0-S0-CK10=K0-S0-CK10-X1-X0-CX10-S1-S1-S1-CS01-CS01-iI) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , X1 • X0 • CX10 • CCX0 • S1 • S1 • S1 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X1-S0-K0-S0-CK10-CCK'=K0-S0-CK20-CK10-CCK'-X1-X0-CX10-CCX0-S1-S1-S1-S2-S2-CS01-CS01-CS02-CS02-CS02-CS12-CS12-CCZ-iI) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 , X1 • X0 • CX10 • CX20 • CCX0 • S1 • S1 • S1 • CS01 • CS01 • CS02 • CS12 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X1-S0-K0-S0-CK10-CCK'-CCK'=K0-CK20-S0-CK10-X1-X0-CX10-CX20-CCX0-S1-S1-S1-CS01-CS01-CS02-CS12-CS12-CS12-iI) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 , X1 , up-to-assoc auto (axiom ax-X1-S0-K0-S0-CK20=S0-K0-S0-CK20-X1) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK10 • CCK' • CCK' , X1 • CX10 • CCX0 • S0 • S0 • S1 • S1 • S1 • S2 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-X1-S0-K0-S0-CK20-S0-CK10=S0-CK10-CCK'-CCK'-X1-CX10-CCX0-S0-S0-S1-S1-S1-S2-CS01-CS01-CS02-CS02-CS02-CS12-CS12-CS12) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , X1 • CX10 • CCX0 • S0 • S0 • S1 • S1 • S1 • S2 • CS01 • CS01 • CS02 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-X1-S0-K0-S0-CK20-S0-CK10-CCK'=CK20-S0-CK10-CCK'-X1-CX10-CCX0-S0-S0-S1-S1-S1-S2-CS01-CS01-CS02-CS02-CS12-CS12-CS12) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , X1 • CX10 • CX20 • S0 • S0 • S1 • S1 • S1 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-CK20-CK10-CCK'-CCK'-X1-CX10-CX20-S0-S0-S1-S1-S1-S2-S2-CS01-CS01-CS02-CS02-CS12-CCZ) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 , X1 • X0 • CX10 • CX20 • S1 • S1 • S1 • CS01 • CS01 • CS02 • CS02 • iI , up-to-assoc auto (axiom ax-X1-S0-K0-S0-CK20-CK10=K0-S0-CK20-CK10-X1-X0-CX10-CX20-S1-S1-S1-CS01-CS01-CS02-CS02-iI) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , X1 • X0 • CX10 • CX20 • CCX0 • S1 • S1 • S1 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X1-S0-K0-S0-CK20-CK10-CCK'=K0-S0-CK10-CCK'-X1-X0-CX10-CX20-CCX0-S1-S1-S1-CS01-CS01-CS02-CS02-CS02-CS12-CS12-CS12-iI) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , X1 • X0 • CX10 • CX20 • S1 • S1 • S1 • S2 • CS01 • CS01 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X1-S0-K0-S0-CK20-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CCK'-X1-X0-CX10-CX20-S1-S1-S1-S2-CS01-CS01-CS12-CCZ-iI) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , X1 • S0 • S2 • CS02 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-X1-S0-K0-S0-CK20-CCK'=S0-K0-CCK'-CCK'-X1-S0-S2-CS02-CS02-CS02-CS12-CS12) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , X1 • CX20 • CCX0 • S0 • S2 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-X1-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-CK20-CCK'-CCK'-X1-CX20-CCX0-S0-S2-S2-CS02-CS02-CS12) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • CK10 , X1 • S1 • S1 • S1 , up-to-assoc auto (axiom ax-X1-S0-K0-CK10=S0-CK10-X1-S1-S1-S1) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , X1 • S1 • S1 • S1 • S2 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-S0-K0-CK10-CCK'=S0-CK20-CK10-CCK'-X1-S1-S1-S1-S2-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 , X1 • CX20 • S1 • S1 • S1 • S2 • CS02 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-S0-K0-CK10-CCK'-CCK'=CK20-S0-CK10-X1-CX20-S1-S1-S1-S2-CS02-CS02-CS02-CS12-CCZ) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 , X1 , up-to-assoc auto (axiom ax-X1-S0-K0-CK20=S0-K0-CK20-X1) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , X1 • X0 • CX10 • CX20 • S1 • S1 • S1 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X1-S0-K0-CK20-S0-CK10=K0-S0-CK10-CCK'-CCK'-X1-X0-CX10-CX20-S1-S1-S1-CS01-CS01-CS02-CS02-CS02-CS12-CS12-iI) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , X1 • X0 • CX10 • CX20 • CCX0 • S1 • S1 • S1 • CS01 • CS01 • CS02 • CS02 • CS12 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X1-S0-K0-CK20-S0-CK10-CCK'=K0-CK20-S0-CK10-CCK'-X1-X0-CX10-CX20-CCX0-S1-S1-S1-CS01-CS01-CS02-CS02-CS12-CS12-CS12-iI) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , X1 • X0 • CX10 • CCX0 • S1 • S1 • S1 • S2 • CS01 • CS01 • CS02 • CS02 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X1-S0-K0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-CK10-CCK'-CCK'-X1-X0-CX10-CCX0-S1-S1-S1-S2-CS01-CS01-CS02-CS02-CS12-CS12-CCZ-iI) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 , X1 • S1 • S1 • S1 , up-to-assoc auto (axiom ax-X1-S0-K0-CK20-CK10=S0-CK20-CK10-X1-S1-S1-S1) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , X1 • S1 • S1 • S1 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-S0-K0-CK20-CK10-CCK'=S0-CK10-CCK'-X1-S1-S1-S1-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , X1 • S1 • S1 • S1 • S2 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-X1-S0-K0-CK20-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CCK'-X1-S1-S1-S1-S2-CS02-CS02-CS12-CS12) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , X1 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-S0-K0-CK20-CCK'=S0-K0-CCK'-X1-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , X1 • CCX0 • S0 • S0 • S0 • S2 • CS02 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-S0-K0-CK20-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CCK'-X1-CCX0-S0-S0-S0-S2-CS02-CS02-CS12-CS12-CCZ) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , X1 • S2 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-S0-K0-CCK'=S0-K0-CK20-CCK'-X1-S2-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act X1-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , X1 • S0 • S0 • S0 • S2 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-X1-S0-K0-CCK'-CCK'=S0-K0-S0-CK20-CCK'-X1-S0-S0-S0-S2-CS02-CS12-CS12) )
  K0QD-act X1-gen (gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , X1 • S1 • S1 • S1 • iI , up-to-assoc auto (axiom ax-X1-S0-CK10=S0-K0-CK10-X1-S1-S1-S1-iI) )
  K0QD-act X1-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , X1 • S1 • S1 • S1 • S2 • CS02 • CS12 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X1-S0-CK10-CCK'=S0-K0-CK20-CK10-CCK'-X1-S1-S1-S1-S2-CS02-CS12-CS12-CS12-CCZ-iI) )
  K0QD-act X1-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , X1 • X0 • CX10 • CX20 • CCX0 • S1 • S1 • S1 • CS01 • CS01 • CS02 • CS12 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X1-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-X1-X0-CX10-CX20-CCX0-S1-S1-S1-CS01-CS01-CS02-CS12-CS12-CS12-iI) )
  K0QD-act X1-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • CK20 , X1 , up-to-assoc auto (axiom ax-X1-S0-CK20=S0-CK20-X1) )
  K0QD-act X1-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK10 • CCK' • CCK' , X1 • CX10 • CCX0 • S0 • S0 • S1 • S1 • S1 • S2 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X1-S0-CK20-S0-CK10=K0-CK10-CCK'-CCK'-X1-CX10-CCX0-S0-S0-S1-S1-S1-S2-CS01-CS01-CS02-CS02-CS02-CS12-CS12-CS12-iI) )
  K0QD-act X1-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , X1 • X0 • S0 • S0 • S1 • S2 • CS02 • CS02 • iI , up-to-assoc auto (axiom ax-X1-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-S0-CK10-CCK'-X1-X0-S0-S0-S1-S2-CS02-CS02-iI) )
  K0QD-act X1-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , X1 • CX10 • CX20 • S0 • S0 • S1 • S1 • S1 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X1-S0-CK20-S0-CK10-CCK'-CCK'=K0-CK20-CK10-CCK'-CCK'-X1-CX10-CX20-S0-S0-S1-S1-S1-S2-S2-CS01-CS01-CS02-CS02-CS12-CCZ-iI) )
  K0QD-act X1-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 , X1 • S1 • S1 • S1 • iI , up-to-assoc auto (axiom ax-X1-S0-CK20-CK10=S0-K0-CK20-CK10-X1-S1-S1-S1-iI) )
  K0QD-act X1-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , X1 • S1 • S1 • S1 • CS02 • CS12 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X1-S0-CK20-CK10-CCK'=S0-K0-CK10-CCK'-X1-S1-S1-S1-CS02-CS12-CS12-CS12-CCZ-iI) )
  K0QD-act X1-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , X1 • X0 • CX10 • CX20 • S1 • S1 • S1 • S2 • CS01 • CS01 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X1-S0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-X1-X0-CX10-CX20-S1-S1-S1-S2-CS01-CS01-CS12-CCZ-iI) )
  K0QD-act X1-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( CCK' • CCK' , X1 • S0 • S2 • CS02 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-X1-S0-CK20-CCK'=CCK'-CCK'-X1-S0-S2-CS02-CS02-CS02-CS12-CS12) )
  K0QD-act X1-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , X1 • CX20 • CCX0 • S0 • S2 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-X1-S0-CK20-CCK'-CCK'=CK20-CCK'-CCK'-X1-CX20-CCX0-S0-S2-S2-CS02-CS02-CS12) )
  K0QD-act X1-gen (gen K0-gen) = Just ( K0 , X1 , up-to-assoc auto (axiom ax-X1-K0=K0-X1) )
  K0QD-act X1-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 , X1 • CX10 • S0 • S0 • S1 • S1 • S1 • CS01 • CS01 , up-to-assoc auto (axiom ax-X1-K0-S0-CK10=S0-K0-S0-CK10-X1-CX10-S0-S0-S1-S1-S1-CS01-CS01) )
  K0QD-act X1-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , X1 • CX10 • CCX0 • S0 • S0 • S1 • S1 • S1 • S2 • CS01 • CS01 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-X1-K0-S0-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-X1-CX10-CCX0-S0-S0-S1-S1-S1-S2-CS01-CS01-CS02-CS12-CS12-CS12) )
  K0QD-act X1-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , X1 • CX10 • CX20 • S0 • S0 • S1 • S1 • S1 • S2 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-K0-S0-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-X1-CX10-CX20-S0-S0-S1-S1-S1-S2-CS01-CS01-CS02-CS02-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act X1-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 , X1 , up-to-assoc auto (axiom ax-X1-K0-S0-CK20=K0-S0-CK20-X1) )
  K0QD-act X1-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK10 • CCK' • CCK' , X1 • CX10 • CCX0 • S0 • S0 • S1 • S1 • S1 • S2 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-X1-K0-S0-CK20-S0-CK10=CK10-CCK'-CCK'-X1-CX10-CCX0-S0-S0-S1-S1-S1-S2-CS01-CS01-CS02-CS02-CS02-CS12-CS12-CS12) )
  K0QD-act X1-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , X1 • X0 • S0 • S0 • S1 • S2 • CS02 • CS02 , up-to-assoc auto (axiom ax-X1-K0-S0-CK20-S0-CK10-CCK'=S0-CK20-S0-CK10-CCK'-X1-X0-S0-S0-S1-S2-CS02-CS02) )
  K0QD-act X1-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , X1 • CX10 • CX20 • S0 • S0 • S1 • S1 • S1 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-K0-S0-CK20-S0-CK10-CCK'-CCK'=CK20-CK10-CCK'-CCK'-X1-CX10-CX20-S0-S0-S1-S1-S1-S2-S2-CS01-CS01-CS02-CS02-CS12-CCZ) )
  K0QD-act X1-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , X1 • CX10 • CX20 • S0 • S0 • S1 • S1 • S1 • CS01 • CS01 • CS02 • CS02 , up-to-assoc auto (axiom ax-X1-K0-S0-CK20-CK10=S0-K0-S0-CK20-CK10-X1-CX10-CX20-S0-S0-S1-S1-S1-CS01-CS01-CS02-CS02) )
  K0QD-act X1-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , X1 • CX10 • CX20 • CCX0 • S0 • S0 • S1 • S1 • S1 • S2 • CS01 • CS01 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK10-CCK'-X1-CX10-CX20-CCX0-S0-S0-S1-S1-S1-S2-CS01-CS01-CS02-CS12-CS12-CCZ) )
  K0QD-act X1-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , X1 • CX10 • CX20 • CCX0 • S0 • S0 • S1 • S1 • S1 • S2 • S2 • S2 • CS01 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCK'-X1-CX10-CX20-CCX0-S0-S0-S1-S1-S1-S2-S2-S2-CS01-CS01-CS12-CS12-CCZ) )
  K0QD-act X1-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , X1 • S0 • S2 • CS02 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-X1-K0-S0-CK20-CCK'=K0-CCK'-CCK'-X1-S0-S2-CS02-CS02-CS02-CS12-CS12) )
  K0QD-act X1-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , X1 • CX20 • CCX0 • S0 • S2 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-X1-K0-S0-CK20-CCK'-CCK'=K0-CK20-CCK'-CCK'-X1-CX20-CCX0-S0-S2-S2-CS02-CS02-CS12) )
  K0QD-act X1-gen (gen K0-gen • gen CK10-gen) = Just ( CK10 , X1 • S1 • S1 • S1 , up-to-assoc auto (axiom ax-X1-K0-CK10=CK10-X1-S1-S1-S1) )
  K0QD-act X1-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , X1 • S1 • S1 • S1 • S2 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-K0-CK10-CCK'=CK20-CK10-CCK'-X1-S1-S1-S1-S2-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act X1-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 , X1 • X0 • CX10 • CX20 • CCX0 • S1 • S1 • S1 • CS01 • CS01 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-X1-K0-CK10-CCK'-CCK'=S0-CK20-S0-CK10-X1-X0-CX10-CX20-CCX0-S1-S1-S1-CS01-CS01-CS02-CS12-CS12-CS12) )
  K0QD-act X1-gen (gen K0-gen • gen CK20-gen) = Just ( K0 • CK20 , X1 , up-to-assoc auto (axiom ax-X1-K0-CK20=K0-CK20-X1) )
  K0QD-act X1-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , X1 • CX10 • CCX0 • S0 • S0 • S1 • S1 • S1 • S2 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-X1-K0-CK20-S0-CK10=S0-K0-S0-CK10-CCK'-CCK'-X1-CX10-CCX0-S0-S0-S1-S1-S1-S2-CS01-CS01-CS02-CS02-CS02-CS12-CS12-CS12) )
  K0QD-act X1-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , X1 • CX10 • CCX0 • S0 • S0 • S1 • S1 • S1 • S2 • CS01 • CS01 • CS02 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-X1-K0-CK20-S0-CK10-CCK'=S0-K0-CK20-S0-CK10-CCK'-X1-CX10-CCX0-S0-S0-S1-S1-S1-S2-CS01-CS01-CS02-CS02-CS12-CS12-CS12) )
  K0QD-act X1-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , X1 • CX10 • CX20 • S0 • S0 • S1 • S1 • S1 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCK'-X1-CX10-CX20-S0-S0-S1-S1-S1-S2-S2-CS01-CS01-CS02-CS02-CS12-CCZ) )
  K0QD-act X1-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( CK20 • CK10 , X1 • S1 • S1 • S1 , up-to-assoc auto (axiom ax-X1-K0-CK20-CK10=CK20-CK10-X1-S1-S1-S1) )
  K0QD-act X1-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK10 • CCK' , X1 • S1 • S1 • S1 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-K0-CK20-CK10-CCK'=CK10-CCK'-X1-S1-S1-S1-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act X1-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , X1 • X0 • CX10 • CX20 • S1 • S1 • S1 • S2 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-K0-CK20-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CCK'-X1-X0-CX10-CX20-S1-S1-S1-S2-CS01-CS01-CS12-CCZ) )
  K0QD-act X1-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CCK' , X1 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-K0-CK20-CCK'=K0-CCK'-X1-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act X1-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , X1 • CCX0 • S0 • S0 • S0 • S2 • CS02 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-K0-CK20-CCK'-CCK'=K0-S0-CK20-CCK'-CCK'-X1-CCX0-S0-S0-S0-S2-CS02-CS02-CS12-CS12-CCZ) )
  K0QD-act X1-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , X1 • S2 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-K0-CCK'=K0-CK20-CCK'-X1-S2-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act X1-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , X1 • S0 • S0 • S0 • S2 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-X1-K0-CCK'-CCK'=K0-S0-CK20-CCK'-X1-S0-S0-S0-S2-CS02-CS12-CS12) )
  K0QD-act X1-gen (gen CK10-gen) = Just ( K0 • CK10 , X1 • S1 • S1 • S1 • iI , up-to-assoc auto (axiom ax-X1-CK10=K0-CK10-X1-S1-S1-S1-iI) )
  K0QD-act X1-gen (gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , X1 • S1 • S1 • S1 • S2 • CS02 • CS12 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X1-CK10-CCK'=K0-CK20-CK10-CCK'-X1-S1-S1-S1-S2-CS02-CS12-CS12-CS12-CCZ-iI) )
  K0QD-act X1-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , X1 • X0 • CX10 • CX20 • CCX0 • S1 • S1 • S1 • CS01 • CS01 • CS02 • CS12 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X1-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-X1-X0-CX10-CX20-CCX0-S1-S1-S1-CS01-CS01-CS02-CS12-CS12-CS12-iI) )
  K0QD-act X1-gen (gen CK20-gen) = Just ( CK20 , X1 , up-to-assoc auto (axiom ax-X1-CK20=CK20-X1) )
  K0QD-act X1-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , X1 • CX20 • S1 • S1 • S1 • S2 • CS02 • CS12 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X1-CK20-S0-CK10=S0-K0-CK10-CCK'-CCK'-X1-CX20-S1-S1-S1-S2-CS02-CS12-CS12-CS12-CCZ-iI) )
  K0QD-act X1-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , X1 • X0 • CX10 • CX20 • CCX0 • S1 • S1 • S1 • CS01 • CS01 • CS02 • CS02 • CS12 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X1-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-X1-X0-CX10-CX20-CCX0-S1-S1-S1-CS01-CS01-CS02-CS02-CS12-CS12-CS12-iI) )
  K0QD-act X1-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , X1 • S1 • S1 • S1 • S2 • CS02 • CS02 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X1-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CCK'-CCK'-X1-S1-S1-S1-S2-CS02-CS02-CS12-CS12-iI) )
  K0QD-act X1-gen (gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 , X1 • S1 • S1 • S1 • iI , up-to-assoc auto (axiom ax-X1-CK20-CK10=K0-CK20-CK10-X1-S1-S1-S1-iI) )
  K0QD-act X1-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , X1 • S1 • S1 • S1 • CS02 • CS12 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X1-CK20-CK10-CCK'=K0-CK10-CCK'-X1-S1-S1-S1-CS02-CS12-CS12-CS12-CCZ-iI) )
  K0QD-act X1-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , X1 • X0 • CX10 • CX20 • S1 • S1 • S1 • S2 • CS01 • CS01 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X1-CK20-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-X1-X0-CX10-CX20-S1-S1-S1-S2-CS01-CS01-CS12-CCZ-iI) )
  K0QD-act X1-gen (gen CK20-gen • gen CCK'-gen) = Just ( CCK' , X1 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-CK20-CCK'=CCK'-X1-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act X1-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , X1 • CCX0 • S0 • S0 • S0 • S2 • CS02 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-CK20-CCK'-CCK'=S0-CK20-CCK'-CCK'-X1-CCX0-S0-S0-S0-S2-CS02-CS02-CS12-CS12-CCZ) )
  K0QD-act X1-gen (gen CCK'-gen) = Just ( CK20 • CCK' , X1 • S2 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X1-CCK'=CK20-CCK'-X1-S2-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act X1-gen (gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , X1 • S0 • S0 • S0 • S2 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-X1-CCK'-CCK'=S0-CK20-CCK'-X1-S0-S0-S0-S2-CS02-CS12-CS12) )
  K0QD-act X2-gen ε = Just ( ε , X2 , general-assoc auto )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 , X2 , up-to-assoc auto (axiom ax-X2-S0-K0=S0-K0-X2) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 , X2 , up-to-assoc auto (axiom ax-X2-S0-K0-S0-CK10=S0-K0-S0-CK10-X2) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , X2 • S0 • S1 • CS01 • CS01 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-X2-S0-K0-S0-CK10-CCK'=S0-K0-CCK'-CCK'-X2-S0-S1-CS01-CS01-CS01-CS12-CS12) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , X2 • CX10 • CCX0 • S0 • S1 • S1 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-X2-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-CK10-CCK'-CCK'-X2-CX10-CCX0-S0-S1-S1-CS01-CS01-CS12) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 , X2 • X0 • CX20 • S2 • S2 • S2 • CS02 • CS02 • iI , up-to-assoc auto (axiom ax-X2-S0-K0-S0-CK20=K0-S0-CK20-X2-X0-CX20-S2-S2-S2-CS02-CS02-iI) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , X2 • X0 • CX20 • CCX0 • S0 • S0 • S1 • S1 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-S0-K0-S0-CK20-S0-CK10=K0-S0-CK20-S0-CK10-X2-X0-CX20-CCX0-S0-S0-S1-S1-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , X2 • X0 • CX20 • S0 • S1 • S1 • S2 • S2 • S2 • CS01 • CS02 • CS02 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X2-S0-K0-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-CCK'-CCK'-X2-X0-CX20-S0-S1-S1-S2-S2-S2-CS01-CS02-CS02-CS12-CCZ-iI) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , X2 • X0 • CX10 • CX20 • S0 • S1 • S1 • S2 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X2-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-CK10-CCK'-CCK'-X2-X0-CX10-CX20-S0-S1-S1-S2-S2-S2-CS01-CS01-CS02-CS02-CS12-CCZ-iI) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 , X2 • X0 • CX10 • CX20 • S2 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • iI , up-to-assoc auto (axiom ax-X2-S0-K0-S0-CK20-CK10=K0-S0-CK20-CK10-X2-X0-CX10-CX20-S2-S2-S2-CS01-CS01-CS02-CS02-iI) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , X2 • X0 • CX10 • CX20 • CCX0 • S2 • S2 • S2 • CS01 • CS01 • CS01 • CS02 • CS02 • CS12 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X2-S0-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CCK'-X2-X0-CX10-CX20-CCX0-S2-S2-S2-CS01-CS01-CS01-CS02-CS02-CS12-CS12-CS12-iI) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , X2 • X0 • CX10 • CX20 • CCX0 • S0 • S1 • S1 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-X2-S0-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-X2-X0-CX10-CX20-CCX0-S0-S1-S1-CS01-CS01-CS12) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , X2 • X0 • CX20 • CCX0 • S1 • S1 • S2 • S2 • S2 • CS01 • CS01 • CS01 • CS02 • CS02 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X2-S0-K0-S0-CK20-CCK'=K0-S0-CK20-CK10-CCK'-X2-X0-CX20-CCX0-S1-S1-S2-S2-S2-CS01-CS01-CS01-CS02-CS02-CS12-CS12-CCZ-iI) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , X2 • X0 • CX20 • CCX0 • S0 • S1 • S1 • CS01 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-X2-S0-K0-S0-CK20-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-X2-X0-CX20-CCX0-S0-S1-S1-CS01-CS01-CS01-CS12) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , X2 , up-to-assoc auto (axiom ax-X2-S0-K0-CK10=S0-K0-CK10-X2) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , X2 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-S0-K0-CK10-CCK'=S0-K0-CCK'-X2-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , X2 • CCX0 • S0 • S0 • S0 • S1 • CS01 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-S0-K0-CK10-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CCK'-X2-CCX0-S0-S0-S0-S1-CS01-CS01-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • CK20 , X2 • S2 • S2 • S2 , up-to-assoc auto (axiom ax-X2-S0-K0-CK20=S0-CK20-X2-S2-S2-S2) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 , X2 • S2 • S2 • S2 , up-to-assoc auto (axiom ax-X2-S0-K0-CK20-S0-CK10=S0-CK20-S0-CK10-X2-S2-S2-S2) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , X2 • S0 • S1 • S2 • S2 • S2 • CS01 • CS01 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-X2-S0-K0-CK20-S0-CK10-CCK'=S0-CK20-CCK'-CCK'-X2-S0-S1-S2-S2-S2-CS01-CS01-CS01-CS12-CS12) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , X2 • CX10 • CCX0 • S0 • S1 • S1 • S2 • S2 • S2 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-X2-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-CK20-CK10-CCK'-CCK'-X2-CX10-CCX0-S0-S1-S1-S2-S2-S2-CS01-CS01-CS12) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 , X2 • S2 • S2 • S2 , up-to-assoc auto (axiom ax-X2-S0-K0-CK20-CK10=S0-CK20-CK10-X2-S2-S2-S2) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , X2 • S2 • S2 • S2 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-S0-K0-CK20-CK10-CCK'=S0-CK20-CCK'-X2-S2-S2-S2-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , X2 • CCX0 • S0 • S0 • S0 • S1 • S2 • S2 • S2 • CS01 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-S0-K0-CK20-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CCK'-X2-CCX0-S0-S0-S0-S1-S2-S2-S2-CS01-CS01-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , X2 • S1 • S2 • S2 • S2 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-S0-K0-CK20-CCK'=S0-CK20-CK10-CCK'-X2-S1-S2-S2-S2-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , X2 • S0 • S0 • S0 • S1 • S2 • S2 • S2 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-X2-S0-K0-CK20-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-X2-S0-S0-S0-S1-S2-S2-S2-CS01-CS12-CS12) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , X2 • S1 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-S0-K0-CCK'=S0-K0-CK10-CCK'-X2-S1-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , X2 • S0 • S0 • S0 • S1 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-X2-S0-K0-CCK'-CCK'=S0-K0-S0-CK10-CCK'-X2-S0-S0-S0-S1-CS01-CS12-CS12) )
  K0QD-act X2-gen (gen S0-gen • gen CK10-gen) = Just ( S0 • CK10 , X2 , up-to-assoc auto (axiom ax-X2-S0-CK10=S0-CK10-X2) )
  K0QD-act X2-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CCK' • CCK' , X2 • S0 • S1 • CS01 • CS01 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-X2-S0-CK10-CCK'=CCK'-CCK'-X2-S0-S1-CS01-CS01-CS01-CS12-CS12) )
  K0QD-act X2-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , X2 • CX10 • CCX0 • S0 • S1 • S1 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-X2-S0-CK10-CCK'-CCK'=CK10-CCK'-CCK'-X2-CX10-CCX0-S0-S1-S1-CS01-CS01-CS12) )
  K0QD-act X2-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 , X2 • S2 • S2 • S2 • iI , up-to-assoc auto (axiom ax-X2-S0-CK20=S0-K0-CK20-X2-S2-S2-S2-iI) )
  K0QD-act X2-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , X2 • S2 • S2 • S2 • iI , up-to-assoc auto (axiom ax-X2-S0-CK20-S0-CK10=S0-K0-CK20-S0-CK10-X2-S2-S2-S2-iI) )
  K0QD-act X2-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , X2 • S0 • S1 • S2 • S2 • S2 • CS01 • CS01 • CS01 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X2-S0-CK20-S0-CK10-CCK'=S0-K0-CK20-CCK'-CCK'-X2-S0-S1-S2-S2-S2-CS01-CS01-CS01-CS12-CS12-iI) )
  K0QD-act X2-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , X2 • CX10 • CCX0 • S0 • S1 • S1 • S2 • S2 • S2 • CS01 • CS01 • CS12 • iI , up-to-assoc auto (axiom ax-X2-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CCK'-CCK'-X2-CX10-CCX0-S0-S1-S1-S2-S2-S2-CS01-CS01-CS12-iI) )
  K0QD-act X2-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 , X2 • S2 • S2 • S2 • iI , up-to-assoc auto (axiom ax-X2-S0-CK20-CK10=S0-K0-CK20-CK10-X2-S2-S2-S2-iI) )
  K0QD-act X2-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , X2 • S2 • S2 • S2 • CS01 • CS12 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X2-S0-CK20-CK10-CCK'=S0-K0-CK20-CCK'-X2-S2-S2-S2-CS01-CS12-CS12-CS12-CCZ-iI) )
  K0QD-act X2-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , X2 • CCX0 • S0 • S0 • S0 • S1 • S2 • S2 • S2 • CS01 • CS01 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X2-S0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCK'-X2-CCX0-S0-S0-S0-S1-S2-S2-S2-CS01-CS01-CS12-CS12-CCZ-iI) )
  K0QD-act X2-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , X2 • S1 • S2 • S2 • S2 • CS01 • CS12 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X2-S0-CK20-CCK'=S0-K0-CK20-CK10-CCK'-X2-S1-S2-S2-S2-CS01-CS12-CS12-CS12-CCZ-iI) )
  K0QD-act X2-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , X2 • S0 • S0 • S0 • S1 • S2 • S2 • S2 • CS01 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X2-S0-CK20-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-X2-S0-S0-S0-S1-S2-S2-S2-CS01-CS12-CS12-iI) )
  K0QD-act X2-gen (gen K0-gen) = Just ( K0 , X2 , up-to-assoc auto (axiom ax-X2-K0=K0-X2) )
  K0QD-act X2-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , X2 , up-to-assoc auto (axiom ax-X2-K0-S0-CK10=K0-S0-CK10-X2) )
  K0QD-act X2-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , X2 • S0 • S1 • CS01 • CS01 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-X2-K0-S0-CK10-CCK'=K0-CCK'-CCK'-X2-S0-S1-CS01-CS01-CS01-CS12-CS12) )
  K0QD-act X2-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , X2 • CX10 • CCX0 • S0 • S1 • S1 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-X2-K0-S0-CK10-CCK'-CCK'=K0-CK10-CCK'-CCK'-X2-CX10-CCX0-S0-S1-S1-CS01-CS01-CS12) )
  K0QD-act X2-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 , X2 • CX20 • S0 • S0 • S2 • S2 • S2 • CS02 • CS02 , up-to-assoc auto (axiom ax-X2-K0-S0-CK20=S0-K0-S0-CK20-X2-CX20-S0-S0-S2-S2-S2-CS02-CS02) )
  K0QD-act X2-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , X2 • CX10 • CX20 • CCX0 • S0 • S0 • S2 • S2 • CS01 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-K0-S0-CK20-S0-CK10=S0-K0-S0-CK20-S0-CK10-X2-CX10-CX20-CCX0-S0-S0-S2-S2-CS01-CS01-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , X2 • CX10 • CX20 • CCX0 • S0 • S0 • S0 • S1 • S2 • S2 • S2 • CS01 • CS02 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-K0-S0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-CCK'-CCK'-X2-CX10-CX20-CCX0-S0-S0-S0-S1-S2-S2-S2-CS01-CS02-CS02-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , X2 • CX20 • CCX0 • S0 • S0 • S0 • S1 • S2 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCK'-X2-CX20-CCX0-S0-S0-S0-S1-S2-S2-S2-CS01-CS01-CS02-CS02-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , X2 • CX10 • CX20 • S0 • S0 • S2 • S2 • S2 • CS01 • CS01 • CS02 • CS02 , up-to-assoc auto (axiom ax-X2-K0-S0-CK20-CK10=S0-K0-S0-CK20-CK10-X2-CX10-CX20-S0-S0-S2-S2-S2-CS01-CS01-CS02-CS02) )
  K0QD-act X2-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , X2 • CX10 • CX20 • CCX0 • S0 • S0 • S1 • S2 • S2 • S2 • CS01 • CS02 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK20-CCK'-X2-CX10-CX20-CCX0-S0-S0-S1-S2-S2-S2-CS01-CS02-CS02-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , X2 • CX10 • CX20 • S0 • S1 • S1 • S2 • S2 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-X2-CX10-CX20-S0-S1-S1-S2-S2-CS01-CS01-CS12-CCZ) )
  K0QD-act X2-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , X2 • CX20 • CCX0 • S0 • S0 • S1 • S2 • S2 • S2 • CS01 • CS02 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-X2-K0-S0-CK20-CCK'=S0-K0-S0-CK20-CK10-CCK'-X2-CX20-CCX0-S0-S0-S1-S2-S2-S2-CS01-CS02-CS02-CS12-CS12-CS12) )
  K0QD-act X2-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , X2 • CX20 • S0 • S1 • S2 • S2 • CS01 , up-to-assoc auto (axiom ax-X2-K0-S0-CK20-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-X2-CX20-S0-S1-S2-S2-CS01) )
  K0QD-act X2-gen (gen K0-gen • gen CK10-gen) = Just ( K0 • CK10 , X2 , up-to-assoc auto (axiom ax-X2-K0-CK10=K0-CK10-X2) )
  K0QD-act X2-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CCK' , X2 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-K0-CK10-CCK'=K0-CCK'-X2-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , X2 • CCX0 • S0 • S0 • S0 • S1 • CS01 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-K0-CK10-CCK'-CCK'=K0-S0-CK10-CCK'-CCK'-X2-CCX0-S0-S0-S0-S1-CS01-CS01-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen K0-gen • gen CK20-gen) = Just ( CK20 , X2 • S2 • S2 • S2 , up-to-assoc auto (axiom ax-X2-K0-CK20=CK20-X2-S2-S2-S2) )
  K0QD-act X2-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 , X2 • S2 • S2 • S2 , up-to-assoc auto (axiom ax-X2-K0-CK20-S0-CK10=CK20-S0-CK10-X2-S2-S2-S2) )
  K0QD-act X2-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , X2 • S0 • S1 • S2 • S2 • S2 • CS01 • CS01 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-X2-K0-CK20-S0-CK10-CCK'=CK20-CCK'-CCK'-X2-S0-S1-S2-S2-S2-CS01-CS01-CS01-CS12-CS12) )
  K0QD-act X2-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , X2 • CX10 • CCX0 • S0 • S1 • S1 • S2 • S2 • S2 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-X2-K0-CK20-S0-CK10-CCK'-CCK'=CK20-CK10-CCK'-CCK'-X2-CX10-CCX0-S0-S1-S1-S2-S2-S2-CS01-CS01-CS12) )
  K0QD-act X2-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( CK20 • CK10 , X2 • S2 • S2 • S2 , up-to-assoc auto (axiom ax-X2-K0-CK20-CK10=CK20-CK10-X2-S2-S2-S2) )
  K0QD-act X2-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CCK' , X2 • S2 • S2 • S2 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-K0-CK20-CK10-CCK'=CK20-CCK'-X2-S2-S2-S2-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , X2 • CCX0 • S0 • S0 • S0 • S1 • S2 • S2 • S2 • CS01 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-K0-CK20-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CCK'-X2-CCX0-S0-S0-S0-S1-S2-S2-S2-CS01-CS01-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , X2 • S1 • S2 • S2 • S2 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-K0-CK20-CCK'=CK20-CK10-CCK'-X2-S1-S2-S2-S2-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , X2 • S0 • S0 • S0 • S1 • S2 • S2 • S2 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-X2-K0-CK20-CCK'-CCK'=CK20-S0-CK10-CCK'-X2-S0-S0-S0-S1-S2-S2-S2-CS01-CS12-CS12) )
  K0QD-act X2-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , X2 • S1 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-K0-CCK'=K0-CK10-CCK'-X2-S1-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , X2 • S0 • S0 • S0 • S1 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-X2-K0-CCK'-CCK'=K0-S0-CK10-CCK'-X2-S0-S0-S0-S1-CS01-CS12-CS12) )
  K0QD-act X2-gen (gen CK10-gen) = Just ( CK10 , X2 , up-to-assoc auto (axiom ax-X2-CK10=CK10-X2) )
  K0QD-act X2-gen (gen CK10-gen • gen CCK'-gen) = Just ( CCK' , X2 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-CK10-CCK'=CCK'-X2-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , X2 • CCX0 • S0 • S0 • S0 • S1 • CS01 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-CK10-CCK'-CCK'=S0-CK10-CCK'-CCK'-X2-CCX0-S0-S0-S0-S1-CS01-CS01-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen CK20-gen) = Just ( K0 • CK20 , X2 • S2 • S2 • S2 • iI , up-to-assoc auto (axiom ax-X2-CK20=K0-CK20-X2-S2-S2-S2-iI) )
  K0QD-act X2-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 , X2 • S2 • S2 • S2 • iI , up-to-assoc auto (axiom ax-X2-CK20-S0-CK10=K0-CK20-S0-CK10-X2-S2-S2-S2-iI) )
  K0QD-act X2-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , X2 • S0 • S1 • S2 • S2 • S2 • CS01 • CS01 • CS01 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X2-CK20-S0-CK10-CCK'=K0-CK20-CCK'-CCK'-X2-S0-S1-S2-S2-S2-CS01-CS01-CS01-CS12-CS12-iI) )
  K0QD-act X2-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , X2 • CX10 • CCX0 • S0 • S1 • S1 • S2 • S2 • S2 • CS01 • CS01 • CS12 • iI , up-to-assoc auto (axiom ax-X2-CK20-S0-CK10-CCK'-CCK'=K0-CK20-CK10-CCK'-CCK'-X2-CX10-CCX0-S0-S1-S1-S2-S2-S2-CS01-CS01-CS12-iI) )
  K0QD-act X2-gen (gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 , X2 • S2 • S2 • S2 • iI , up-to-assoc auto (axiom ax-X2-CK20-CK10=K0-CK20-CK10-X2-S2-S2-S2-iI) )
  K0QD-act X2-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , X2 • S2 • S2 • S2 • CS01 • CS12 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X2-CK20-CK10-CCK'=K0-CK20-CCK'-X2-S2-S2-S2-CS01-CS12-CS12-CS12-CCZ-iI) )
  K0QD-act X2-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , X2 • CCX0 • S0 • S0 • S0 • S1 • S2 • S2 • S2 • CS01 • CS01 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X2-CK20-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CCK'-X2-CCX0-S0-S0-S0-S1-S2-S2-S2-CS01-CS01-CS12-CS12-CCZ-iI) )
  K0QD-act X2-gen (gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , X2 • S1 • S2 • S2 • S2 • CS01 • CS12 • CS12 • CS12 • CCZ • iI , up-to-assoc auto (axiom ax-X2-CK20-CCK'=K0-CK20-CK10-CCK'-X2-S1-S2-S2-S2-CS01-CS12-CS12-CS12-CCZ-iI) )
  K0QD-act X2-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , X2 • S0 • S0 • S0 • S1 • S2 • S2 • S2 • CS01 • CS12 • CS12 • iI , up-to-assoc auto (axiom ax-X2-CK20-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-X2-S0-S0-S0-S1-S2-S2-S2-CS01-CS12-CS12-iI) )
  K0QD-act X2-gen (gen CCK'-gen) = Just ( CK10 • CCK' , X2 • S1 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-X2-CCK'=CK10-CCK'-X2-S1-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act X2-gen (gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , X2 • S0 • S0 • S0 • S1 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-X2-CCK'-CCK'=S0-CK10-CCK'-X2-S0-S0-S0-S1-CS01-CS12-CS12) )
  K0QD-act CX10-gen ε = Just ( ε , CX10 , general-assoc auto )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 , CX10 • S1 • CS01 • CS01 , up-to-assoc auto (axiom ax-CX10-S0-K0=S0-K0-CX10-S1-CS01-CS01) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 , CS01 • CS01 , up-to-assoc auto (axiom ax-CX10-S0-K0-S0-CK10=S0-K0-S0-CK10-CS01-CS01) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , CCX0 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-K0-S0-CK10-CCK'=S0-K0-S0-CK10-CCK'-CCX0-CS01-CS01-CS12) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , CCX0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CX10-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CCK'-CCX0-CS01-CS01-CCZ) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 , CX10 • CCX0 • CCZ , up-to-assoc auto (axiom ax-CX10-S0-K0-S0-CK20=S0-K0-S0-CK20-CX10-CCX0-CCZ) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , CX10 • S1 • CS01 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-S0-K0-S0-CK20-S0-CK10=S0-K0-S0-CK20-S0-CK10-CX10-S1-CS01-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , CX10 • CCX0 • S1 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CX10-CCX0-S1-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX10 • S1 • CS01 • CS01 , up-to-assoc auto (axiom ax-CX10-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-CX10-S1-CS01-CS01) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , CCX0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CX10-S0-K0-S0-CK20-CK10=S0-K0-S0-CK20-CK10-CCX0-CS01-CS01-CCZ) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , CS01 • CS01 , up-to-assoc auto (axiom ax-CX10-S0-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-CS01-CS01) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , CCX0 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCK'-CCX0-CS01-CS01-CS12) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , CX10 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-S0-K0-S0-CK20-CCK'=S0-K0-S0-CK20-CCK'-CX10-CS12-CCZ) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , CX10 , up-to-assoc auto (axiom ax-CX10-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CCK'-CX10) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , CX10 • S1 • S1 • S1 • CS01 • CS01 , up-to-assoc auto (axiom ax-CX10-S0-K0-CK10=S0-K0-CK10-CX10-S1-S1-S1-CS01-CS01) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , CX10 • S1 • S1 • S1 • CS01 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-S0-K0-CK10-CCK'=S0-K0-CK10-CCK'-CX10-S1-S1-S1-CS01-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , CX10 • CCX0 • S1 • S1 • S1 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-K0-CK10-CCK'-CCK'=S0-K0-CK10-CCK'-CCK'-CX10-CCX0-S1-S1-S1-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 , CX10 • S1 • CS01 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-K0-CK20=S0-K0-CK20-CX10-S1-CS01-CS01-CS12-CS12) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , CS01 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-K0-CK20-S0-CK10=S0-K0-CK20-S0-CK10-CS01-CS01-CS12-CS12) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , CCX0 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-K0-CK20-S0-CK10-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCX0-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , CCX0 • CS01 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCK'-CCX0-CS01-CS01-CS12-CS12-CCZ) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 , CX10 • S1 • S1 • S1 • CS01 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-K0-CK20-CK10=S0-K0-CK20-CK10-CX10-S1-S1-S1-CS01-CS01-CS12-CS12) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , CX10 • S1 • S1 • S1 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-S0-K0-CK20-CK10-CCK'=S0-K0-CK20-CK10-CCK'-CX10-S1-S1-S1-CS01-CS01-CS12-CCZ) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , CX10 • CCX0 • S1 • S1 • S1 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CCK'-CCK'-CX10-CCX0-S1-S1-S1-CS01-CS01-CS12) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , CX10 • S1 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-S0-K0-CK20-CCK'=S0-K0-CK20-CCK'-CX10-S1-CS01-CS01-CS12-CCZ) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , CX10 • CCX0 • S1 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-K0-CK20-CCK'-CCK'=S0-K0-CK20-CCK'-CCK'-CX10-CCX0-S1-CS01-CS01-CS12) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , CX10 • S1 • CS01 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-S0-K0-CCK'=S0-K0-CCK'-CX10-S1-CS01-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CX10-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , CX10 • CCX0 • S1 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-K0-CCK'-CCK'=S0-K0-CCK'-CCK'-CX10-CCX0-S1-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CX10-gen (gen S0-gen • gen CK10-gen) = Just ( S0 • CK10 , CX10 • S1 • CS01 • CS01 , up-to-assoc auto (axiom ax-CX10-S0-CK10=S0-CK10-CX10-S1-CS01-CS01) )
  K0QD-act CX10-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , CX10 • S1 • CS01 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-S0-CK10-CCK'=S0-CK10-CCK'-CX10-S1-CS01-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CX10-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , CX10 • CCX0 • S1 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-CK10-CCK'-CCK'=S0-CK10-CCK'-CCK'-CX10-CCX0-S1-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CX10-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • CK20 , CX10 • S1 • S1 • S1 • CS01 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-CK20=S0-CK20-CX10-S1-S1-S1-CS01-CS01-CS12-CS12) )
  K0QD-act CX10-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 , S1 • S1 • CS01 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-CK20-S0-CK10=S0-CK20-S0-CK10-S1-S1-CS01-CS01-CS12-CS12) )
  K0QD-act CX10-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , CCX0 • S1 • S1 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-CK20-S0-CK10-CCK'=S0-CK20-S0-CK10-CCK'-CCX0-S1-S1-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CX10-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , CCX0 • S1 • S1 • CS01 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-S0-CK20-S0-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CCK'-CCX0-S1-S1-CS01-CS01-CS12-CS12-CCZ) )
  K0QD-act CX10-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 , CX10 • S1 • CS01 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-CK20-CK10=S0-CK20-CK10-CX10-S1-CS01-CS01-CS12-CS12) )
  K0QD-act CX10-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , CX10 • S1 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-S0-CK20-CK10-CCK'=S0-CK20-CK10-CCK'-CX10-S1-CS01-CS01-CS12-CCZ) )
  K0QD-act CX10-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , CX10 • CCX0 • S1 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-CK20-CK10-CCK'-CCK'=S0-CK20-CK10-CCK'-CCK'-CX10-CCX0-S1-CS01-CS01-CS12) )
  K0QD-act CX10-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , CX10 • S1 • S1 • S1 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-S0-CK20-CCK'=S0-CK20-CCK'-CX10-S1-S1-S1-CS01-CS01-CS12-CCZ) )
  K0QD-act CX10-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , CX10 • CCX0 • S1 • S1 • S1 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX10-S0-CK20-CCK'-CCK'=S0-CK20-CCK'-CCK'-CX10-CCX0-S1-S1-S1-CS01-CS01-CS12) )
  K0QD-act CX10-gen (gen K0-gen) = Just ( K0 , CS01 • CS01 , up-to-assoc auto (axiom ax-CX10-K0=K0-CS01-CS01) )
  K0QD-act CX10-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , CX10 , up-to-assoc auto (axiom ax-CX10-K0-S0-CK10=K0-S0-CK10-CX10) )
  K0QD-act CX10-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , CX10 • CCX0 • CCZ , up-to-assoc auto (axiom ax-CX10-K0-S0-CK10-CCK'=K0-S0-CK10-CCK'-CX10-CCX0-CCZ) )
  K0QD-act CX10-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , CX10 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-K0-S0-CK10-CCK'-CCK'=K0-S0-CK10-CCK'-CCK'-CX10-CS12-CCZ) )
  K0QD-act CX10-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 , CCX0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CX10-K0-S0-CK20=K0-S0-CK20-CCX0-CS01-CS01-CCZ) )
  K0QD-act CX10-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , CX10 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-K0-S0-CK20-S0-CK10=K0-S0-CK20-S0-CK10-CX10-CS12-CCZ) )
  K0QD-act CX10-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , CX10 , up-to-assoc auto (axiom ax-CX10-K0-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-S0-CK10-CCK'-CX10) )
  K0QD-act CX10-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX10 • CCX0 • CCZ , up-to-assoc auto (axiom ax-CX10-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-CX10-CCX0-CCZ) )
  K0QD-act CX10-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 , CX10 • CCX0 • CCZ , up-to-assoc auto (axiom ax-CX10-K0-S0-CK20-CK10=K0-S0-CK20-CK10-CX10-CCX0-CCZ) )
  K0QD-act CX10-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , CX10 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CK10-CCK'-CX10-CS12-CCZ) )
  K0QD-act CX10-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , CX10 , up-to-assoc auto (axiom ax-CX10-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-CK10-CCK'-CCK'-CX10) )
  K0QD-act CX10-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , CS01 • CS01 , up-to-assoc auto (axiom ax-CX10-K0-S0-CK20-CCK'=K0-S0-CK20-CCK'-CS01-CS01) )
  K0QD-act CX10-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , CCX0 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX10-K0-S0-CK20-CCK'-CCK'=K0-S0-CK20-CCK'-CCK'-CCX0-CS01-CS01-CS12) )
  K0QD-act CX10-gen (gen K0-gen • gen CK10-gen) = Just ( K0 • CK10 , CX10 , up-to-assoc auto (axiom ax-CX10-K0-CK10=K0-CK10-CX10) )
  K0QD-act CX10-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , CX10 • CCX0 • CCZ , up-to-assoc auto (axiom ax-CX10-K0-CK10-CCK'=K0-CK10-CCK'-CX10-CCX0-CCZ) )
  K0QD-act CX10-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , CX10 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-K0-CK10-CCK'-CCK'=K0-CK10-CCK'-CCK'-CX10-CS12-CCZ) )
  K0QD-act CX10-gen (gen K0-gen • gen CK20-gen) = Just ( K0 • CK20 , CCX0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CX10-K0-CK20=K0-CK20-CCX0-CS01-CS01-CCZ) )
  K0QD-act CX10-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 , CX10 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-K0-CK20-S0-CK10=K0-CK20-S0-CK10-CX10-CS12-CCZ) )
  K0QD-act CX10-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , CX10 , up-to-assoc auto (axiom ax-CX10-K0-CK20-S0-CK10-CCK'=K0-CK20-S0-CK10-CCK'-CX10) )
  K0QD-act CX10-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , CX10 • CCX0 • CCZ , up-to-assoc auto (axiom ax-CX10-K0-CK20-S0-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CCK'-CX10-CCX0-CCZ) )
  K0QD-act CX10-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 , CX10 • CCX0 • CCZ , up-to-assoc auto (axiom ax-CX10-K0-CK20-CK10=K0-CK20-CK10-CX10-CCX0-CCZ) )
  K0QD-act CX10-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , CX10 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-K0-CK20-CK10-CCK'=K0-CK20-CK10-CCK'-CX10-CS12-CCZ) )
  K0QD-act CX10-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , CX10 , up-to-assoc auto (axiom ax-CX10-K0-CK20-CK10-CCK'-CCK'=K0-CK20-CK10-CCK'-CCK'-CX10) )
  K0QD-act CX10-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , CS01 • CS01 , up-to-assoc auto (axiom ax-CX10-K0-CK20-CCK'=K0-CK20-CCK'-CS01-CS01) )
  K0QD-act CX10-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , CCX0 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX10-K0-CK20-CCK'-CCK'=K0-CK20-CCK'-CCK'-CCX0-CS01-CS01-CS12) )
  K0QD-act CX10-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • CCK' , CCX0 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX10-K0-CCK'=K0-CCK'-CCX0-CS01-CS01-CS12) )
  K0QD-act CX10-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , CCX0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CX10-K0-CCK'-CCK'=K0-CCK'-CCK'-CCX0-CS01-CS01-CCZ) )
  K0QD-act CX10-gen (gen CK10-gen) = Just ( CK10 , CS01 • CS01 , up-to-assoc auto (axiom ax-CX10-CK10=CK10-CS01-CS01) )
  K0QD-act CX10-gen (gen CK10-gen • gen CCK'-gen) = Just ( CK10 • CCK' , CCX0 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX10-CK10-CCK'=CK10-CCK'-CCX0-CS01-CS01-CS12) )
  K0QD-act CX10-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , CCX0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CX10-CK10-CCK'-CCK'=CK10-CCK'-CCK'-CCX0-CS01-CS01-CCZ) )
  K0QD-act CX10-gen (gen CK20-gen) = Just ( CK20 , CX10 • CCX0 • CCZ , up-to-assoc auto (axiom ax-CX10-CK20=CK20-CX10-CCX0-CCZ) )
  K0QD-act CX10-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 , CX10 • S1 • CS01 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-CK20-S0-CK10=CK20-S0-CK10-CX10-S1-CS01-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CX10-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , CX10 • CCX0 • S1 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX10-CK20-S0-CK10-CCK'=CK20-S0-CK10-CCK'-CX10-CCX0-S1-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CX10-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , CX10 • S1 • CS01 • CS01 , up-to-assoc auto (axiom ax-CX10-CK20-S0-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CCK'-CX10-S1-CS01-CS01) )
  K0QD-act CX10-gen (gen CK20-gen • gen CK10-gen) = Just ( CK20 • CK10 , CCX0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CX10-CK20-CK10=CK20-CK10-CCX0-CS01-CS01-CCZ) )
  K0QD-act CX10-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , CS01 • CS01 , up-to-assoc auto (axiom ax-CX10-CK20-CK10-CCK'=CK20-CK10-CCK'-CS01-CS01) )
  K0QD-act CX10-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , CCX0 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX10-CK20-CK10-CCK'-CCK'=CK20-CK10-CCK'-CCK'-CCX0-CS01-CS01-CS12) )
  K0QD-act CX10-gen (gen CK20-gen • gen CCK'-gen) = Just ( CK20 • CCK' , CX10 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-CK20-CCK'=CK20-CCK'-CX10-CS12-CCZ) )
  K0QD-act CX10-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , CX10 , up-to-assoc auto (axiom ax-CX10-CK20-CCK'-CCK'=CK20-CCK'-CCK'-CX10) )
  K0QD-act CX10-gen (gen CCK'-gen) = Just ( CCK' , CX10 • CCX0 • CCZ , up-to-assoc auto (axiom ax-CX10-CCK'=CCK'-CX10-CCX0-CCZ) )
  K0QD-act CX10-gen (gen CCK'-gen • gen CCK'-gen) = Just ( CCK' • CCK' , CX10 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX10-CCK'-CCK'=CCK'-CCK'-CX10-CS12-CCZ) )
  K0QD-act CX12-gen ε = Just ( ε , CX12 , general-assoc auto )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 , CX12 , up-to-assoc auto (axiom ax-CX12-S0-K0=S0-K0-CX12) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 , CX12 , up-to-assoc auto (axiom ax-CX12-S0-K0-S0-CK10=S0-K0-S0-CK10-CX12) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , CX12 • S0 • S1 • CS01 • CS01 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-K0-S0-CK10-CCK'=S0-K0-CCK'-CCK'-CX12-S0-S1-CS01-CS01-CS01-CS12-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , CX12 • CX10 • CCX0 • S0 • S1 • S1 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-CK10-CCK'-CCK'-CX12-CX10-CCX0-S0-S1-S1-CS01-CS01-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , CX12 • S1 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-K0-S0-CK20=S0-K0-S0-CK20-CK10-CX12-S1-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , CX12 • CX10 • S1 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-K0-S0-CK20-S0-CK10=S0-K0-S0-CK20-S0-CK10-CX12-CX10-S1-CS01-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , CX12 • S0 • S1 • S1 • CS01 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCK'-CX12-S0-S1-S1-CS01-CS01-CS01-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , CX12 • CX10 • CCX0 • S0 • S1 • S1 • CS01 • CS01 , up-to-assoc auto (axiom ax-CX12-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CCK'-CX12-CX10-CCX0-S0-S1-S1-CS01-CS01) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 , CX12 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-K0-S0-CK20-CK10=S0-K0-S0-CK20-CX12-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , CX12 • S1 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-S0-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-CX12-S1-CS01-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , CX12 • S0 • S0 • S0 • S1 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CX12-S0-S0-S0-S1-CS01-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , CX12 • S1 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-S0-K0-S0-CK20-CCK'=S0-K0-S0-CK20-CCK'-CX12-S1-CS01-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX12 • CCX0 • S0 • S0 • S0 • S1 • S1 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-CX12-CCX0-S0-S0-S0-S1-S1-CS01-CS01-CS12-CCZ) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , CX12 , up-to-assoc auto (axiom ax-CX12-S0-K0-CK10=S0-K0-CK10-CX12) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , CX12 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-S0-K0-CK10-CCK'=S0-K0-CCK'-CX12-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , CX12 • CCX0 • S0 • S0 • S0 • S1 • CS01 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-S0-K0-CK10-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CCK'-CX12-CCX0-S0-S0-S0-S1-CS01-CS01-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 • CK10 , CX12 • S1 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-K0-CK20=S0-K0-CK20-CK10-CX12-S1-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , CX12 • CX10 • S1 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-K0-CK20-S0-CK10=S0-K0-CK20-S0-CK10-CX12-CX10-S1-CS01-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , CX12 • S0 • S1 • S1 • CS01 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-K0-CK20-S0-CK10-CCK'=S0-K0-CK20-CK10-CCK'-CCK'-CX12-S0-S1-S1-CS01-CS01-CS01-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , CX12 • CX10 • CCX0 • S0 • S1 • S1 • CS01 • CS01 , up-to-assoc auto (axiom ax-CX12-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-CCK'-CCK'-CX12-CX10-CCX0-S0-S1-S1-CS01-CS01) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 , CX12 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-K0-CK20-CK10=S0-K0-CK20-CX12-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , CX12 • S1 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-S0-K0-CK20-CK10-CCK'=S0-K0-CK20-CK10-CCK'-CX12-S1-CS01-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , CX12 • S0 • S0 • S0 • S1 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CX12-S0-S0-S0-S1-CS01-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , CX12 • S1 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-S0-K0-CK20-CCK'=S0-K0-CK20-CCK'-CX12-S1-CS01-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , CX12 • CCX0 • S0 • S0 • S0 • S1 • S1 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-S0-K0-CK20-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCK'-CX12-CCX0-S0-S0-S0-S1-S1-CS01-CS01-CS12-CCZ) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , CX12 • S1 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-S0-K0-CCK'=S0-K0-CK10-CCK'-CX12-S1-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , CX12 • S0 • S0 • S0 • S1 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-K0-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CX12-S0-S0-S0-S1-CS01-CS12-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen CK10-gen) = Just ( S0 • CK10 , CX12 , up-to-assoc auto (axiom ax-CX12-S0-CK10=S0-CK10-CX12) )
  K0QD-act CX12-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CCK' • CCK' , CX12 • S0 • S1 • CS01 • CS01 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-CK10-CCK'=CCK'-CCK'-CX12-S0-S1-CS01-CS01-CS01-CS12-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , CX12 • CX10 • CCX0 • S0 • S1 • S1 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-CK10-CCK'-CCK'=CK10-CCK'-CCK'-CX12-CX10-CCX0-S0-S1-S1-CS01-CS01-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • CK20 • CK10 , CX12 • S1 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-CK20=S0-CK20-CK10-CX12-S1-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 , CX12 • CX10 • S1 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-CK20-S0-CK10=S0-CK20-S0-CK10-CX12-CX10-S1-CS01-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , CX12 • S0 • S1 • S1 • CS01 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-CK20-S0-CK10-CCK'=S0-CK20-CK10-CCK'-CCK'-CX12-S0-S1-S1-CS01-CS01-CS01-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , CX12 • CX10 • CCX0 • S0 • S1 • S1 • CS01 • CS01 , up-to-assoc auto (axiom ax-CX12-S0-CK20-S0-CK10-CCK'-CCK'=S0-CK20-CCK'-CCK'-CX12-CX10-CCX0-S0-S1-S1-CS01-CS01) )
  K0QD-act CX12-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 , CX12 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-CK20-CK10=S0-CK20-CX12-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , CX12 • S1 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-S0-CK20-CK10-CCK'=S0-CK20-CK10-CCK'-CX12-S1-CS01-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , CX12 • S0 • S0 • S0 • S1 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX12-S0-CK20-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CX12-S0-S0-S0-S1-CS01-CS12) )
  K0QD-act CX12-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , CX12 • S1 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-S0-CK20-CCK'=S0-CK20-CCK'-CX12-S1-CS01-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX12 • CCX0 • S0 • S0 • S0 • S1 • S1 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-S0-CK20-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CCK'-CX12-CCX0-S0-S0-S0-S1-S1-CS01-CS01-CS12-CCZ) )
  K0QD-act CX12-gen (gen K0-gen) = Just ( K0 , CX12 , up-to-assoc auto (axiom ax-CX12-K0=K0-CX12) )
  K0QD-act CX12-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , CX12 , up-to-assoc auto (axiom ax-CX12-K0-S0-CK10=K0-S0-CK10-CX12) )
  K0QD-act CX12-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , CX12 • S0 • S1 • CS01 • CS01 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-K0-S0-CK10-CCK'=K0-CCK'-CCK'-CX12-S0-S1-CS01-CS01-CS01-CS12-CS12) )
  K0QD-act CX12-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , CX12 • CX10 • CCX0 • S0 • S1 • S1 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX12-K0-S0-CK10-CCK'-CCK'=K0-CK10-CCK'-CCK'-CX12-CX10-CCX0-S0-S1-S1-CS01-CS01-CS12) )
  K0QD-act CX12-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 • CK10 , CX12 • S1 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-K0-S0-CK20=K0-S0-CK20-CK10-CX12-S1-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , CX12 • CX10 • S1 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-K0-S0-CK20-S0-CK10=K0-S0-CK20-S0-CK10-CX12-CX10-S1-CS01-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , CX12 • S0 • S1 • S1 • CS01 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX12-K0-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-CK10-CCK'-CCK'-CX12-S0-S1-S1-CS01-CS01-CS01-CS12) )
  K0QD-act CX12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , CX12 • CX10 • CCX0 • S0 • S1 • S1 • CS01 • CS01 , up-to-assoc auto (axiom ax-CX12-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-CCK'-CCK'-CX12-CX10-CCX0-S0-S1-S1-CS01-CS01) )
  K0QD-act CX12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 , CX12 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-K0-S0-CK20-CK10=K0-S0-CK20-CX12-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , CX12 • S1 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CK10-CCK'-CX12-S1-CS01-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , CX12 • S0 • S0 • S0 • S1 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX12-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CX12-S0-S0-S0-S1-CS01-CS12) )
  K0QD-act CX12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , CX12 • S1 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-K0-S0-CK20-CCK'=K0-S0-CK20-CCK'-CX12-S1-CS01-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX12 • CCX0 • S0 • S0 • S0 • S1 • S1 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-K0-S0-CK20-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-CX12-CCX0-S0-S0-S0-S1-S1-CS01-CS01-CS12-CCZ) )
  K0QD-act CX12-gen (gen K0-gen • gen CK10-gen) = Just ( K0 • CK10 , CX12 , up-to-assoc auto (axiom ax-CX12-K0-CK10=K0-CK10-CX12) )
  K0QD-act CX12-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CCK' , CX12 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-K0-CK10-CCK'=K0-CCK'-CX12-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , CX12 • CCX0 • S0 • S0 • S0 • S1 • CS01 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-K0-CK10-CCK'-CCK'=K0-S0-CK10-CCK'-CCK'-CX12-CCX0-S0-S0-S0-S1-CS01-CS01-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen K0-gen • gen CK20-gen) = Just ( K0 • CK20 • CK10 , CX12 • S1 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-K0-CK20=K0-CK20-CK10-CX12-S1-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 , CX12 • CX10 • S1 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-K0-CK20-S0-CK10=K0-CK20-S0-CK10-CX12-CX10-S1-CS01-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , CX12 • S0 • S1 • S1 • CS01 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX12-K0-CK20-S0-CK10-CCK'=K0-CK20-CK10-CCK'-CCK'-CX12-S0-S1-S1-CS01-CS01-CS01-CS12) )
  K0QD-act CX12-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , CX12 • CX10 • CCX0 • S0 • S1 • S1 • CS01 • CS01 , up-to-assoc auto (axiom ax-CX12-K0-CK20-S0-CK10-CCK'-CCK'=K0-CK20-CCK'-CCK'-CX12-CX10-CCX0-S0-S1-S1-CS01-CS01) )
  K0QD-act CX12-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 , CX12 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-K0-CK20-CK10=K0-CK20-CX12-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , CX12 • S1 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-K0-CK20-CK10-CCK'=K0-CK20-CK10-CCK'-CX12-S1-CS01-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , CX12 • S0 • S0 • S0 • S1 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX12-K0-CK20-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CX12-S0-S0-S0-S1-CS01-CS12) )
  K0QD-act CX12-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , CX12 • S1 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-K0-CK20-CCK'=K0-CK20-CCK'-CX12-S1-CS01-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , CX12 • CCX0 • S0 • S0 • S0 • S1 • S1 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-K0-CK20-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CCK'-CX12-CCX0-S0-S0-S0-S1-S1-CS01-CS01-CS12-CCZ) )
  K0QD-act CX12-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , CX12 • S1 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-K0-CCK'=K0-CK10-CCK'-CX12-S1-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , CX12 • S0 • S0 • S0 • S1 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-K0-CCK'-CCK'=K0-S0-CK10-CCK'-CX12-S0-S0-S0-S1-CS01-CS12-CS12) )
  K0QD-act CX12-gen (gen CK10-gen) = Just ( CK10 , CX12 , up-to-assoc auto (axiom ax-CX12-CK10=CK10-CX12) )
  K0QD-act CX12-gen (gen CK10-gen • gen CCK'-gen) = Just ( CCK' , CX12 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-CK10-CCK'=CCK'-CX12-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , CX12 • CCX0 • S0 • S0 • S0 • S1 • CS01 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-CK10-CCK'-CCK'=S0-CK10-CCK'-CCK'-CX12-CCX0-S0-S0-S0-S1-CS01-CS01-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen CK20-gen) = Just ( CK20 • CK10 , CX12 • S1 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-CK20=CK20-CK10-CX12-S1-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 , CX12 • CX10 • S1 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-CK20-S0-CK10=CK20-S0-CK10-CX12-CX10-S1-CS01-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , CX12 • S0 • S1 • S1 • CS01 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX12-CK20-S0-CK10-CCK'=CK20-CK10-CCK'-CCK'-CX12-S0-S1-S1-CS01-CS01-CS01-CS12) )
  K0QD-act CX12-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , CX12 • CX10 • CCX0 • S0 • S1 • S1 • CS01 • CS01 , up-to-assoc auto (axiom ax-CX12-CK20-S0-CK10-CCK'-CCK'=CK20-CCK'-CCK'-CX12-CX10-CCX0-S0-S1-S1-CS01-CS01) )
  K0QD-act CX12-gen (gen CK20-gen • gen CK10-gen) = Just ( CK20 , CX12 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-CK20-CK10=CK20-CX12-CS12-CS12-CS12) )
  K0QD-act CX12-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , CX12 • S1 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-CK20-CK10-CCK'=CK20-CK10-CCK'-CX12-S1-CS01-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , CX12 • S0 • S0 • S0 • S1 • CS01 • CS12 , up-to-assoc auto (axiom ax-CX12-CK20-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CX12-S0-S0-S0-S1-CS01-CS12) )
  K0QD-act CX12-gen (gen CK20-gen • gen CCK'-gen) = Just ( CK20 • CCK' , CX12 • S1 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-CK20-CCK'=CK20-CCK'-CX12-S1-CS01-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , CX12 • CCX0 • S0 • S0 • S0 • S1 • S1 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-CK20-CCK'-CCK'=CK20-S0-CK10-CCK'-CCK'-CX12-CCX0-S0-S0-S0-S1-S1-CS01-CS01-CS12-CCZ) )
  K0QD-act CX12-gen (gen CCK'-gen) = Just ( CK10 • CCK' , CX12 • S1 • CS01 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX12-CCK'=CK10-CCK'-CX12-S1-CS01-CS12-CS12-CS12-CCZ) )
  K0QD-act CX12-gen (gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , CX12 • S0 • S0 • S0 • S1 • CS01 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX12-CCK'-CCK'=S0-CK10-CCK'-CX12-S0-S0-S0-S1-CS01-CS12-CS12) )
  K0QD-act CX20-gen ε = Just ( ε , CX20 , general-assoc auto )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 , CX20 • S2 • CS02 • CS02 , up-to-assoc auto (axiom ax-CX20-S0-K0=S0-K0-CX20-S2-CS02-CS02) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 , CX20 • CCX0 • CCZ , up-to-assoc auto (axiom ax-CX20-S0-K0-S0-CK10=S0-K0-S0-CK10-CX20-CCX0-CCZ) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , CX20 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-S0-K0-S0-CK10-CCK'=S0-K0-S0-CK10-CCK'-CX20-CS12-CCZ) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , CX20 , up-to-assoc auto (axiom ax-CX20-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CCK'-CX20) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 , CS02 • CS02 , up-to-assoc auto (axiom ax-CX20-S0-K0-S0-CK20=S0-K0-S0-CK20-CS02-CS02) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , CCX0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX20-S0-K0-S0-CK20-S0-CK10=S0-K0-S0-CK20-S0-CK10-CCX0-CS02-CS02-CCZ) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , CS02 • CS02 , up-to-assoc auto (axiom ax-CX20-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CS02-CS02) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CCX0 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX20-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-CCX0-CS02-CS02-CS12) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , CCX0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX20-S0-K0-S0-CK20-CK10=S0-K0-S0-CK20-CK10-CCX0-CS02-CS02-CCZ) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , CS02 • CS02 , up-to-assoc auto (axiom ax-CX20-S0-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-CS02-CS02) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , CCX0 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX20-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCK'-CCX0-CS02-CS02-CS12) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , CCX0 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX20-S0-K0-S0-CK20-CCK'=S0-K0-S0-CK20-CCK'-CCX0-CS02-CS02-CS12) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , CCX0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX20-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CCK'-CCX0-CS02-CS02-CCZ) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , CX20 • S2 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX20-S0-K0-CK10=S0-K0-CK10-CX20-S2-CS02-CS02-CS12-CS12) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , CX20 • S2 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-S0-K0-CK10-CCK'=S0-K0-CK10-CCK'-CX20-S2-CS02-CS02-CS12-CCZ) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , CX20 • CCX0 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX20-S0-K0-CK10-CCK'-CCK'=S0-K0-CK10-CCK'-CCK'-CX20-CCX0-S2-CS02-CS02-CS12) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 , CX20 • S2 • S2 • S2 • CS02 • CS02 , up-to-assoc auto (axiom ax-CX20-S0-K0-CK20=S0-K0-CK20-CX20-S2-S2-S2-CS02-CS02) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , CX20 • CCX0 • S2 • S2 • CCZ , up-to-assoc auto (axiom ax-CX20-S0-K0-CK20-S0-CK10=S0-K0-CK20-S0-CK10-CX20-CCX0-S2-S2-CCZ) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , CX20 • S2 • S2 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-S0-K0-CK20-S0-CK10-CCK'=S0-K0-CK20-S0-CK10-CCK'-CX20-S2-S2-CS12-CCZ) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , CX20 • S2 • S2 , up-to-assoc auto (axiom ax-CX20-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCK'-CX20-S2-S2) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 , CX20 • S2 • S2 • S2 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX20-S0-K0-CK20-CK10=S0-K0-CK20-CK10-CX20-S2-S2-S2-CS02-CS02-CS12-CS12) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , CX20 • S2 • S2 • S2 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-S0-K0-CK20-CK10-CCK'=S0-K0-CK20-CK10-CCK'-CX20-S2-S2-S2-CS02-CS02-CS12-CCZ) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , CX20 • CCX0 • S2 • S2 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX20-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CCK'-CCK'-CX20-CCX0-S2-S2-S2-CS02-CS02-CS12) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , CX20 • S2 • S2 • S2 • CS02 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-S0-K0-CK20-CCK'=S0-K0-CK20-CCK'-CX20-S2-S2-S2-CS02-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , CX20 • CCX0 • S2 • S2 • S2 • CS02 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX20-S0-K0-CK20-CCK'-CCK'=S0-K0-CK20-CCK'-CCK'-CX20-CCX0-S2-S2-S2-CS02-CS02-CS12-CS12-CS12) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , CX20 • S2 • CS02 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-S0-K0-CCK'=S0-K0-CCK'-CX20-S2-CS02-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CX20-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , CX20 • CCX0 • S2 • CS02 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX20-S0-K0-CCK'-CCK'=S0-K0-CCK'-CCK'-CX20-CCX0-S2-CS02-CS02-CS12-CS12-CS12) )
  K0QD-act CX20-gen (gen S0-gen • gen CK10-gen) = Just ( S0 • CK10 , CX20 • S2 • S2 • S2 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX20-S0-CK10=S0-CK10-CX20-S2-S2-S2-CS02-CS02-CS12-CS12) )
  K0QD-act CX20-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , CX20 • S2 • S2 • S2 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-S0-CK10-CCK'=S0-CK10-CCK'-CX20-S2-S2-S2-CS02-CS02-CS12-CCZ) )
  K0QD-act CX20-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , CX20 • CCX0 • S2 • S2 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX20-S0-CK10-CCK'-CCK'=S0-CK10-CCK'-CCK'-CX20-CCX0-S2-S2-S2-CS02-CS02-CS12) )
  K0QD-act CX20-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • CK20 , CX20 • S2 • CS02 • CS02 , up-to-assoc auto (axiom ax-CX20-S0-CK20=S0-CK20-CX20-S2-CS02-CS02) )
  K0QD-act CX20-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 , CX20 • CCX0 • CCZ , up-to-assoc auto (axiom ax-CX20-S0-CK20-S0-CK10=S0-CK20-S0-CK10-CX20-CCX0-CCZ) )
  K0QD-act CX20-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , CX20 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-S0-CK20-S0-CK10-CCK'=S0-CK20-S0-CK10-CCK'-CX20-CS12-CCZ) )
  K0QD-act CX20-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX20 , up-to-assoc auto (axiom ax-CX20-S0-CK20-S0-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CCK'-CX20) )
  K0QD-act CX20-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 , CX20 • S2 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX20-S0-CK20-CK10=S0-CK20-CK10-CX20-S2-CS02-CS02-CS12-CS12) )
  K0QD-act CX20-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , CX20 • S2 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-S0-CK20-CK10-CCK'=S0-CK20-CK10-CCK'-CX20-S2-CS02-CS02-CS12-CCZ) )
  K0QD-act CX20-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , CX20 • CCX0 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX20-S0-CK20-CK10-CCK'-CCK'=S0-CK20-CK10-CCK'-CCK'-CX20-CCX0-S2-CS02-CS02-CS12) )
  K0QD-act CX20-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , CX20 • S2 • CS02 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-S0-CK20-CCK'=S0-CK20-CCK'-CX20-S2-CS02-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CX20-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , CX20 • CCX0 • S2 • CS02 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX20-S0-CK20-CCK'-CCK'=S0-CK20-CCK'-CCK'-CX20-CCX0-S2-CS02-CS02-CS12-CS12-CS12) )
  K0QD-act CX20-gen (gen K0-gen) = Just ( K0 , CS02 • CS02 , up-to-assoc auto (axiom ax-CX20-K0=K0-CS02-CS02) )
  K0QD-act CX20-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , CCX0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX20-K0-S0-CK10=K0-S0-CK10-CCX0-CS02-CS02-CCZ) )
  K0QD-act CX20-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , CS02 • CS02 , up-to-assoc auto (axiom ax-CX20-K0-S0-CK10-CCK'=K0-S0-CK10-CCK'-CS02-CS02) )
  K0QD-act CX20-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , CCX0 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX20-K0-S0-CK10-CCK'-CCK'=K0-S0-CK10-CCK'-CCK'-CCX0-CS02-CS02-CS12) )
  K0QD-act CX20-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 , CX20 , up-to-assoc auto (axiom ax-CX20-K0-S0-CK20=K0-S0-CK20-CX20) )
  K0QD-act CX20-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , CX20 • S2 • S2 • S2 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX20-K0-S0-CK20-S0-CK10=K0-S0-CK20-S0-CK10-CX20-S2-S2-S2-CS02-CS02-CS12-CS12) )
  K0QD-act CX20-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , CX20 • S2 • S2 • S2 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-K0-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-S0-CK10-CCK'-CX20-S2-S2-S2-CS02-CS02-CS12-CCZ) )
  K0QD-act CX20-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX20 • CCX0 • S2 • S2 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX20-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-CX20-CCX0-S2-S2-S2-CS02-CS02-CS12) )
  K0QD-act CX20-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 , CX20 • CCX0 • CCZ , up-to-assoc auto (axiom ax-CX20-K0-S0-CK20-CK10=K0-S0-CK20-CK10-CX20-CCX0-CCZ) )
  K0QD-act CX20-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , CX20 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CK10-CCK'-CX20-CS12-CCZ) )
  K0QD-act CX20-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , CX20 , up-to-assoc auto (axiom ax-CX20-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-CK10-CCK'-CCK'-CX20) )
  K0QD-act CX20-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , CX20 • CCX0 • CCZ , up-to-assoc auto (axiom ax-CX20-K0-S0-CK20-CCK'=K0-S0-CK20-CCK'-CX20-CCX0-CCZ) )
  K0QD-act CX20-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , CX20 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-K0-S0-CK20-CCK'-CCK'=K0-S0-CK20-CCK'-CCK'-CX20-CS12-CCZ) )
  K0QD-act CX20-gen (gen K0-gen • gen CK10-gen) = Just ( K0 • CK10 , CCX0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX20-K0-CK10=K0-CK10-CCX0-CS02-CS02-CCZ) )
  K0QD-act CX20-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , CS02 • CS02 , up-to-assoc auto (axiom ax-CX20-K0-CK10-CCK'=K0-CK10-CCK'-CS02-CS02) )
  K0QD-act CX20-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , CCX0 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX20-K0-CK10-CCK'-CCK'=K0-CK10-CCK'-CCK'-CCX0-CS02-CS02-CS12) )
  K0QD-act CX20-gen (gen K0-gen • gen CK20-gen) = Just ( K0 • CK20 , CX20 , up-to-assoc auto (axiom ax-CX20-K0-CK20=K0-CK20-CX20) )
  K0QD-act CX20-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 , CX20 • S2 • S2 • S2 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX20-K0-CK20-S0-CK10=K0-CK20-S0-CK10-CX20-S2-S2-S2-CS02-CS02-CS12-CS12) )
  K0QD-act CX20-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , CX20 • S2 • S2 • S2 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-K0-CK20-S0-CK10-CCK'=K0-CK20-S0-CK10-CCK'-CX20-S2-S2-S2-CS02-CS02-CS12-CCZ) )
  K0QD-act CX20-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , CX20 • CCX0 • S2 • S2 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX20-K0-CK20-S0-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CCK'-CX20-CCX0-S2-S2-S2-CS02-CS02-CS12) )
  K0QD-act CX20-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 , CX20 • CCX0 • CCZ , up-to-assoc auto (axiom ax-CX20-K0-CK20-CK10=K0-CK20-CK10-CX20-CCX0-CCZ) )
  K0QD-act CX20-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , CX20 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-K0-CK20-CK10-CCK'=K0-CK20-CK10-CCK'-CX20-CS12-CCZ) )
  K0QD-act CX20-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , CX20 , up-to-assoc auto (axiom ax-CX20-K0-CK20-CK10-CCK'-CCK'=K0-CK20-CK10-CCK'-CCK'-CX20) )
  K0QD-act CX20-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , CX20 • CCX0 • CCZ , up-to-assoc auto (axiom ax-CX20-K0-CK20-CCK'=K0-CK20-CCK'-CX20-CCX0-CCZ) )
  K0QD-act CX20-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , CX20 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-K0-CK20-CCK'-CCK'=K0-CK20-CCK'-CCK'-CX20-CS12-CCZ) )
  K0QD-act CX20-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • CCK' , CCX0 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX20-K0-CCK'=K0-CCK'-CCX0-CS02-CS02-CS12) )
  K0QD-act CX20-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , CCX0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX20-K0-CCK'-CCK'=K0-CCK'-CCK'-CCX0-CS02-CS02-CCZ) )
  K0QD-act CX20-gen (gen CK10-gen) = Just ( CK10 , CX20 • CCX0 • CCZ , up-to-assoc auto (axiom ax-CX20-CK10=CK10-CX20-CCX0-CCZ) )
  K0QD-act CX20-gen (gen CK10-gen • gen CCK'-gen) = Just ( CK10 • CCK' , CX20 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-CK10-CCK'=CK10-CCK'-CX20-CS12-CCZ) )
  K0QD-act CX20-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , CX20 , up-to-assoc auto (axiom ax-CX20-CK10-CCK'-CCK'=CK10-CCK'-CCK'-CX20) )
  K0QD-act CX20-gen (gen CK20-gen) = Just ( CK20 , CS02 • CS02 , up-to-assoc auto (axiom ax-CX20-CK20=CK20-CS02-CS02) )
  K0QD-act CX20-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 , CCX0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX20-CK20-S0-CK10=CK20-S0-CK10-CCX0-CS02-CS02-CCZ) )
  K0QD-act CX20-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , CS02 • CS02 , up-to-assoc auto (axiom ax-CX20-CK20-S0-CK10-CCK'=CK20-S0-CK10-CCK'-CS02-CS02) )
  K0QD-act CX20-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , CCX0 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX20-CK20-S0-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CCK'-CCX0-CS02-CS02-CS12) )
  K0QD-act CX20-gen (gen CK20-gen • gen CK10-gen) = Just ( CK20 • CK10 , CCX0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX20-CK20-CK10=CK20-CK10-CCX0-CS02-CS02-CCZ) )
  K0QD-act CX20-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , CS02 • CS02 , up-to-assoc auto (axiom ax-CX20-CK20-CK10-CCK'=CK20-CK10-CCK'-CS02-CS02) )
  K0QD-act CX20-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , CCX0 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX20-CK20-CK10-CCK'-CCK'=CK20-CK10-CCK'-CCK'-CCX0-CS02-CS02-CS12) )
  K0QD-act CX20-gen (gen CK20-gen • gen CCK'-gen) = Just ( CK20 • CCK' , CCX0 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX20-CK20-CCK'=CK20-CCK'-CCX0-CS02-CS02-CS12) )
  K0QD-act CX20-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , CCX0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX20-CK20-CCK'-CCK'=CK20-CCK'-CCK'-CCX0-CS02-CS02-CCZ) )
  K0QD-act CX20-gen (gen CCK'-gen) = Just ( CCK' , CX20 • CCX0 • CCZ , up-to-assoc auto (axiom ax-CX20-CCK'=CCK'-CX20-CCX0-CCZ) )
  K0QD-act CX20-gen (gen CCK'-gen • gen CCK'-gen) = Just ( CCK' • CCK' , CX20 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX20-CCK'-CCK'=CCK'-CCK'-CX20-CS12-CCZ) )
  K0QD-act CX21-gen ε = Just ( ε , CX21 , general-assoc auto )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 , CX21 , up-to-assoc auto (axiom ax-CX21-S0-K0=S0-K0-CX21) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , CX21 • S2 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-S0-K0-S0-CK10=S0-K0-S0-CK20-CK10-CX21-S2-CS12-CS12-CS12) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-K0-S0-CK10-CCK'=S0-K0-S0-CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , CX21 • S2 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX21-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCK'-CX21-S2-S2-CS02-CS02-CS12) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 , CX21 , up-to-assoc auto (axiom ax-CX21-S0-K0-S0-CK20=S0-K0-S0-CK20-CX21) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , CX21 • CX10 • CCX0 • S0 • S0 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-S0-K0-S0-CK20-S0-CK10=S0-K0-CK20-CK10-CCK'-CCK'-CX21-CX10-CCX0-S0-S0-S2-S2-CS01-CS01-CS02-CS02-CS02-CS12-CS12) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , CX21 • CX10 • CX20 • S0 • S0 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK10-CCK'-CCK'-CX21-CX10-CX20-S0-S0-S2-S2-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 , CX21 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-S0-K0-S0-CK20-CK10=S0-K0-S0-CK10-CX21-CS12-CS12-CS12) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , CX21 • CX20 • S2 • CS02 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CX21-CX20-S2-CS02-CS02-CS02-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , CX21 • S0 • S2 • CS02 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-S0-K0-S0-CK20-CCK'=S0-K0-CCK'-CCK'-CX21-S0-S2-CS02-CS02-CS02-CS12-CS12) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , CX21 • CX20 • CCX0 • S0 • S2 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX21-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-CK20-CCK'-CCK'-CX21-CX20-CCX0-S0-S2-S2-CS02-CS02-CS12) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 , CX21 • S2 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-S0-K0-CK10=S0-K0-CK20-CK10-CX21-S2-CS12-CS12-CS12) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-K0-CK10-CCK'=S0-K0-CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX21 • CX10 • S0 • S0 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-K0-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-CX21-CX10-S0-S0-S2-S2-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 , CX21 , up-to-assoc auto (axiom ax-CX21-S0-K0-CK20=S0-K0-CK20-CX21) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , CX21 • CX20 • S2 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-K0-CK20-S0-CK10=S0-K0-S0-CK20-CK10-CCK'-CCK'-CX21-CX20-S2-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-K0-CK20-S0-CK10-CCK'=S0-K0-CK20-S0-CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , CX21 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX21-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CCK'-CX21-S2-CS02-CS02-CS12) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , CX21 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-S0-K0-CK20-CK10=S0-K0-CK10-CX21-CS12-CS12-CS12) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-K0-CK20-CK10-CCK'=S0-K0-CK20-CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , CX21 • CX10 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CX21-CX10-CCX0-S0-S0-CS01-CS01-CS02-CS02-CS02-CS12-CS12) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , CX21 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-K0-CK20-CCK'=S0-K0-CCK'-CX21-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , CX21 • CCX0 • S0 • S0 • S0 • S2 • CS02 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-K0-CK20-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CCK'-CX21-CCX0-S0-S0-S0-S2-CS02-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-K0-CCK'=S0-K0-CK20-CCK'-CX21-S2-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , CX21 • S0 • S0 • S0 • S2 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-S0-K0-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CX21-S0-S0-S0-S2-CS02-CS12-CS12) )
  K0QD-act CX21-gen (gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 , CX21 • S2 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-S0-CK10=S0-CK20-CK10-CX21-S2-CS12-CS12-CS12) )
  K0QD-act CX21-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-CK10-CCK'=S0-CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , CX21 • S2 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX21-S0-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CCK'-CX21-S2-S2-CS02-CS02-CS12) )
  K0QD-act CX21-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • CK20 , CX21 , up-to-assoc auto (axiom ax-CX21-S0-CK20=S0-CK20-CX21) )
  K0QD-act CX21-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • CK10 • CCK' • CCK' , CX21 • CX10 • CCX0 • S0 • S0 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-S0-CK20-S0-CK10=CK20-CK10-CCK'-CCK'-CX21-CX10-CCX0-S0-S0-S2-S2-CS01-CS01-CS02-CS02-CS02-CS12-CS12) )
  K0QD-act CX21-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-CK20-S0-CK10-CCK'=S0-CK20-S0-CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , CX21 • CX10 • CX20 • S0 • S0 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-CK20-S0-CK10-CCK'-CCK'=CK10-CCK'-CCK'-CX21-CX10-CX20-S0-S0-S2-S2-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK10 , CX21 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-S0-CK20-CK10=S0-CK10-CX21-CS12-CS12-CS12) )
  K0QD-act CX21-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-CK20-CK10-CCK'=S0-CK20-CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 , CX21 • CX20 • S2 • CS02 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX21-S0-CK20-CK10-CCK'-CCK'=CK20-S0-CK10-CX21-CX20-S2-CS02-CS02-CS02-CCZ) )
  K0QD-act CX21-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( CCK' • CCK' , CX21 • S0 • S2 • CS02 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-S0-CK20-CCK'=CCK'-CCK'-CX21-S0-S2-CS02-CS02-CS02-CS12-CS12) )
  K0QD-act CX21-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , CX21 • CX20 • CCX0 • S0 • S2 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX21-S0-CK20-CCK'-CCK'=CK20-CCK'-CCK'-CX21-CX20-CCX0-S0-S2-S2-CS02-CS02-CS12) )
  K0QD-act CX21-gen (gen K0-gen) = Just ( K0 , CX21 , up-to-assoc auto (axiom ax-CX21-K0=K0-CX21) )
  K0QD-act CX21-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 , CX21 • S2 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-K0-S0-CK10=K0-S0-CK20-CK10-CX21-S2-CS12-CS12-CS12) )
  K0QD-act CX21-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-K0-S0-CK10-CCK'=K0-S0-CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , CX21 • S2 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX21-K0-S0-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CCK'-CX21-S2-S2-CS02-CS02-CS12) )
  K0QD-act CX21-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 , CX21 , up-to-assoc auto (axiom ax-CX21-K0-S0-CK20=K0-S0-CK20-CX21) )
  K0QD-act CX21-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , CX21 • CX10 • CCX0 • S0 • S0 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-K0-S0-CK20-S0-CK10=K0-CK20-CK10-CCK'-CCK'-CX21-CX10-CCX0-S0-S0-S2-S2-CS01-CS01-CS02-CS02-CS02-CS12-CS12) )
  K0QD-act CX21-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-K0-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-S0-CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , CX21 • CX10 • CX20 • S0 • S0 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX21-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-CK10-CCK'-CCK'-CX21-CX10-CX20-S0-S0-S2-S2-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act CX21-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , CX21 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-K0-S0-CK20-CK10=K0-S0-CK10-CX21-CS12-CS12-CS12) )
  K0QD-act CX21-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 , CX21 • CX20 • S2 • CS02 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX21-K0-S0-CK20-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CX21-CX20-S2-CS02-CS02-CS02-CCZ) )
  K0QD-act CX21-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , CX21 • S0 • S2 • CS02 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-K0-S0-CK20-CCK'=K0-CCK'-CCK'-CX21-S0-S2-CS02-CS02-CS02-CS12-CS12) )
  K0QD-act CX21-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , CX21 • CX20 • CCX0 • S0 • S2 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX21-K0-S0-CK20-CCK'-CCK'=K0-CK20-CCK'-CCK'-CX21-CX20-CCX0-S0-S2-S2-CS02-CS02-CS12) )
  K0QD-act CX21-gen (gen K0-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 , CX21 • S2 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-K0-CK10=K0-CK20-CK10-CX21-S2-CS12-CS12-CS12) )
  K0QD-act CX21-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-K0-CK10-CCK'=K0-CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX21 • CX10 • S0 • S0 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX21-K0-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-CX21-CX10-S0-S0-S2-S2-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act CX21-gen (gen K0-gen • gen CK20-gen) = Just ( K0 • CK20 , CX21 , up-to-assoc auto (axiom ax-CX21-K0-CK20=K0-CK20-CX21) )
  K0QD-act CX21-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , CX21 • CX20 • S2 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-K0-CK20-S0-CK10=K0-S0-CK20-CK10-CCK'-CCK'-CX21-CX20-S2-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-K0-CK20-S0-CK10-CCK'=K0-CK20-S0-CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , CX21 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX21-K0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK10-CCK'-CCK'-CX21-S2-CS02-CS02-CS12) )
  K0QD-act CX21-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK10 , CX21 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-K0-CK20-CK10=K0-CK10-CX21-CS12-CS12-CS12) )
  K0QD-act CX21-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-K0-CK20-CK10-CCK'=K0-CK20-CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , CX21 • CX10 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-K0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CX21-CX10-CCX0-S0-S0-CS01-CS01-CS02-CS02-CS02-CS12-CS12) )
  K0QD-act CX21-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CCK' , CX21 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-K0-CK20-CCK'=K0-CCK'-CX21-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , CX21 • CCX0 • S0 • S0 • S0 • S2 • CS02 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-K0-CK20-CCK'-CCK'=K0-S0-CK20-CCK'-CCK'-CX21-CCX0-S0-S0-S0-S2-CS02-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-K0-CCK'=K0-CK20-CCK'-CX21-S2-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , CX21 • S0 • S0 • S0 • S2 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-K0-CCK'-CCK'=K0-S0-CK20-CCK'-CX21-S0-S0-S0-S2-CS02-CS12-CS12) )
  K0QD-act CX21-gen (gen CK10-gen) = Just ( CK20 • CK10 , CX21 • S2 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-CK10=CK20-CK10-CX21-S2-CS12-CS12-CS12) )
  K0QD-act CX21-gen (gen CK10-gen • gen CCK'-gen) = Just ( CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-CK10-CCK'=CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX21 • CX10 • S0 • S0 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CX21-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CCK'-CX21-CX10-S0-S0-S2-S2-CS01-CS01-CS02-CS02-CCZ) )
  K0QD-act CX21-gen (gen CK20-gen) = Just ( CK20 , CX21 , up-to-assoc auto (axiom ax-CX21-CK20=CK20-CX21) )
  K0QD-act CX21-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , CX21 • CX20 • S2 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-CK20-S0-CK10=S0-CK20-CK10-CCK'-CCK'-CX21-CX20-S2-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-CK20-S0-CK10-CCK'=CK20-S0-CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , CX21 • S2 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CX21-CK20-S0-CK10-CCK'-CCK'=S0-CK10-CCK'-CCK'-CX21-S2-CS02-CS02-CS12) )
  K0QD-act CX21-gen (gen CK20-gen • gen CK10-gen) = Just ( CK10 , CX21 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-CK20-CK10=CK10-CX21-CS12-CS12-CS12) )
  K0QD-act CX21-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-CK20-CK10-CCK'=CK20-CK10-CCK'-CX21-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 , CX21 • CX10 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-CK20-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CX21-CX10-CCX0-S0-S0-CS01-CS01-CS02-CS02-CS02-CS12-CS12) )
  K0QD-act CX21-gen (gen CK20-gen • gen CCK'-gen) = Just ( CCK' , CX21 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-CK20-CCK'=CCK'-CX21-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , CX21 • CCX0 • S0 • S0 • S0 • S2 • CS02 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-CK20-CCK'-CCK'=S0-CK20-CCK'-CCK'-CX21-CCX0-S0-S0-S0-S2-CS02-CS02-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen CCK'-gen) = Just ( CK20 • CCK' , CX21 • S2 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CX21-CCK'=CK20-CCK'-CX21-S2-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CX21-gen (gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , CX21 • S0 • S0 • S0 • S2 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CX21-CCK'-CCK'=S0-CK20-CCK'-CX21-S0-S0-S0-S2-CS02-CS12-CS12) )
  K0QD-act CCX0-gen ε = Just ( ε , CCX0 , general-assoc auto )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0=S0-K0-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 , CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0-S0-CK10=S0-K0-S0-CK10-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0-S0-CK10-CCK'=S0-K0-S0-CK10-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCX0-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CCK'-CCX0) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 , CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0-S0-CK20=S0-K0-S0-CK20-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , CCX0 , up-to-assoc auto (axiom ax-CCX0-S0-K0-S0-CK20-S0-CK10=S0-K0-S0-CK20-S0-CK10-CCX0) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , CCX0 , up-to-assoc auto (axiom ax-CCX0-S0-K0-S0-CK20-CK10=S0-K0-S0-CK20-CK10-CCX0) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0-S0-CK20-CCK'=S0-K0-S0-CK20-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCX0-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CCK'-CCX0) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , CCX0 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0-CK10=S0-K0-CK10-CCX0-CS12-CS12-CS12-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , CCX0 • CS12 • CS12 , up-to-assoc auto (axiom ax-CCX0-S0-K0-CK10-CCK'=S0-K0-CK10-CCK'-CCX0-CS12-CS12) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0-CK10-CCK'-CCK'=S0-K0-CK10-CCK'-CCK'-CS12-CS12-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 , CCX0 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0-CK20=S0-K0-CK20-CCX0-CS12-CS12-CS12-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0-CK20-S0-CK10=S0-K0-CK20-S0-CK10-CS12-CS12-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , CCX0 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0-CK20-S0-CK10-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCX0-CS12-CS12-CS12-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , CCX0 • CS12 • CS12 , up-to-assoc auto (axiom ax-CCX0-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCK'-CCX0-CS12-CS12) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0-CK20-CK10=S0-K0-CK20-CK10-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCX0-S0-K0-CK20-CK10-CCK'=S0-K0-CK20-CK10-CCK'-CCX0) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CCK'-CCK'-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , CCX0 • CS12 • CS12 , up-to-assoc auto (axiom ax-CCX0-S0-K0-CK20-CCK'=S0-K0-CK20-CCK'-CCX0-CS12-CS12) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0-CK20-CCK'-CCK'=S0-K0-CK20-CCK'-CCK'-CS12-CS12-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCX0-S0-K0-CCK'=S0-K0-CCK'-CCX0) )
  K0QD-act CCX0-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , CCZ , up-to-assoc auto (axiom ax-CCX0-S0-K0-CCK'-CCK'=S0-K0-CCK'-CCK'-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen CK10-gen) = Just ( S0 • CK10 , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-S0-CK10=S0-CK10-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCX0-S0-CK10-CCK'=S0-CK10-CCK'-CCX0) )
  K0QD-act CCX0-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , CCZ , up-to-assoc auto (axiom ax-CCX0-S0-CK10-CCK'-CCK'=S0-CK10-CCK'-CCK'-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • CK20 , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-S0-CK20=S0-CK20-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 , CCZ , up-to-assoc auto (axiom ax-CCX0-S0-CK20-S0-CK10=S0-CK20-S0-CK10-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-S0-CK20-S0-CK10-CCK'=S0-CK20-S0-CK10-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCX0-S0-CK20-S0-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CCK'-CCX0) )
  K0QD-act CCX0-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 , CCX0 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-S0-CK20-CK10=S0-CK20-CK10-CCX0-CS12-CS12-CS12-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , CCX0 • CS12 • CS12 , up-to-assoc auto (axiom ax-CCX0-S0-CK20-CK10-CCK'=S0-CK20-CK10-CCK'-CCX0-CS12-CS12) )
  K0QD-act CCX0-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-S0-CK20-CK10-CCK'-CCK'=S0-CK20-CK10-CCK'-CCK'-CS12-CS12-CCZ) )
  K0QD-act CCX0-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCX0-S0-CK20-CCK'=S0-CK20-CCK'-CCX0) )
  K0QD-act CCX0-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , CCZ , up-to-assoc auto (axiom ax-CCX0-S0-CK20-CCK'-CCK'=S0-CK20-CCK'-CCK'-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen) = Just ( K0 , CCZ , up-to-assoc auto (axiom ax-CCX0-K0=K0-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , CCX0 , up-to-assoc auto (axiom ax-CCX0-K0-S0-CK10=K0-S0-CK10-CCX0) )
  K0QD-act CCX0-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCX0-K0-S0-CK10-CCK'=K0-S0-CK10-CCK'-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-K0-S0-CK10-CCK'-CCK'=K0-S0-CK10-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 , CCX0 , up-to-assoc auto (axiom ax-CCX0-K0-S0-CK20=K0-S0-CK20-CCX0) )
  K0QD-act CCX0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-K0-S0-CK20-S0-CK10=K0-S0-CK20-S0-CK10-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCX0-K0-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCX0) )
  K0QD-act CCX0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CCZ , up-to-assoc auto (axiom ax-CCX0-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 , CCZ , up-to-assoc auto (axiom ax-CCX0-K0-S0-CK20-CK10=K0-S0-CK20-CK10-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CK10-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCX0-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-CK10-CCK'-CCK'-CCX0) )
  K0QD-act CCX0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCX0-K0-S0-CK20-CCK'=K0-S0-CK20-CCK'-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-K0-S0-CK20-CCK'-CCK'=K0-S0-CK20-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen CK10-gen) = Just ( K0 • CK10 , CCX0 , up-to-assoc auto (axiom ax-CCX0-K0-CK10=K0-CK10-CCX0) )
  K0QD-act CCX0-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCX0-K0-CK10-CCK'=K0-CK10-CCK'-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-K0-CK10-CCK'-CCK'=K0-CK10-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen CK20-gen) = Just ( K0 • CK20 , CCX0 , up-to-assoc auto (axiom ax-CCX0-K0-CK20=K0-CK20-CCX0) )
  K0QD-act CCX0-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-K0-CK20-S0-CK10=K0-CK20-S0-CK10-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCX0-K0-CK20-S0-CK10-CCK'=K0-CK20-S0-CK10-CCK'-CCX0) )
  K0QD-act CCX0-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , CCZ , up-to-assoc auto (axiom ax-CCX0-K0-CK20-S0-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CCK'-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 , CCZ , up-to-assoc auto (axiom ax-CCX0-K0-CK20-CK10=K0-CK20-CK10-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-K0-CK20-CK10-CCK'=K0-CK20-CK10-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCX0-K0-CK20-CK10-CCK'-CCK'=K0-CK20-CK10-CCK'-CCK'-CCX0) )
  K0QD-act CCX0-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCX0-K0-CK20-CCK'=K0-CK20-CCK'-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-K0-CK20-CCK'-CCK'=K0-CK20-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-K0-CCK'=K0-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCX0-K0-CCK'-CCK'=K0-CCK'-CCK'-CCX0) )
  K0QD-act CCX0-gen (gen CK10-gen) = Just ( CK10 , CCZ , up-to-assoc auto (axiom ax-CCX0-CK10=CK10-CCZ) )
  K0QD-act CCX0-gen (gen CK10-gen • gen CCK'-gen) = Just ( CK10 • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-CK10-CCK'=CK10-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCX0-CK10-CCK'-CCK'=CK10-CCK'-CCK'-CCX0) )
  K0QD-act CCX0-gen (gen CK20-gen) = Just ( CK20 , CCZ , up-to-assoc auto (axiom ax-CCX0-CK20=CK20-CCZ) )
  K0QD-act CCX0-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CK20-S0-CK10=CK20-S0-CK10-CCX0) )
  K0QD-act CCX0-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCX0-CK20-S0-CK10-CCK'=CK20-S0-CK10-CCK'-CCZ) )
  K0QD-act CCX0-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-CK20-S0-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen CK20-gen • gen CK10-gen) = Just ( CK20 • CK10 , CCX0 , up-to-assoc auto (axiom ax-CCX0-CK20-CK10=CK20-CK10-CCX0) )
  K0QD-act CCX0-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , CCZ , up-to-assoc auto (axiom ax-CCX0-CK20-CK10-CCK'=CK20-CK10-CCK'-CCZ) )
  K0QD-act CCX0-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-CK20-CK10-CCK'-CCK'=CK20-CK10-CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen CK20-gen • gen CCK'-gen) = Just ( CK20 • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-CK20-CCK'=CK20-CCK'-CCX0-CS12-CCZ) )
  K0QD-act CCX0-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , CCX0 , up-to-assoc auto (axiom ax-CCX0-CK20-CCK'-CCK'=CK20-CCK'-CCK'-CCX0) )
  K0QD-act CCX0-gen (gen CCK'-gen) = Just ( CCK' , CCZ , up-to-assoc auto (axiom ax-CCX0-CCK'=CCK'-CCZ) )
  K0QD-act CCX0-gen (gen CCK'-gen • gen CCK'-gen) = Just ( CCK' • CCK' , CCX0 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCX0-CCK'-CCK'=CCK'-CCK'-CCX0-CS12-CCZ) )
  K0QD-act Swap12-gen ε = Just ( ε , Swap12 , general-assoc auto )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0=S0-K0-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-S0-CK10=S0-K0-S0-CK20-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-S0-CK10-CCK'=S0-K0-S0-CK20-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK10 , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-S0-CK20=S0-K0-S0-CK10-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , Swap12 • CX10 • CCX0 • S0 • S1 • S1 • S1 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-Swap12-S0-K0-S0-CK20-S0-CK10=S0-K0-CK20-S0-CK10-CCK'-Swap12-CX10-CCX0-S0-S1-S1-S1-CS12-CS12-CCZ) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , Swap12 • CX10 • S0 • S1 • S1 • S1 • CS12 • CCZ , up-to-assoc auto (axiom ax-Swap12-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-CK20-S0-CK10-Swap12-CX10-S0-S1-S1-S1-CS12-CCZ) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , Swap12 • CX10 • CCX0 • S0 • S1 • S1 • S1 • CS12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CCK'-Swap12-CX10-CCX0-S0-S1-S1-S1-CS12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-S0-CK20-CK10=S0-K0-S0-CK20-CK10-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-S0-CK20-CCK'=S0-K0-S0-CK10-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-CK10=S0-K0-CK20-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-CK10-CCK'=S0-K0-CK20-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-CK10-CCK'-CCK'=S0-K0-CK20-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK10 , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-CK20=S0-K0-CK10-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , Swap12 • CX20 • S0 • S0 • S0 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-Swap12-S0-K0-CK20-S0-CK10=S0-K0-S0-CK20-S0-CK10-CCK'-Swap12-CX20-S0-S0-S0-CS02-CS02-CS12-CCZ) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , Swap12 • CX20 • CCX0 • S0 • S0 • S0 • CS02 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-Swap12-CX20-CCX0-S0-S0-S0-CS02-CS02-CS12-CS12-CS12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , Swap12 • CX20 • CCX0 • S0 • S0 • S0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-Swap12-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-Swap12-CX20-CCX0-S0-S0-S0-CS02-CS02-CCZ) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-CK20-CK10=S0-K0-CK20-CK10-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-CK20-CK10-CCK'=S0-K0-CK20-CK10-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-CK20-CCK'=S0-K0-CK10-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-CK20-CCK'-CCK'=S0-K0-CK10-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-CCK'=S0-K0-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-K0-CCK'-CCK'=S0-K0-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-CK10=S0-CK20-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-CK10-CCK'=S0-CK20-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-CK10-CCK'-CCK'=S0-CK20-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • CK10 , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-CK20=S0-CK10-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 • CCK' , Swap12 • CX10 • CCX0 • S0 • S1 • S1 • S1 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-Swap12-S0-CK20-S0-CK10=CK20-S0-CK10-CCK'-Swap12-CX10-CCX0-S0-S1-S1-S1-CS12-CS12-CCZ) )
  K0QD-act Swap12-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 , Swap12 • CX10 • S0 • S1 • S1 • S1 • CS12 • CCZ , up-to-assoc auto (axiom ax-Swap12-S0-CK20-S0-CK10-CCK'=CK20-S0-CK10-Swap12-CX10-S0-S1-S1-S1-CS12-CCZ) )
  K0QD-act Swap12-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , Swap12 • CX10 • CCX0 • S0 • S1 • S1 • S1 • CS12 , up-to-assoc auto (axiom ax-Swap12-S0-CK20-S0-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CCK'-Swap12-CX10-CCX0-S0-S1-S1-S1-CS12) )
  K0QD-act Swap12-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-CK20-CK10=S0-CK20-CK10-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-CK20-CK10-CCK'=S0-CK20-CK10-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-CK20-CK10-CCK'-CCK'=S0-CK20-CK10-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-CK20-CCK'=S0-CK10-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-S0-CK20-CCK'-CCK'=S0-CK10-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen) = Just ( K0 , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0=K0-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-S0-CK10=K0-S0-CK20-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-S0-CK10-CCK'=K0-S0-CK20-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-S0-CK10-CCK'-CCK'=K0-S0-CK20-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK10 , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-S0-CK20=K0-S0-CK10-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , Swap12 • CX10 • CCX0 • S0 • S1 • S1 • S1 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-Swap12-K0-S0-CK20-S0-CK10=K0-CK20-S0-CK10-CCK'-Swap12-CX10-CCX0-S0-S1-S1-S1-CS12-CS12-CCZ) )
  K0QD-act Swap12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 , Swap12 • CX10 • S0 • S1 • S1 • S1 • CS12 • CCZ , up-to-assoc auto (axiom ax-Swap12-K0-S0-CK20-S0-CK10-CCK'=K0-CK20-S0-CK10-Swap12-CX10-S0-S1-S1-S1-CS12-CCZ) )
  K0QD-act Swap12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , Swap12 • CX10 • CCX0 • S0 • S1 • S1 • S1 • CS12 , up-to-assoc auto (axiom ax-Swap12-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CCK'-Swap12-CX10-CCX0-S0-S1-S1-S1-CS12) )
  K0QD-act Swap12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-S0-CK20-CK10=K0-S0-CK20-CK10-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CK10-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-CK10-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-S0-CK20-CCK'=K0-S0-CK10-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-S0-CK20-CCK'-CCK'=K0-S0-CK10-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen CK10-gen) = Just ( K0 • CK20 , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-CK10=K0-CK20-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-CK10-CCK'=K0-CK20-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-CK10-CCK'-CCK'=K0-CK20-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen CK20-gen) = Just ( K0 • CK10 , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-CK20=K0-CK10-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , Swap12 • CX20 • S0 • S0 • S0 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-Swap12-K0-CK20-S0-CK10=K0-S0-CK20-S0-CK10-CCK'-Swap12-CX20-S0-S0-S0-CS02-CS02-CS12-CCZ) )
  K0QD-act Swap12-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , Swap12 • CX20 • CCX0 • S0 • S0 • S0 • CS02 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-Swap12-K0-CK20-S0-CK10-CCK'=K0-S0-CK20-S0-CK10-Swap12-CX20-CCX0-S0-S0-S0-CS02-CS02-CS12-CS12-CS12) )
  K0QD-act Swap12-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , Swap12 • CX20 • CCX0 • S0 • S0 • S0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-Swap12-K0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-Swap12-CX20-CCX0-S0-S0-S0-CS02-CS02-CCZ) )
  K0QD-act Swap12-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-CK20-CK10=K0-CK20-CK10-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-CK20-CK10-CCK'=K0-CK20-CK10-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-CK20-CK10-CCK'-CCK'=K0-CK20-CK10-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-CK20-CCK'=K0-CK10-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-CK20-CCK'-CCK'=K0-CK10-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-CCK'=K0-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-K0-CCK'-CCK'=K0-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen CK10-gen) = Just ( CK20 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CK10=CK20-Swap12) )
  K0QD-act Swap12-gen (gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-CK10-CCK'=CK20-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-CK10-CCK'-CCK'=CK20-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen CK20-gen) = Just ( CK10 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CK20=CK10-Swap12) )
  K0QD-act Swap12-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , Swap12 • CX20 • S0 • S0 • S0 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-Swap12-CK20-S0-CK10=S0-CK20-S0-CK10-CCK'-Swap12-CX20-S0-S0-S0-CS02-CS02-CS12-CCZ) )
  K0QD-act Swap12-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 , Swap12 • CX20 • CCX0 • S0 • S0 • S0 • CS02 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-Swap12-CK20-S0-CK10-CCK'=S0-CK20-S0-CK10-Swap12-CX20-CCX0-S0-S0-S0-CS02-CS02-CS12-CS12-CS12) )
  K0QD-act Swap12-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , Swap12 • CX20 • CCX0 • S0 • S0 • S0 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-Swap12-CK20-S0-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CCK'-Swap12-CX20-CCX0-S0-S0-S0-CS02-CS02-CCZ) )
  K0QD-act Swap12-gen (gen CK20-gen • gen CK10-gen) = Just ( CK20 • CK10 , Swap12 , up-to-assoc auto (axiom ax-Swap12-CK20-CK10=CK20-CK10-Swap12) )
  K0QD-act Swap12-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-CK20-CK10-CCK'=CK20-CK10-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-CK20-CK10-CCK'-CCK'=CK20-CK10-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen CK20-gen • gen CCK'-gen) = Just ( CK10 • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-CK20-CCK'=CK10-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-CK20-CCK'-CCK'=CK10-CCK'-CCK'-Swap12) )
  K0QD-act Swap12-gen (gen CCK'-gen) = Just ( CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCK'=CCK'-Swap12) )
  K0QD-act Swap12-gen (gen CCK'-gen • gen CCK'-gen) = Just ( CCK' • CCK' , Swap12 , up-to-assoc auto (axiom ax-Swap12-CCK'-CCK'=CCK'-CCK'-Swap12) )
  K0QD-act CK10-gen ε = Just ( CK10 , ε , general-assoc auto )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 , CX10 • CS01 • CS01 • CS01 , up-to-assoc auto (axiom ax-CK10-S0-K0=S0-K0-CX10-CS01-CS01-CS01) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 , S0 • CS01 , up-to-assoc auto (axiom ax-CK10-S0-K0-S0-CK10=S0-K0-CK10-S0-CS01) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , CCX0 • S0 • CS01 • CS12 , up-to-assoc auto (axiom ax-CK10-S0-K0-S0-CK10-CCK'=S0-K0-CK10-CCK'-CCX0-S0-CS01-CS12) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , CCX0 • S0 • CS01 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-CK10-CCK'-CCK'-CCX0-S0-CS01-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , CX10 • CCX0 • S1 • S1 • S1 • CS01 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-K0-S0-CK20=S0-K0-S0-CK20-CCK'-CCK'-CX10-CCX0-S1-S1-S1-CS01-CS12-CS12-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , CX10 • CCX0 • S0 • S1 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK10-S0-K0-S0-CK20-S0-CK10=S0-K0-S0-CK20-CK10-CCK'-CX10-CCX0-S0-S1-CS01-CS12-CS12-CS12) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , CX10 • S0 • S1 • CS01 , up-to-assoc auto (axiom ax-CK10-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCK'-CX10-S0-S1-CS01) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , CX10 • S0 • S1 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-CK10-CX10-S0-S1-CS01-CS12-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX10 • S0 • S0 • S0 • CS01 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-K0-S0-CK20-CK10=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-CX10-S0-S0-S0-CS01-CS01-CS01-CS12-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , CX10 • CCX0 • S0 • S0 • S0 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK10-S0-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-CX10-CCX0-S0-S0-S0-CS01-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , CX10 • S0 • S0 • S0 • CS01 • CS01 • CS01 , up-to-assoc auto (axiom ax-CK10-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CX10-S0-S0-S0-CS01-CS01-CS01) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , CX10 • S1 • S1 • S1 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-K0-S0-CK20-CCK'=S0-K0-S0-CK20-CCK'-CX10-S1-S1-S1-CS01-CS12-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 , CX10 • CCX0 • S1 • S1 • S1 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK10-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-S0-CK20-CX10-CCX0-S1-S1-S1-CS01-CS12-CS12-CS12) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 , S0 • S0 • S0 • S1 • S1 • S1 • CS01 • CS01 • CS01 , up-to-assoc auto (axiom ax-CK10-S0-K0-CK10=S0-K0-S0-CK10-S0-S0-S0-S1-S1-S1-CS01-CS01-CS01) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , CCX0 • S0 • S0 • S0 • S1 • S1 • S1 • CS01 • CS01 • CS01 • CS12 , up-to-assoc auto (axiom ax-CK10-S0-K0-CK10-CCK'=S0-K0-S0-CK10-CCK'-CCX0-S0-S0-S0-S1-S1-S1-CS01-CS01-CS01-CS12) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , CCX0 • S0 • S0 • S0 • S1 • S1 • S1 • CS01 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-K0-CK10-CCK'-CCK'=S0-K0-S0-CK10-CCK'-CCK'-CCX0-S0-S0-S0-S1-S1-S1-CS01-CS01-CS01-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , CX10 • CS01 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-K0-CK20=S0-K0-CK20-CCK'-CCK'-CX10-CS01-CS01-CS01-CS12-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , CCX0 • S0 • CS01 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-K0-CK20-S0-CK10=S0-K0-CK20-CK10-CCK'-CCX0-S0-CS01-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , S0 • CS01 , up-to-assoc auto (axiom ax-CK10-S0-K0-CK20-S0-CK10-CCK'=S0-K0-CK20-CK10-CCK'-CCK'-S0-CS01) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 , CCX0 • S0 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK10-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CCX0-S0-CS01-CS12-CS12-CS12) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , CCX0 • S0 • S0 • S0 • S1 • S1 • S1 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK10-S0-K0-CK20-CK10=S0-K0-CK20-S0-CK10-CCK'-CCK'-CCX0-S0-S0-S0-S1-S1-S1-CS01-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , CCX0 • S0 • S0 • S0 • S1 • S1 • S1 • CS01 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-K0-CK20-CK10-CCK'=S0-K0-CK20-S0-CK10-CCX0-S0-S0-S0-S1-S1-S1-CS01-CS01-CS01-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , S0 • S0 • S0 • S1 • S1 • S1 • CS01 • CS01 • CS01 , up-to-assoc auto (axiom ax-CK10-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-S0-S0-S0-S1-S1-S1-CS01-CS01-CS01) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , CX10 • CS01 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-K0-CK20-CCK'=S0-K0-CK20-CCK'-CX10-CS01-CS01-CS01-CS12-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 , CX10 • CS01 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-K0-CK20-CCK'-CCK'=S0-K0-CK20-CX10-CS01-CS01-CS01-CS12-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , CX10 • CCX0 • CS01 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-K0-CCK'=S0-K0-CCK'-CCK'-CX10-CCX0-CS01-CS01-CS01-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , CX10 • CCX0 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK10-S0-K0-CCK'-CCK'=S0-K0-CCK'-CX10-CCX0-CS01-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CK10-gen (gen S0-gen • gen CK10-gen) = Just ( S0 • CK10 , CX10 • CS01 • CS01 • CS01 , up-to-assoc auto (axiom ax-CK10-S0-CK10=S0-CK10-CX10-CS01-CS01-CS01) )
  K0QD-act CK10-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , CX10 • CCX0 • CS01 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-CK10-CCK'=S0-CK10-CCK'-CCK'-CX10-CCX0-CS01-CS01-CS01-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , CX10 • CCX0 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK10-S0-CK10-CCK'-CCK'=S0-CK10-CCK'-CX10-CCX0-CS01-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CK10-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , CX10 • S0 • S0 • S0 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-CK20=S0-CK20-S0-CK10-CCK'-CX10-S0-S0-S0-CS01-CS01-CS12-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • CCK' , CX10 • CCX0 • S0 • S1 • S1 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-CK20-S0-CK10=S0-CK20-CCK'-CX10-CCX0-S0-S1-S1-CS12-CS12-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 , CX10 • S0 • S1 • S1 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-CK20-S0-CK10-CCK'=S0-CK20-CX10-S0-S1-S1-CS12-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , CX10 • CCX0 • S0 • S1 • S1 • CS12 , up-to-assoc auto (axiom ax-CK10-S0-CK20-S0-CK10-CCK'-CCK'=S0-CK20-CCK'-CCK'-CX10-CCX0-S0-S1-S1-CS12) )
  K0QD-act CK10-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , CX10 • CS01 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-CK20-CK10=S0-CK20-CK10-CCK'-CCK'-CX10-CS01-CS01-CS01-CS12-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , CX10 • CS01 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-CK20-CK10-CCK'=S0-CK20-CK10-CCK'-CX10-CS01-CS01-CS01-CS12-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 , CX10 • CS01 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-CK20-CK10-CCK'-CCK'=S0-CK20-CK10-CX10-CS01-CS01-CS01-CS12-CCZ) )
  K0QD-act CK10-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 , CX10 • CCX0 • S0 • S0 • S0 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK10-S0-CK20-CCK'=S0-CK20-S0-CK10-CX10-CCX0-S0-S0-S0-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CK10-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX10 • CCX0 • S0 • S0 • S0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CK10-S0-CK20-CCK'-CCK'=S0-CK20-S0-CK10-CCK'-CCK'-CX10-CCX0-S0-S0-S0-CS01-CS01-CCZ) )
  K0QD-act CK10-gen (gen K0-gen) = Just ( K0 • CK10 , ε , up-to-assoc auto (axiom ax-CK10-K0=K0-CK10) )
  K0QD-act CK10-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , CX10 • CS01 • CS01 • CS01 , up-to-assoc auto (axiom ax-CK10-K0-S0-CK10=K0-S0-CK10-CX10-CS01-CS01-CS01) )
  K0QD-act CK10-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , CX10 • CCX0 • CS01 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CK10-K0-S0-CK10-CCK'=K0-S0-CK10-CCK'-CCK'-CX10-CCX0-CS01-CS01-CS01-CCZ) )
  K0QD-act CK10-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , CX10 • CCX0 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK10-K0-S0-CK10-CCK'-CCK'=K0-S0-CK10-CCK'-CX10-CCX0-CS01-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CK10-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , CX10 • S0 • S0 • S0 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-K0-S0-CK20=K0-S0-CK20-S0-CK10-CCK'-CX10-S0-S0-S0-CS01-CS01-CS12-CCZ) )
  K0QD-act CK10-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CCK' , CX10 • CCX0 • S0 • S1 • S1 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-K0-S0-CK20-S0-CK10=K0-S0-CK20-CCK'-CX10-CCX0-S0-S1-S1-CS12-CS12-CCZ) )
  K0QD-act CK10-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 , CX10 • S0 • S1 • S1 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-K0-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-CX10-S0-S1-S1-CS12-CCZ) )
  K0QD-act CK10-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , CX10 • CCX0 • S0 • S1 • S1 • CS12 , up-to-assoc auto (axiom ax-CK10-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-CCK'-CCK'-CX10-CCX0-S0-S1-S1-CS12) )
  K0QD-act CK10-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , CX10 • CS01 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-K0-S0-CK20-CK10=K0-S0-CK20-CK10-CCK'-CCK'-CX10-CS01-CS01-CS01-CS12-CCZ) )
  K0QD-act CK10-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , CX10 • CS01 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CK10-CCK'-CX10-CS01-CS01-CS01-CS12-CCZ) )
  K0QD-act CK10-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 , CX10 • CS01 • CS01 • CS01 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK10-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-CK10-CX10-CS01-CS01-CS01-CS12-CCZ) )
  K0QD-act CK10-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , CX10 • CCX0 • S0 • S0 • S0 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK10-K0-S0-CK20-CCK'=K0-S0-CK20-S0-CK10-CX10-CCX0-S0-S0-S0-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CK10-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX10 • CCX0 • S0 • S0 • S0 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CK10-K0-S0-CK20-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCK'-CX10-CCX0-S0-S0-S0-CS01-CS01-CCZ) )
  K0QD-act CK10-gen (gen K0-gen • gen CK10-gen) = Just ( K0 , S1 • S1 • S1 , up-to-assoc auto (axiom ax-CK10-K0-CK10=K0-S1-S1-S1) )
  K0QD-act CK10-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CCK' , S1 • S1 • S1 , up-to-assoc auto (axiom ax-CK10-K0-CK10-CCK'=K0-CCK'-S1-S1-S1) )
  K0QD-act CK10-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , S1 • S1 • S1 , up-to-assoc auto (axiom ax-CK10-K0-CK10-CCK'-CCK'=K0-CCK'-CCK'-S1-S1-S1) )
  K0QD-act CK10-gen (gen K0-gen • gen CK20-gen) = Just ( K0 • CK20 • CK10 , ε , up-to-assoc auto (axiom ax-CK10-K0-CK20=K0-CK20-CK10) )
  K0QD-act CK10-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 , CX10 • CS01 • CS01 • CS01 , up-to-assoc auto (axiom ax-CK10-K0-CK20-S0-CK10=K0-CK20-S0-CK10-CX10-CS01-CS01-CS01) )
  K0QD-act CK10-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , CX10 • CCX0 • CS01 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CK10-K0-CK20-S0-CK10-CCK'=K0-CK20-S0-CK10-CCK'-CCK'-CX10-CCX0-CS01-CS01-CS01-CCZ) )
  K0QD-act CK10-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , CX10 • CCX0 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK10-K0-CK20-S0-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CX10-CCX0-CS01-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CK10-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 , S1 • S1 • S1 , up-to-assoc auto (axiom ax-CK10-K0-CK20-CK10=K0-CK20-S1-S1-S1) )
  K0QD-act CK10-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , S1 • S1 • S1 , up-to-assoc auto (axiom ax-CK10-K0-CK20-CK10-CCK'=K0-CK20-CCK'-S1-S1-S1) )
  K0QD-act CK10-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , S1 • S1 • S1 , up-to-assoc auto (axiom ax-CK10-K0-CK20-CK10-CCK'-CCK'=K0-CK20-CCK'-CCK'-S1-S1-S1) )
  K0QD-act CK10-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , ε , up-to-assoc auto (axiom ax-CK10-K0-CK20-CCK'=K0-CK20-CK10-CCK') )
  K0QD-act CK10-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CK10-K0-CK20-CCK'-CCK'=K0-CK20-CK10-CCK'-CCK') )
  K0QD-act CK10-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , ε , up-to-assoc auto (axiom ax-CK10-K0-CCK'=K0-CK10-CCK') )
  K0QD-act CK10-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CK10-K0-CCK'-CCK'=K0-CK10-CCK'-CCK') )
  K0QD-act CK10-gen (gen CK10-gen) = Just ( ε , S1 • S1 • S1 , up-to-assoc auto (axiom ax-CK10-CK10=S1-S1-S1) )
  K0QD-act CK10-gen (gen CK10-gen • gen CCK'-gen) = Just ( CCK' , S1 • S1 • S1 , up-to-assoc auto (axiom ax-CK10-CK10-CCK'=CCK'-S1-S1-S1) )
  K0QD-act CK10-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CCK' • CCK' , S1 • S1 • S1 , up-to-assoc auto (axiom ax-CK10-CK10-CCK'-CCK'=CCK'-CCK'-S1-S1-S1) )
  K0QD-act CK10-gen (gen CK20-gen) = Just ( CK20 • CK10 , ε , up-to-assoc auto (axiom ax-CK10-CK20=CK20-CK10) )
  K0QD-act CK10-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 , CX10 • CS01 • CS01 • CS01 , up-to-assoc auto (axiom ax-CK10-CK20-S0-CK10=CK20-S0-CK10-CX10-CS01-CS01-CS01) )
  K0QD-act CK10-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , CX10 • CCX0 • CS01 • CS01 • CS01 • CCZ , up-to-assoc auto (axiom ax-CK10-CK20-S0-CK10-CCK'=CK20-S0-CK10-CCK'-CCK'-CX10-CCX0-CS01-CS01-CS01-CCZ) )
  K0QD-act CK10-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , CX10 • CCX0 • CS01 • CS01 • CS01 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK10-CK20-S0-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CX10-CCX0-CS01-CS01-CS01-CS12-CS12-CS12) )
  K0QD-act CK10-gen (gen CK20-gen • gen CK10-gen) = Just ( CK20 , S1 • S1 • S1 , up-to-assoc auto (axiom ax-CK10-CK20-CK10=CK20-S1-S1-S1) )
  K0QD-act CK10-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CCK' , S1 • S1 • S1 , up-to-assoc auto (axiom ax-CK10-CK20-CK10-CCK'=CK20-CCK'-S1-S1-S1) )
  K0QD-act CK10-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , S1 • S1 • S1 , up-to-assoc auto (axiom ax-CK10-CK20-CK10-CCK'-CCK'=CK20-CCK'-CCK'-S1-S1-S1) )
  K0QD-act CK10-gen (gen CK20-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , ε , up-to-assoc auto (axiom ax-CK10-CK20-CCK'=CK20-CK10-CCK') )
  K0QD-act CK10-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CK10-CK20-CCK'-CCK'=CK20-CK10-CCK'-CCK') )
  K0QD-act CK10-gen (gen CCK'-gen) = Just ( CK10 • CCK' , ε , general-assoc auto )
  K0QD-act CK10-gen (gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act CK20-gen ε = Just ( CK20 , ε , general-assoc auto )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 , CX20 • CS02 • CS02 • CS02 , up-to-assoc auto (axiom ax-CK20-S0-K0=S0-K0-CX20-CS02-CS02-CS02) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , CX20 • CCX0 • S2 • S2 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-K0-S0-CK10=S0-K0-S0-CK10-CCK'-CCK'-CX20-CCX0-S2-S2-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , CX20 • S2 • S2 • S2 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-K0-S0-CK10-CCK'=S0-K0-S0-CK10-CCK'-CX20-S2-S2-S2-CS02-CS12-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 , CX20 • CCX0 • S2 • S2 • S2 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK20-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-S0-CK10-CX20-CCX0-S2-S2-S2-CS02-CS12-CS12-CS12) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 , S0 • CS02 , up-to-assoc auto (axiom ax-CK20-S0-K0-S0-CK20=S0-K0-CK20-S0-CS02) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , CX10 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CS12 , up-to-assoc auto (axiom ax-CK20-S0-K0-S0-CK20-S0-CK10=S0-K0-CK20-CK10-CCK'-CCK'-CX10-CCX0-S0-S0-CS01-CS01-CS02-CS12) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , CX10 • CCX0 • S0 • S0 • CS01 • CS01 • CS02 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-CK20-CK10-CCK'-CX10-CCX0-S0-S0-CS01-CS01-CS02-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 , CX10 • S0 • S0 • CS01 • CS01 • CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CX10-S0-S0-CS01-CS01-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , CCX0 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-K0-S0-CK20-CK10=S0-K0-CK20-S0-CK10-CCK'-CCK'-CCX0-CS02-CS12-CS12-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , CS02 , up-to-assoc auto (axiom ax-CK20-S0-K0-S0-CK20-CK10-CCK'=S0-K0-CK20-S0-CK10-CCK'-CS02) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , CS02 • CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CS02-CS12-CS12-CS12-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , CCX0 • S0 • CS02 • CS12 , up-to-assoc auto (axiom ax-CK20-S0-K0-S0-CK20-CCK'=S0-K0-CK20-CCK'-CCX0-S0-CS02-CS12) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , CCX0 • S0 • CS02 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-CK20-CCK'-CCK'-CCX0-S0-CS02-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , CX20 • CS02 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-K0-CK10=S0-K0-CK10-CCK'-CCK'-CX20-CS02-CS02-CS02-CS12-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , CX20 • CS02 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-K0-CK10-CCK'=S0-K0-CK10-CCK'-CX20-CS02-CS02-CS02-CS12-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 , CX20 • CS02 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-K0-CK10-CCK'-CCK'=S0-K0-CK10-CX20-CS02-CS02-CS02-CS12-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 , S0 • S0 • S0 • S2 • S2 • S2 • CS02 • CS02 • CS02 , up-to-assoc auto (axiom ax-CK20-S0-K0-CK20=S0-K0-S0-CK20-S0-S0-S0-S2-S2-S2-CS02-CS02-CS02) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , S2 • S2 • S2 • CS02 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-K0-CK20-S0-CK10=S0-K0-S0-CK20-CK10-CCK'-CCK'-S2-S2-S2-CS02-CS02-CS02-CS12-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , S2 • S2 • S2 • CS02 • CS02 • CS02 , up-to-assoc auto (axiom ax-CK20-S0-K0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-CK10-CCK'-S2-S2-S2-CS02-CS02-CS02) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , CCX0 • S2 • S2 • S2 • CS02 • CS02 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK20-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-CK10-CCX0-S2-S2-S2-CS02-CS02-CS02-CS12-CS12-CS12) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX10 • S0 • S0 • S2 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK20-S0-K0-CK20-CK10=S0-K0-S0-CK20-S0-CK10-CCK'-CCK'-CX10-S0-S0-S2-S2-S2-CS01-CS01-CS02-CS02-CS02-CS12-CS12) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , CX10 • CCX0 • S0 • S0 • S2 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-K0-CK20-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CX10-CCX0-S0-S0-S2-S2-S2-CS01-CS01-CS02-CS02-CS02-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , CX10 • CCX0 • S0 • S0 • S2 • S2 • S2 • CS01 • CS01 • CS02 • CS02 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK20-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CX10-CCX0-S0-S0-S2-S2-S2-CS01-CS01-CS02-CS02-CS02-CS12-CS12-CS12) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , CCX0 • S0 • S0 • S0 • S2 • S2 • S2 • CS02 • CS02 • CS02 • CS12 , up-to-assoc auto (axiom ax-CK20-S0-K0-CK20-CCK'=S0-K0-S0-CK20-CCK'-CCX0-S0-S0-S0-S2-S2-S2-CS02-CS02-CS02-CS12) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , CCX0 • S0 • S0 • S0 • S2 • S2 • S2 • CS02 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-K0-CK20-CCK'-CCK'=S0-K0-S0-CK20-CCK'-CCK'-CCX0-S0-S0-S0-S2-S2-S2-CS02-CS02-CS02-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , CX20 • CCX0 • CS02 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-K0-CCK'=S0-K0-CCK'-CCK'-CX20-CCX0-CS02-CS02-CS02-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' , CX20 • CCX0 • CS02 • CS02 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK20-S0-K0-CCK'-CCK'=S0-K0-CCK'-CX20-CCX0-CS02-CS02-CS02-CS12-CS12-CS12) )
  K0QD-act CK20-gen (gen S0-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 , ε , general-assoc auto )
  K0QD-act CK20-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , ε , general-assoc auto )
  K0QD-act CK20-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act CK20-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • CK20 , CX20 • CS02 • CS02 • CS02 , up-to-assoc auto (axiom ax-CK20-S0-CK20=S0-CK20-CX20-CS02-CS02-CS02) )
  K0QD-act CK20-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX20 • CCX0 • S2 • S2 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-CK20-S0-CK10=S0-CK20-S0-CK10-CCK'-CCK'-CX20-CCX0-S2-S2-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , CX20 • S2 • S2 • S2 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-CK20-S0-CK10-CCK'=S0-CK20-S0-CK10-CCK'-CX20-S2-S2-S2-CS02-CS12-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 , CX20 • CCX0 • S2 • S2 • S2 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK20-S0-CK20-S0-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CX20-CCX0-S2-S2-S2-CS02-CS12-CS12-CS12) )
  K0QD-act CK20-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , CX20 • CS02 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-CK20-CK10=S0-CK20-CK10-CCK'-CCK'-CX20-CS02-CS02-CS02-CS12-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , CX20 • CS02 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-CK20-CK10-CCK'=S0-CK20-CK10-CCK'-CX20-CS02-CS02-CS02-CS12-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 , CX20 • CS02 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-CK20-CK10-CCK'-CCK'=S0-CK20-CK10-CX20-CS02-CS02-CS02-CS12-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , CX20 • CCX0 • CS02 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CK20-S0-CK20-CCK'=S0-CK20-CCK'-CCK'-CX20-CCX0-CS02-CS02-CS02-CCZ) )
  K0QD-act CK20-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' , CX20 • CCX0 • CS02 • CS02 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK20-S0-CK20-CCK'-CCK'=S0-CK20-CCK'-CX20-CCX0-CS02-CS02-CS02-CS12-CS12-CS12) )
  K0QD-act CK20-gen (gen K0-gen) = Just ( K0 • CK20 , ε , up-to-assoc auto (axiom ax-CK20-K0=K0-CK20) )
  K0QD-act CK20-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 , ε , up-to-assoc auto (axiom ax-CK20-K0-S0-CK10=K0-CK20-S0-CK10) )
  K0QD-act CK20-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , ε , up-to-assoc auto (axiom ax-CK20-K0-S0-CK10-CCK'=K0-CK20-S0-CK10-CCK') )
  K0QD-act CK20-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CK20-K0-S0-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CCK'-CCK') )
  K0QD-act CK20-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 , CX20 • CS02 • CS02 • CS02 , up-to-assoc auto (axiom ax-CK20-K0-S0-CK20=K0-S0-CK20-CX20-CS02-CS02-CS02) )
  K0QD-act CK20-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CX20 • CCX0 • S2 • S2 • S2 • CS02 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-K0-S0-CK20-S0-CK10=K0-S0-CK20-S0-CK10-CCK'-CCK'-CX20-CCX0-S2-S2-S2-CS02-CS12-CS12-CCZ) )
  K0QD-act CK20-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , CX20 • S2 • S2 • S2 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-K0-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-S0-CK10-CCK'-CX20-S2-S2-S2-CS02-CS12-CCZ) )
  K0QD-act CK20-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , CX20 • CCX0 • S2 • S2 • S2 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK20-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CX20-CCX0-S2-S2-S2-CS02-CS12-CS12-CS12) )
  K0QD-act CK20-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , CX20 • CS02 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-K0-S0-CK20-CK10=K0-S0-CK20-CK10-CCK'-CCK'-CX20-CS02-CS02-CS02-CS12-CCZ) )
  K0QD-act CK20-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , CX20 • CS02 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CK10-CCK'-CX20-CS02-CS02-CS02-CS12-CCZ) )
  K0QD-act CK20-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 , CX20 • CS02 • CS02 • CS02 • CS12 • CCZ , up-to-assoc auto (axiom ax-CK20-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-CK10-CX20-CS02-CS02-CS02-CS12-CCZ) )
  K0QD-act CK20-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , CX20 • CCX0 • CS02 • CS02 • CS02 • CCZ , up-to-assoc auto (axiom ax-CK20-K0-S0-CK20-CCK'=K0-S0-CK20-CCK'-CCK'-CX20-CCX0-CS02-CS02-CS02-CCZ) )
  K0QD-act CK20-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , CX20 • CCX0 • CS02 • CS02 • CS02 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CK20-K0-S0-CK20-CCK'-CCK'=K0-S0-CK20-CCK'-CX20-CCX0-CS02-CS02-CS02-CS12-CS12-CS12) )
  K0QD-act CK20-gen (gen K0-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 , ε , up-to-assoc auto (axiom ax-CK20-K0-CK10=K0-CK20-CK10) )
  K0QD-act CK20-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , ε , up-to-assoc auto (axiom ax-CK20-K0-CK10-CCK'=K0-CK20-CK10-CCK') )
  K0QD-act CK20-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CK20-K0-CK10-CCK'-CCK'=K0-CK20-CK10-CCK'-CCK') )
  K0QD-act CK20-gen (gen K0-gen • gen CK20-gen) = Just ( K0 , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-K0-CK20=K0-S2-S2-S2) )
  K0QD-act CK20-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-K0-CK20-S0-CK10=K0-S0-CK10-S2-S2-S2) )
  K0QD-act CK20-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-K0-CK20-S0-CK10-CCK'=K0-S0-CK10-CCK'-S2-S2-S2) )
  K0QD-act CK20-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-K0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK10-CCK'-CCK'-S2-S2-S2) )
  K0QD-act CK20-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK10 , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-K0-CK20-CK10=K0-CK10-S2-S2-S2) )
  K0QD-act CK20-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-K0-CK20-CK10-CCK'=K0-CK10-CCK'-S2-S2-S2) )
  K0QD-act CK20-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-K0-CK20-CK10-CCK'-CCK'=K0-CK10-CCK'-CCK'-S2-S2-S2) )
  K0QD-act CK20-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CCK' , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-K0-CK20-CCK'=K0-CCK'-S2-S2-S2) )
  K0QD-act CK20-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CCK' • CCK' , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-K0-CK20-CCK'-CCK'=K0-CCK'-CCK'-S2-S2-S2) )
  K0QD-act CK20-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' , ε , up-to-assoc auto (axiom ax-CK20-K0-CCK'=K0-CK20-CCK') )
  K0QD-act CK20-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CK20-K0-CCK'-CCK'=K0-CK20-CCK'-CCK') )
  K0QD-act CK20-gen (gen CK10-gen) = Just ( CK20 • CK10 , ε , general-assoc auto )
  K0QD-act CK20-gen (gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' , ε , general-assoc auto )
  K0QD-act CK20-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act CK20-gen (gen CK20-gen) = Just ( ε , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-CK20=S2-S2-S2) )
  K0QD-act CK20-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK10 , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-CK20-S0-CK10=S0-CK10-S2-S2-S2) )
  K0QD-act CK20-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-CK20-S0-CK10-CCK'=S0-CK10-CCK'-S2-S2-S2) )
  K0QD-act CK20-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-CK20-S0-CK10-CCK'-CCK'=S0-CK10-CCK'-CCK'-S2-S2-S2) )
  K0QD-act CK20-gen (gen CK20-gen • gen CK10-gen) = Just ( CK10 , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-CK20-CK10=CK10-S2-S2-S2) )
  K0QD-act CK20-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK10 • CCK' , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-CK20-CK10-CCK'=CK10-CCK'-S2-S2-S2) )
  K0QD-act CK20-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' • CCK' , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-CK20-CK10-CCK'-CCK'=CK10-CCK'-CCK'-S2-S2-S2) )
  K0QD-act CK20-gen (gen CK20-gen • gen CCK'-gen) = Just ( CCK' , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-CK20-CCK'=CCK'-S2-S2-S2) )
  K0QD-act CK20-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CCK' • CCK' , S2 • S2 • S2 , up-to-assoc auto (axiom ax-CK20-CK20-CCK'-CCK'=CCK'-CCK'-S2-S2-S2) )
  K0QD-act CK20-gen (gen CCK'-gen) = Just ( CK20 • CCK' , ε , general-assoc auto )
  K0QD-act CK20-gen (gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' • CCK' , ε , general-assoc auto )
  K0QD-act CCK'-gen ε = Just ( CCK' , ε , general-assoc auto )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen) = Just ( S0 • K0 • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-S0-K0=S0-K0-CCK') )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-S0-K0-S0-CK10=S0-K0-S0-CK10-CCK') )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-S0-K0-S0-CK10-CCK'=S0-K0-S0-CK10-CCK'-CCK') )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK10 , CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-S0-K0-S0-CK10-CCK'-CCK'=S0-K0-S0-CK10-CS12-CS12) )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-S0-K0-S0-CK20=S0-K0-S0-CK20-CCK') )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-S0-K0-S0-CK20-S0-CK10=S0-K0-S0-CK20-S0-CK10-CCK') )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-S0-K0-S0-CK20-S0-CK10-CCK'=S0-K0-S0-CK20-S0-CK10-CCK'-CCK') )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • S0 • CK10 , CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-S0-K0-S0-CK20-S0-CK10-CCK'-CCK'=S0-K0-S0-CK20-S0-CK10-CS12-CS12) )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' • CCK' , CCX0 • CS12 , up-to-assoc auto (axiom ax-CCK'-S0-K0-S0-CK20-CK10=S0-K0-S0-CK20-CK10-CCK'-CCK'-CCX0-CS12) )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 , CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-S0-K0-S0-CK20-CK10-CCK'=S0-K0-S0-CK20-CK10-CS12-CS12-CS12-CCZ) )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CK10 • CCK' , CCX0 • CCZ , up-to-assoc auto (axiom ax-CCK'-S0-K0-S0-CK20-CK10-CCK'-CCK'=S0-K0-S0-CK20-CK10-CCK'-CCX0-CCZ) )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-S0-K0-S0-CK20-CCK'=S0-K0-S0-CK20-CCK'-CCK') )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • S0 • CK20 , CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-S0-K0-S0-CK20-CCK'-CCK'=S0-K0-S0-CK20-CS12-CS12) )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen CK10-gen) = Just ( S0 • K0 • CK10 • CCK' • CCK' , CCX0 • CS12 , up-to-assoc auto (axiom ax-CCK'-S0-K0-CK10=S0-K0-CK10-CCK'-CCK'-CCX0-CS12) )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 , CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-S0-K0-CK10-CCK'=S0-K0-CK10-CS12-CS12-CS12-CCZ) )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK10 • CCK' , CCX0 • CCZ , up-to-assoc auto (axiom ax-CCK'-S0-K0-CK10-CCK'-CCK'=S0-K0-CK10-CCK'-CCX0-CCZ) )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen CK20-gen) = Just ( S0 • K0 • CK20 • CCK' • CCK' , CCX0 • CS12 , up-to-assoc auto (axiom ax-CCK'-S0-K0-CK20=S0-K0-CK20-CCK'-CCK'-CCX0-CS12) )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' • CCK' , CCX0 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-S0-K0-CK20-S0-CK10=S0-K0-CK20-S0-CK10-CCK'-CCK'-CCX0-CS12-CS12-CCZ) )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 , CCX0 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-S0-K0-CK20-S0-CK10-CCK'=S0-K0-CK20-S0-CK10-CCX0-CS12-CS12-CS12) )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • S0 • CK10 • CCK' , CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-S0-K0-CK20-S0-CK10-CCK'-CCK'=S0-K0-CK20-S0-CK10-CCK'-CS12-CS12-CS12-CCZ) )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-S0-K0-CK20-CK10=S0-K0-CK20-CK10-CCK') )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-S0-K0-CK20-CK10-CCK'=S0-K0-CK20-CK10-CCK'-CCK') )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CK10 , CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-S0-K0-CK20-CK10-CCK'-CCK'=S0-K0-CK20-CK10-CS12-CS12) )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 , CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-S0-K0-CK20-CCK'=S0-K0-CK20-CS12-CS12-CS12-CCZ) )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 • CK20 • CCK' , CCX0 • CCZ , up-to-assoc auto (axiom ax-CCK'-S0-K0-CK20-CCK'-CCK'=S0-K0-CK20-CCK'-CCX0-CCZ) )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen CCK'-gen) = Just ( S0 • K0 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-S0-K0-CCK'=S0-K0-CCK'-CCK') )
  K0QD-act CCK'-gen (gen S0-gen • gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • K0 , CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-S0-K0-CCK'-CCK'=S0-K0-CS12-CS12) )
  K0QD-act CCK'-gen (gen S0-gen • gen CK10-gen) = Just ( S0 • CK10 • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-S0-CK10=S0-CK10-CCK') )
  K0QD-act CCK'-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK10 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-S0-CK10-CCK'=S0-CK10-CCK'-CCK') )
  K0QD-act CCK'-gen (gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK10 , CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-S0-CK10-CCK'-CCK'=S0-CK10-CS12-CS12) )
  K0QD-act CCK'-gen (gen S0-gen • gen CK20-gen) = Just ( S0 • CK20 • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-S0-CK20=S0-CK20-CCK') )
  K0QD-act CCK'-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-S0-CK20-S0-CK10=S0-CK20-S0-CK10-CCK') )
  K0QD-act CCK'-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-S0-CK20-S0-CK10-CCK'=S0-CK20-S0-CK10-CCK'-CCK') )
  K0QD-act CCK'-gen (gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • S0 • CK10 , CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-S0-CK20-S0-CK10-CCK'-CCK'=S0-CK20-S0-CK10-CS12-CS12) )
  K0QD-act CCK'-gen (gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( S0 • CK20 • CK10 • CCK' • CCK' , CCX0 • CS12 , up-to-assoc auto (axiom ax-CCK'-S0-CK20-CK10=S0-CK20-CK10-CCK'-CCK'-CCX0-CS12) )
  K0QD-act CCK'-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 , CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-S0-CK20-CK10-CCK'=S0-CK20-CK10-CS12-CS12-CS12-CCZ) )
  K0QD-act CCK'-gen (gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 • CK10 • CCK' , CCX0 • CCZ , up-to-assoc auto (axiom ax-CCK'-S0-CK20-CK10-CCK'-CCK'=S0-CK20-CK10-CCK'-CCX0-CCZ) )
  K0QD-act CCK'-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( S0 • CK20 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-S0-CK20-CCK'=S0-CK20-CCK'-CCK') )
  K0QD-act CCK'-gen (gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( S0 • CK20 , CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-S0-CK20-CCK'-CCK'=S0-CK20-CS12-CS12) )
  K0QD-act CCK'-gen (gen K0-gen) = Just ( K0 • CCK' • CCK' , CCX0 • CS12 , up-to-assoc auto (axiom ax-CCK'-K0=K0-CCK'-CCK'-CCX0-CS12) )
  K0QD-act CCK'-gen (gen K0-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK10 • CCK' • CCK' , CCX0 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-K0-S0-CK10=K0-S0-CK10-CCK'-CCK'-CCX0-CS12-CS12-CCZ) )
  K0QD-act CCK'-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 , CCX0 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-K0-S0-CK10-CCK'=K0-S0-CK10-CCX0-CS12-CS12-CS12) )
  K0QD-act CCK'-gen (gen K0-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK10 • CCK' , CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-K0-S0-CK10-CCK'-CCK'=K0-S0-CK10-CCK'-CS12-CS12-CS12-CCZ) )
  K0QD-act CCK'-gen (gen K0-gen • gen S0-gen • gen CK20-gen) = Just ( K0 • S0 • CK20 • CCK' • CCK' , CCX0 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-K0-S0-CK20=K0-S0-CK20-CCK'-CCK'-CCX0-CS12-CS12-CCZ) )
  K0QD-act CCK'-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' • CCK' , CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-K0-S0-CK20-S0-CK10=K0-S0-CK20-S0-CK10-CCK'-CCK'-CS12-CCZ) )
  K0QD-act CCK'-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 , CCX0 • CCZ , up-to-assoc auto (axiom ax-CCK'-K0-S0-CK20-S0-CK10-CCK'=K0-S0-CK20-S0-CK10-CCX0-CCZ) )
  K0QD-act CCK'-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • S0 • CK10 • CCK' , CCX0 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-K0-S0-CK20-S0-CK10-CCK'-CCK'=K0-S0-CK20-S0-CK10-CCK'-CCX0-CS12-CS12-CS12) )
  K0QD-act CCK'-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' , CCX0 • CS12 , up-to-assoc auto (axiom ax-CCK'-K0-S0-CK20-CK10=K0-S0-CK20-CK10-CCK'-CCX0-CS12) )
  K0QD-act CCK'-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 • CCK' • CCK' , CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-K0-S0-CK20-CK10-CCK'=K0-S0-CK20-CK10-CCK'-CCK'-CS12-CCZ) )
  K0QD-act CCK'-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CK10 , CCX0 • CCZ , up-to-assoc auto (axiom ax-CCK'-K0-S0-CK20-CK10-CCK'-CCK'=K0-S0-CK20-CK10-CCX0-CCZ) )
  K0QD-act CCK'-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 , CCX0 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-K0-S0-CK20-CCK'=K0-S0-CK20-CCX0-CS12-CS12-CS12) )
  K0QD-act CCK'-gen (gen K0-gen • gen S0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • S0 • CK20 • CCK' , CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-K0-S0-CK20-CCK'-CCK'=K0-S0-CK20-CCK'-CS12-CS12-CS12-CCZ) )
  K0QD-act CCK'-gen (gen K0-gen • gen CK10-gen) = Just ( K0 • CK10 • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-K0-CK10=K0-CK10-CCK') )
  K0QD-act CCK'-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK10 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-K0-CK10-CCK'=K0-CK10-CCK'-CCK') )
  K0QD-act CCK'-gen (gen K0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK10 , CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-K0-CK10-CCK'-CCK'=K0-CK10-CS12-CS12) )
  K0QD-act CCK'-gen (gen K0-gen • gen CK20-gen) = Just ( K0 • CK20 • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-K0-CK20=K0-CK20-CCK') )
  K0QD-act CCK'-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-K0-CK20-S0-CK10=K0-CK20-S0-CK10-CCK') )
  K0QD-act CCK'-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-K0-CK20-S0-CK10-CCK'=K0-CK20-S0-CK10-CCK'-CCK') )
  K0QD-act CCK'-gen (gen K0-gen • gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • S0 • CK10 , CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-K0-CK20-S0-CK10-CCK'-CCK'=K0-CK20-S0-CK10-CS12-CS12) )
  K0QD-act CCK'-gen (gen K0-gen • gen CK20-gen • gen CK10-gen) = Just ( K0 • CK20 • CK10 • CCK' • CCK' , CCX0 • CS12 , up-to-assoc auto (axiom ax-CCK'-K0-CK20-CK10=K0-CK20-CK10-CCK'-CCK'-CCX0-CS12) )
  K0QD-act CCK'-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 , CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-K0-CK20-CK10-CCK'=K0-CK20-CK10-CS12-CS12-CS12-CCZ) )
  K0QD-act CCK'-gen (gen K0-gen • gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 • CK10 • CCK' , CCX0 • CCZ , up-to-assoc auto (axiom ax-CCK'-K0-CK20-CK10-CCK'-CCK'=K0-CK20-CK10-CCK'-CCX0-CCZ) )
  K0QD-act CCK'-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen) = Just ( K0 • CK20 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-K0-CK20-CCK'=K0-CK20-CCK'-CCK') )
  K0QD-act CCK'-gen (gen K0-gen • gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CK20 , CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-K0-CK20-CCK'-CCK'=K0-CK20-CS12-CS12) )
  K0QD-act CCK'-gen (gen K0-gen • gen CCK'-gen) = Just ( K0 , CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-K0-CCK'=K0-CS12-CS12-CS12-CCZ) )
  K0QD-act CCK'-gen (gen K0-gen • gen CCK'-gen • gen CCK'-gen) = Just ( K0 • CCK' , CCX0 • CCZ , up-to-assoc auto (axiom ax-CCK'-K0-CCK'-CCK'=K0-CCK'-CCX0-CCZ) )
  K0QD-act CCK'-gen (gen CK10-gen) = Just ( CK10 • CCK' • CCK' , CCX0 • CS12 , up-to-assoc auto (axiom ax-CCK'-CK10=CK10-CCK'-CCK'-CCX0-CS12) )
  K0QD-act CCK'-gen (gen CK10-gen • gen CCK'-gen) = Just ( CK10 , CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-CK10-CCK'=CK10-CS12-CS12-CS12-CCZ) )
  K0QD-act CCK'-gen (gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK10 • CCK' , CCX0 • CCZ , up-to-assoc auto (axiom ax-CCK'-CK10-CCK'-CCK'=CK10-CCK'-CCX0-CCZ) )
  K0QD-act CCK'-gen (gen CK20-gen) = Just ( CK20 • CCK' • CCK' , CCX0 • CS12 , up-to-assoc auto (axiom ax-CCK'-CK20=CK20-CCK'-CCK'-CCX0-CS12) )
  K0QD-act CCK'-gen (gen CK20-gen • gen S0-gen • gen CK10-gen) = Just ( CK20 • S0 • CK10 • CCK' • CCK' , CCX0 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-CK20-S0-CK10=CK20-S0-CK10-CCK'-CCK'-CCX0-CS12-CS12-CCZ) )
  K0QD-act CCK'-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 , CCX0 • CS12 • CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-CK20-S0-CK10-CCK'=CK20-S0-CK10-CCX0-CS12-CS12-CS12) )
  K0QD-act CCK'-gen (gen CK20-gen • gen S0-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • S0 • CK10 • CCK' , CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-CK20-S0-CK10-CCK'-CCK'=CK20-S0-CK10-CCK'-CS12-CS12-CS12-CCZ) )
  K0QD-act CCK'-gen (gen CK20-gen • gen CK10-gen) = Just ( CK20 • CK10 • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-CK20-CK10=CK20-CK10-CCK') )
  K0QD-act CCK'-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen) = Just ( CK20 • CK10 • CCK' • CCK' , ε , up-to-assoc auto (axiom ax-CCK'-CK20-CK10-CCK'=CK20-CK10-CCK'-CCK') )
  K0QD-act CCK'-gen (gen CK20-gen • gen CK10-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CK10 , CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-CK20-CK10-CCK'-CCK'=CK20-CK10-CS12-CS12) )
  K0QD-act CCK'-gen (gen CK20-gen • gen CCK'-gen) = Just ( CK20 , CS12 • CS12 • CS12 • CCZ , up-to-assoc auto (axiom ax-CCK'-CK20-CCK'=CK20-CS12-CS12-CS12-CCZ) )
  K0QD-act CCK'-gen (gen CK20-gen • gen CCK'-gen • gen CCK'-gen) = Just ( CK20 • CCK' , CCX0 • CCZ , up-to-assoc auto (axiom ax-CCK'-CK20-CCK'-CCK'=CK20-CCK'-CCX0-CCZ) )
  K0QD-act CCK'-gen (gen CCK'-gen) = Just ( CCK' • CCK' , ε , general-assoc auto )
  K0QD-act CCK'-gen (gen CCK'-gen • gen CCK'-gen) = Just ( ε , CS12 • CS12 , up-to-assoc auto (axiom ax-CCK'-CCK'-CCK'=CS12-CS12) )
  K0QD-act _ _ = Nothing

  module K0QD = CosAct' (record { nf = PD.nfhn' ; lemma-nf = PD.lemma-nfhn' }) K0QD-act (\ x y -> Nothing)

